import{S as qv,i as jv,s as Iv,e as n,k as a,w as u,t as l,M as Vv,c as s,d as o,m as i,a as r,x as h,h as c,b as d,G as e,g as p,y as g,q as _,o as v,B as b,v as zv,L as mi}from"../../chunks/vendor-hf-doc-builder.js";import{T as Lv}from"../../chunks/Tip-hf-doc-builder.js";import{D as $}from"../../chunks/Docstring-hf-doc-builder.js";import{C as pi}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as E}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as ci}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";function Bv(q){let y,M,D,x,k;return x=new pi({props:{code:`import torch
from diffusers import UNet2DConditionModel
from xformers.ops import MemoryEfficientAttentionFlashAttentionOp

model = UNet2DConditionModel.from_pretrained(
    "stabilityai/stable-diffusion-2-1", subfolder="unet", torch_dtype=torch.float16
)
model = model.to("cuda")
model.enable_xformers_memory_efficient_attention(attention_op=MemoryEfficientAttentionFlashAttentionOp)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> UNet2DConditionModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> xformers.ops <span class="hljs-keyword">import</span> MemoryEfficientAttentionFlashAttentionOp

<span class="hljs-meta">&gt;&gt;&gt; </span>model = UNet2DConditionModel.from_pretrained(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;stabilityai/stable-diffusion-2-1&quot;</span>, subfolder=<span class="hljs-string">&quot;unet&quot;</span>, torch_dtype=torch.float16
<span class="hljs-meta">... </span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = model.to(<span class="hljs-string">&quot;cuda&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model.enable_xformers_memory_efficient_attention(attention_op=MemoryEfficientAttentionFlashAttentionOp)`}}),{c(){y=n("p"),M=l("Examples:"),D=a(),u(x.$$.fragment)},l(f){y=s(f,"P",{});var w=r(y);M=c(w,"Examples:"),w.forEach(o),D=i(f),h(x.$$.fragment,f)},m(f,w){p(f,y,w),e(y,M),p(f,D,w),g(x,f,w),k=!0},p:mi,i(f){k||(_(x.$$.fragment,f),k=!0)},o(f){v(x.$$.fragment,f),k=!1},d(f){f&&o(y),f&&o(D),b(x,f)}}}function Kv(q){let y,M,D,x,k,f,w,J;return{c(){y=n("p"),M=l("It is required to be logged in ("),D=n("code"),x=l("huggingface-cli login"),k=l(") when you want to use private or "),f=n("a"),w=l(`gated
models`),J=l("."),this.h()},l($e){y=s($e,"P",{});var S=r(y);M=c(S,"It is required to be logged in ("),D=s(S,"CODE",{});var W=r(D);x=c(W,"huggingface-cli login"),W.forEach(o),k=c(S,") when you want to use private or "),f=s(S,"A",{href:!0,rel:!0});var is=r(f);w=c(is,`gated
models`),is.forEach(o),J=c(S,"."),S.forEach(o),this.h()},h(){d(f,"href","https://huggingface.co/docs/hub/models-gated#gated-models"),d(f,"rel","nofollow")},m($e,S){p($e,y,S),e(y,M),e(y,D),e(D,x),e(y,k),e(y,f),e(f,w),e(y,J)},d($e){$e&&o(y)}}}function Sv(q){let y,M,D,x,k;return{c(){y=n("p"),M=l("Activate the special "),D=n("a"),x=l("\u201Coffline-mode\u201D"),k=l(` to use
this method in a firewalled environment.`),this.h()},l(f){y=s(f,"P",{});var w=r(y);M=c(w,"Activate the special "),D=s(w,"A",{href:!0,rel:!0});var J=r(D);x=c(J,"\u201Coffline-mode\u201D"),J.forEach(o),k=c(w,` to use
this method in a firewalled environment.`),w.forEach(o),this.h()},h(){d(D,"href","https://huggingface.co/diffusers/installation.html#offline-mode"),d(D,"rel","nofollow")},m(f,w){p(f,y,w),e(y,M),e(y,D),e(D,x),e(y,k)},d(f){f&&o(y)}}}function Wv(q){let y,M,D,x,k;return x=new pi({props:{code:`from diffusers import FlaxUNet2DConditionModel

# Download model and configuration from huggingface.co and cache.
model, params = FlaxUNet2DConditionModel.from_pretrained("runwayml/stable-diffusion-v1-5")
# Model was saved using *save_pretrained('./test/saved_model/')* (for example purposes, not runnable).
model, params = FlaxUNet2DConditionModel.from_pretrained("./test/saved_model/")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> FlaxUNet2DConditionModel

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Download model and configuration from huggingface.co and cache.</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model, params = FlaxUNet2DConditionModel.from_pretrained(<span class="hljs-string">&quot;runwayml/stable-diffusion-v1-5&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Model was saved using *save_pretrained(&#x27;./test/saved_model/&#x27;)* (for example purposes, not runnable).</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model, params = FlaxUNet2DConditionModel.from_pretrained(<span class="hljs-string">&quot;./test/saved_model/&quot;</span>)`}}),{c(){y=n("p"),M=l("Examples:"),D=a(),u(x.$$.fragment)},l(f){y=s(f,"P",{});var w=r(y);M=c(w,"Examples:"),w.forEach(o),D=i(f),h(x.$$.fragment,f)},m(f,w){p(f,y,w),e(y,M),p(f,D,w),g(x,f,w),k=!0},p:mi,i(f){k||(_(x.$$.fragment,f),k=!0)},o(f){v(x.$$.fragment,f),k=!1},d(f){f&&o(y),f&&o(D),b(x,f)}}}function Xv(q){let y,M,D,x,k;return x=new pi({props:{code:`from diffusers import FlaxUNet2DConditionModel

# load model
model, params = FlaxUNet2DConditionModel.from_pretrained("runwayml/stable-diffusion-v1-5")
# By default, the model parameters will be in fp32 precision, to cast these to bfloat16 precision
params = model.to_bf16(params)
# If you don't want to cast certain parameters (for example layer norm bias and scale)
# then pass the mask as follows
from flax import traverse_util

model, params = FlaxUNet2DConditionModel.from_pretrained("runwayml/stable-diffusion-v1-5")
flat_params = traverse_util.flatten_dict(params)
mask = {
    path: (path[-2] != ("LayerNorm", "bias") and path[-2:] != ("LayerNorm", "scale"))
    for path in flat_params
}
mask = traverse_util.unflatten_dict(mask)
params = model.to_bf16(params, mask)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> FlaxUNet2DConditionModel

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># load model</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model, params = FlaxUNet2DConditionModel.from_pretrained(<span class="hljs-string">&quot;runwayml/stable-diffusion-v1-5&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># By default, the model parameters will be in fp32 precision, to cast these to bfloat16 precision</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>params = model.to_bf16(params)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># If you don&#x27;t want to cast certain parameters (for example layer norm bias and scale)</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># then pass the mask as follows</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> flax <span class="hljs-keyword">import</span> traverse_util

<span class="hljs-meta">&gt;&gt;&gt; </span>model, params = FlaxUNet2DConditionModel.from_pretrained(<span class="hljs-string">&quot;runwayml/stable-diffusion-v1-5&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>flat_params = traverse_util.flatten_dict(params)
<span class="hljs-meta">&gt;&gt;&gt; </span>mask = {
<span class="hljs-meta">... </span>    path: (path[-<span class="hljs-number">2</span>] != (<span class="hljs-string">&quot;LayerNorm&quot;</span>, <span class="hljs-string">&quot;bias&quot;</span>) <span class="hljs-keyword">and</span> path[-<span class="hljs-number">2</span>:] != (<span class="hljs-string">&quot;LayerNorm&quot;</span>, <span class="hljs-string">&quot;scale&quot;</span>))
<span class="hljs-meta">... </span>    <span class="hljs-keyword">for</span> path <span class="hljs-keyword">in</span> flat_params
<span class="hljs-meta">... </span>}
<span class="hljs-meta">&gt;&gt;&gt; </span>mask = traverse_util.unflatten_dict(mask)
<span class="hljs-meta">&gt;&gt;&gt; </span>params = model.to_bf16(params, mask)`}}),{c(){y=n("p"),M=l("Examples:"),D=a(),u(x.$$.fragment)},l(f){y=s(f,"P",{});var w=r(y);M=c(w,"Examples:"),w.forEach(o),D=i(f),h(x.$$.fragment,f)},m(f,w){p(f,y,w),e(y,M),p(f,D,w),g(x,f,w),k=!0},p:mi,i(f){k||(_(x.$$.fragment,f),k=!0)},o(f){v(x.$$.fragment,f),k=!1},d(f){f&&o(y),f&&o(D),b(x,f)}}}function Hv(q){let y,M,D,x,k;return x=new pi({props:{code:`from diffusers import FlaxUNet2DConditionModel

# load model
model, params = FlaxUNet2DConditionModel.from_pretrained("runwayml/stable-diffusion-v1-5")
# By default, the model params will be in fp32, to cast these to float16
params = model.to_fp16(params)
# If you want don't want to cast certain parameters (for example layer norm bias and scale)
# then pass the mask as follows
from flax import traverse_util

model, params = FlaxUNet2DConditionModel.from_pretrained("runwayml/stable-diffusion-v1-5")
flat_params = traverse_util.flatten_dict(params)
mask = {
    path: (path[-2] != ("LayerNorm", "bias") and path[-2:] != ("LayerNorm", "scale"))
    for path in flat_params
}
mask = traverse_util.unflatten_dict(mask)
params = model.to_fp16(params, mask)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> FlaxUNet2DConditionModel

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># load model</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model, params = FlaxUNet2DConditionModel.from_pretrained(<span class="hljs-string">&quot;runwayml/stable-diffusion-v1-5&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># By default, the model params will be in fp32, to cast these to float16</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>params = model.to_fp16(params)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># If you want don&#x27;t want to cast certain parameters (for example layer norm bias and scale)</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># then pass the mask as follows</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> flax <span class="hljs-keyword">import</span> traverse_util

<span class="hljs-meta">&gt;&gt;&gt; </span>model, params = FlaxUNet2DConditionModel.from_pretrained(<span class="hljs-string">&quot;runwayml/stable-diffusion-v1-5&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>flat_params = traverse_util.flatten_dict(params)
<span class="hljs-meta">&gt;&gt;&gt; </span>mask = {
<span class="hljs-meta">... </span>    path: (path[-<span class="hljs-number">2</span>] != (<span class="hljs-string">&quot;LayerNorm&quot;</span>, <span class="hljs-string">&quot;bias&quot;</span>) <span class="hljs-keyword">and</span> path[-<span class="hljs-number">2</span>:] != (<span class="hljs-string">&quot;LayerNorm&quot;</span>, <span class="hljs-string">&quot;scale&quot;</span>))
<span class="hljs-meta">... </span>    <span class="hljs-keyword">for</span> path <span class="hljs-keyword">in</span> flat_params
<span class="hljs-meta">... </span>}
<span class="hljs-meta">&gt;&gt;&gt; </span>mask = traverse_util.unflatten_dict(mask)
<span class="hljs-meta">&gt;&gt;&gt; </span>params = model.to_fp16(params, mask)`}}),{c(){y=n("p"),M=l("Examples:"),D=a(),u(x.$$.fragment)},l(f){y=s(f,"P",{});var w=r(y);M=c(w,"Examples:"),w.forEach(o),D=i(f),h(x.$$.fragment,f)},m(f,w){p(f,y,w),e(y,M),p(f,D,w),g(x,f,w),k=!0},p:mi,i(f){k||(_(x.$$.fragment,f),k=!0)},o(f){v(x.$$.fragment,f),k=!1},d(f){f&&o(y),f&&o(D),b(x,f)}}}function Qv(q){let y,M,D,x,k;return x=new pi({props:{code:`from diffusers import FlaxUNet2DConditionModel

# Download model and configuration from huggingface.co
model, params = FlaxUNet2DConditionModel.from_pretrained("runwayml/stable-diffusion-v1-5")
# By default, the model params will be in fp32, to illustrate the use of this method,
# we'll first cast to fp16 and back to fp32
params = model.to_f16(params)
# now cast back to fp32
params = model.to_fp32(params)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> FlaxUNet2DConditionModel

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Download model and configuration from huggingface.co</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model, params = FlaxUNet2DConditionModel.from_pretrained(<span class="hljs-string">&quot;runwayml/stable-diffusion-v1-5&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># By default, the model params will be in fp32, to illustrate the use of this method,</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># we&#x27;ll first cast to fp16 and back to fp32</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>params = model.to_f16(params)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># now cast back to fp32</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>params = model.to_fp32(params)`}}),{c(){y=n("p"),M=l("Examples:"),D=a(),u(x.$$.fragment)},l(f){y=s(f,"P",{});var w=r(y);M=c(w,"Examples:"),w.forEach(o),D=i(f),h(x.$$.fragment,f)},m(f,w){p(f,y,w),e(y,M),p(f,D,w),g(x,f,w),k=!0},p:mi,i(f){k||(_(x.$$.fragment,f),k=!0)},o(f){v(x.$$.fragment,f),k=!1},d(f){f&&o(y),f&&o(D),b(x,f)}}}function Rv(q){let y,M,D,x,k,f,w,J,$e,S,W,is,Is,fl,ul,Vs,hl,gl,fi,we,Ze,zs,Yt,_l,Bs,vl,ui,T,Gt,bl,Ks,yl,xl,ds,ls,$l,wl,Dl,Ss,le,Ws,kl,Ml,Xs,Tl,Nl,cs,El,Al,Ul,ce,Jt,Cl,Hs,Fl,Pl,Qs,Ol,Ll,et,Zt,ql,Rs,jl,Il,me,eo,Vl,Ys,zl,Bl,Gs,Kl,Sl,z,to,Wl,Js,Xl,Hl,Zs,Ql,Rl,er,Yl,Gl,tt,Jl,F,oo,Zl,tr,ec,tc,De,oc,or,nc,sc,nr,rc,ac,ic,no,dc,sr,lc,cc,mc,so,pc,rr,fc,uc,hc,ot,gc,nt,_c,st,ro,vc,ar,bc,yc,rt,ao,xc,io,$c,ir,wc,Dc,hi,ke,at,dr,lo,kc,lr,Mc,gi,co,mo,_i,Me,it,cr,po,Tc,mr,Nc,vi,X,fo,Ec,pr,Ac,Uc,uo,Cc,ms,Fc,Pc,Oc,ps,ho,bi,Te,dt,fr,go,Lc,ur,qc,yi,_o,vo,xi,Ne,lt,hr,bo,jc,gr,Ic,$i,H,yo,Vc,_r,zc,Bc,xo,Kc,fs,Sc,Wc,Xc,us,$o,wi,Ee,ct,vr,wo,Hc,br,Qc,Di,Do,ko,ki,Ae,mt,yr,Mo,Rc,xr,Yc,Mi,P,To,Gc,$r,Jc,Zc,No,em,hs,tm,om,nm,gs,Eo,sm,pe,Ao,rm,wr,am,im,Dr,dm,lm,_s,Uo,Ti,Ue,pt,kr,Co,cm,Mr,mm,Ni,Ce,Fo,pm,Tr,fm,Ei,Fe,ft,Nr,Po,um,Er,hm,Ai,Pe,Oo,gm,Ar,_m,Ui,Oe,ut,Ur,Lo,vm,Cr,bm,Ci,Q,qo,ym,Fr,xm,$m,jo,wm,vs,Dm,km,Mm,bs,Io,Fi,Le,ht,Pr,Vo,Tm,Or,Nm,Pi,qe,zo,Em,Lr,Am,Oi,je,gt,qr,Bo,Um,jr,Cm,Li,N,Ko,Fm,Ir,Pm,Om,So,Lm,ys,qm,jm,Im,_t,Wo,Vm,Xo,zm,Vr,Bm,Km,Sm,vt,Ho,Wm,Qo,Xm,zr,Hm,Qm,Rm,bt,Ro,Ym,Br,Gm,Jm,yt,Yo,Zm,Kr,ep,tp,xs,Go,op,xt,Jo,np,Sr,sp,rp,$t,Zo,ap,Wr,ip,qi,Ie,wt,Xr,en,dp,Hr,lp,ji,O,tn,cp,Qr,mp,pp,Rr,fp,up,on,hp,Yr,gp,_p,vp,Gr,bp,yp,$s,nn,Ii,Ve,Dt,Jr,sn,xp,Zr,$p,Vi,rn,an,zi,ze,kt,ea,dn,wp,ta,Dp,Bi,I,ln,kp,oa,Mp,Tp,cn,Np,ws,Ep,Ap,Up,Ds,Cp,mn,Fp,Pp,ks,pn,Ki,Be,Mt,na,fn,Op,sa,Lp,Si,un,hn,Wi,Ke,Tt,ra,gn,qp,aa,jp,Xi,_n,vn,Hi,Se,Nt,ia,bn,Ip,da,Vp,Qi,se,yn,zp,fe,xn,Bp,la,Kp,Sp,ca,Wp,Xp,Ms,$n,Ri,We,Et,ma,wn,Hp,pa,Qp,Yi,U,Dn,Rp,fa,Yp,Gp,Ts,Ns,Jp,Zp,ef,B,kn,tf,ua,of,nf,Mn,sf,ha,rf,af,df,Tn,lf,ga,cf,mf,pf,At,ff,Ut,Nn,uf,En,hf,_a,gf,_f,vf,Z,An,bf,R,yf,va,xf,$f,ba,wf,Df,ya,kf,Mf,xa,Tf,Nf,Ef,$a,Af,Uf,Ct,Cf,ee,Un,Ff,Y,Pf,wa,Of,Lf,Da,qf,jf,ka,If,Vf,Ma,zf,Bf,Kf,Ta,Sf,Wf,Ft,Xf,ue,Cn,Hf,G,Qf,Na,Rf,Yf,Ea,Gf,Jf,Aa,Zf,eu,Ua,tu,ou,nu,Pt,Gi,Xe,Ot,Ca,Fn,su,Fa,ru,Ji,He,Pn,au,Lt,On,iu,Pa,du,Zi,Qe,qt,Oa,Ln,lu,La,cu,ed,L,qn,mu,qa,pu,fu,jn,uu,Es,hu,gu,_u,In,vu,Vn,bu,yu,xu,ja,$u,wu,re,Ia,zn,Du,ku,Va,Bn,Mu,Tu,za,Kn,Nu,Eu,Ba,Sn,Au,td,Re,jt,Ka,Wn,Uu,Sa,Cu,od,ae,Xn,Fu,Wa,Pu,Ou,It,Hn,Lu,Xa,qu,nd,Ye,Vt,Ha,Qn,ju,Qa,Iu,sd,ie,Rn,Vu,Ra,zu,Bu,zt,Yn,Ku,Ya,Su,rd,Ge,Bt,Ga,Gn,Wu,Ja,Xu,ad,V,Jn,Hu,Za,Qu,Ru,Zn,Yu,es,Gu,Ju,Zu,ei,eh,th,de,ti,ts,oh,nh,oi,os,sh,rh,ni,ns,ah,ih,si,ss,dh,id;return f=new E({}),Yt=new E({}),Gt=new $({props:{name:"class diffusers.ModelMixin",anchor:"diffusers.ModelMixin",parameters:[],source:"https://github.com/huggingface/diffusers/blob/v0.14.0/src/diffusers/models/modeling_utils.py#L156"}}),Jt=new $({props:{name:"disable_gradient_checkpointing",anchor:"diffusers.ModelMixin.disable_gradient_checkpointing",parameters:[],source:"https://github.com/huggingface/diffusers/blob/v0.14.0/src/diffusers/models/modeling_utils.py#L194"}}),Zt=new $({props:{name:"disable_xformers_memory_efficient_attention",anchor:"diffusers.ModelMixin.disable_xformers_memory_efficient_attention",parameters:[],source:"https://github.com/huggingface/diffusers/blob/v0.14.0/src/diffusers/models/modeling_utils.py#L253"}}),eo=new $({props:{name:"enable_gradient_checkpointing",anchor:"diffusers.ModelMixin.enable_gradient_checkpointing",parameters:[],source:"https://github.com/huggingface/diffusers/blob/v0.14.0/src/diffusers/models/modeling_utils.py#L183"}}),to=new $({props:{name:"enable_xformers_memory_efficient_attention",anchor:"diffusers.ModelMixin.enable_xformers_memory_efficient_attention",parameters:[{name:"attention_op",val:": typing.Optional[typing.Callable] = None"}],parametersDescription:[{anchor:"diffusers.ModelMixin.enable_xformers_memory_efficient_attention.attention_op",description:`<strong>attention_op</strong> (<code>Callable</code>, <em>optional</em>) &#x2014;
Override the default <code>None</code> operator for use as <code>op</code> argument to the
<a href="https://facebookresearch.github.io/xformers/components/ops.html#xformers.ops.memory_efficient_attention" rel="nofollow"><code>memory_efficient_attention()</code></a>
function of xFormers.`,name:"attention_op"}],source:"https://github.com/huggingface/diffusers/blob/v0.14.0/src/diffusers/models/modeling_utils.py#L221"}}),tt=new ci({props:{anchor:"diffusers.ModelMixin.enable_xformers_memory_efficient_attention.example",$$slots:{default:[Bv]},$$scope:{ctx:q}}}),oo=new $({props:{name:"from_pretrained",anchor:"diffusers.ModelMixin.from_pretrained",parameters:[{name:"pretrained_model_name_or_path",val:": typing.Union[str, os.PathLike, NoneType]"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"diffusers.ModelMixin.from_pretrained.pretrained_model_name_or_path",description:`<strong>pretrained_model_name_or_path</strong> (<code>str</code> or <code>os.PathLike</code>, <em>optional</em>) &#x2014;
Can be either:</p>
<ul>
<li>A string, the <em>model id</em> of a pretrained model hosted inside a model repo on huggingface.co.
Valid model ids should have an organization name, like <code>google/ddpm-celebahq-256</code>.</li>
<li>A path to a <em>directory</em> containing model weights saved using <code>~ModelMixin.save_config</code>, e.g.,
<code>./my_model_directory/</code>.</li>
</ul>`,name:"pretrained_model_name_or_path"},{anchor:"diffusers.ModelMixin.from_pretrained.cache_dir",description:`<strong>cache_dir</strong> (<code>Union[str, os.PathLike]</code>, <em>optional</em>) &#x2014;
Path to a directory in which a downloaded pretrained model configuration should be cached if the
standard cache should not be used.`,name:"cache_dir"},{anchor:"diffusers.ModelMixin.from_pretrained.torch_dtype",description:`<strong>torch_dtype</strong> (<code>str</code> or <code>torch.dtype</code>, <em>optional</em>) &#x2014;
Override the default <code>torch.dtype</code> and load the model under this dtype. If <code>&quot;auto&quot;</code> is passed the dtype
will be automatically derived from the model&#x2019;s weights.`,name:"torch_dtype"},{anchor:"diffusers.ModelMixin.from_pretrained.force_download",description:`<strong>force_download</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to force the (re-)download of the model weights and configuration files, overriding the
cached versions if they exist.`,name:"force_download"},{anchor:"diffusers.ModelMixin.from_pretrained.resume_download",description:`<strong>resume_download</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to delete incompletely received files. Will attempt to resume the download if such a
file exists.`,name:"resume_download"},{anchor:"diffusers.ModelMixin.from_pretrained.proxies",description:`<strong>proxies</strong> (<code>Dict[str, str]</code>, <em>optional</em>) &#x2014;
A dictionary of proxy servers to use by protocol or endpoint, e.g., <code>{&apos;http&apos;: &apos;foo.bar:3128&apos;, &apos;http://hostname&apos;: &apos;foo.bar:4012&apos;}</code>. The proxies are used on each request.`,name:"proxies"},{anchor:"diffusers.ModelMixin.from_pretrained.output_loading_info(bool,",description:`<strong>output_loading_info(<code>bool</code>,</strong> <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to also return a dictionary containing missing keys, unexpected keys and error messages.`,name:"output_loading_info(bool,"},{anchor:"diffusers.ModelMixin.from_pretrained.local_files_only(bool,",description:`<strong>local_files_only(<code>bool</code>,</strong> <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to only look at local files (i.e., do not try to download the model).`,name:"local_files_only(bool,"},{anchor:"diffusers.ModelMixin.from_pretrained.use_auth_token",description:`<strong>use_auth_token</strong> (<code>str</code> or <em>bool</em>, <em>optional</em>) &#x2014;
The token to use as HTTP bearer authorization for remote files. If <code>True</code>, will use the token generated
when running <code>diffusers-cli login</code> (stored in <code>~/.huggingface</code>).`,name:"use_auth_token"},{anchor:"diffusers.ModelMixin.from_pretrained.revision",description:`<strong>revision</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;main&quot;</code>) &#x2014;
The specific model version to use. It can be a branch name, a tag name, or a commit id, since we use a
git-based system for storing models and other artifacts on huggingface.co, so <code>revision</code> can be any
identifier allowed by git.`,name:"revision"},{anchor:"diffusers.ModelMixin.from_pretrained.from_flax",description:`<strong>from_flax</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Load the model weights from a Flax checkpoint save file.`,name:"from_flax"},{anchor:"diffusers.ModelMixin.from_pretrained.subfolder",description:`<strong>subfolder</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&quot;</code>) &#x2014;
In case the relevant files are located inside a subfolder of the model repo (either remote in
huggingface.co or downloaded locally), you can specify the folder name here.`,name:"subfolder"},{anchor:"diffusers.ModelMixin.from_pretrained.mirror",description:`<strong>mirror</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Mirror source to accelerate downloads in China. If you are from China and have an accessibility
problem, you can set this option to resolve it. Note that we do not guarantee the timeliness or safety.
Please refer to the mirror site for more information.`,name:"mirror"},{anchor:"diffusers.ModelMixin.from_pretrained.device_map",description:`<strong>device_map</strong> (<code>str</code> or <code>Dict[str, Union[int, str, torch.device]]</code>, <em>optional</em>) &#x2014;
A map that specifies where each submodule should go. It doesn&#x2019;t need to be refined to each
parameter/buffer name, once a given module name is inside, every submodule of it will be sent to the
same device.</p>
<p>To have Accelerate compute the most optimized <code>device_map</code> automatically, set <code>device_map=&quot;auto&quot;</code>. For
more information about each option see <a href="https://hf.co/docs/accelerate/main/en/usage_guides/big_modeling#designing-a-device-map" rel="nofollow">designing a device
map</a>.`,name:"device_map"},{anchor:"diffusers.ModelMixin.from_pretrained.low_cpu_mem_usage",description:`<strong>low_cpu_mem_usage</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code> if torch version &gt;= 1.9.0 else <code>False</code>) &#x2014;
Speed up model loading by not initializing the weights and only loading the pre-trained weights. This
also tries to not use more than 1x model size in CPU memory (including peak memory) while loading the
model. This is only supported when torch version &gt;= 1.9.0. If you are using an older version of torch,
setting this argument to <code>True</code> will raise an error.`,name:"low_cpu_mem_usage"},{anchor:"diffusers.ModelMixin.from_pretrained.variant",description:`<strong>variant</strong> (<code>str</code>, <em>optional</em>) &#x2014;
If specified load weights from <code>variant</code> filename, <em>e.g.</em> pytorch_model.<variant>.bin. <code>variant</code> is
ignored when using <code>from_flax</code>.</variant>`,name:"variant"}],source:"https://github.com/huggingface/diffusers/blob/v0.14.0/src/diffusers/models/modeling_utils.py#L319"}}),ot=new Lv({props:{$$slots:{default:[Kv]},$$scope:{ctx:q}}}),nt=new Lv({props:{$$slots:{default:[Sv]},$$scope:{ctx:q}}}),ro=new $({props:{name:"num_parameters",anchor:"diffusers.ModelMixin.num_parameters",parameters:[{name:"only_trainable",val:": bool = False"},{name:"exclude_embeddings",val:": bool = False"}],parametersDescription:[{anchor:"diffusers.ModelMixin.num_parameters.only_trainable",description:`<strong>only_trainable</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to return only the number of trainable parameters`,name:"only_trainable"},{anchor:"diffusers.ModelMixin.num_parameters.exclude_embeddings",description:`<strong>exclude_embeddings</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to return only the number of non-embeddings parameters`,name:"exclude_embeddings"}],source:"https://github.com/huggingface/diffusers/blob/v0.14.0/src/diffusers/models/modeling_utils.py#L764",returnDescription:`
<p>The number of parameters.</p>
`,returnType:`
<p><code>int</code></p>
`}}),ao=new $({props:{name:"save_pretrained",anchor:"diffusers.ModelMixin.save_pretrained",parameters:[{name:"save_directory",val:": typing.Union[str, os.PathLike]"},{name:"is_main_process",val:": bool = True"},{name:"save_function",val:": typing.Callable = None"},{name:"safe_serialization",val:": bool = False"},{name:"variant",val:": typing.Optional[str] = None"}],parametersDescription:[{anchor:"diffusers.ModelMixin.save_pretrained.save_directory",description:`<strong>save_directory</strong> (<code>str</code> or <code>os.PathLike</code>) &#x2014;
Directory to which to save. Will be created if it doesn&#x2019;t exist.`,name:"save_directory"},{anchor:"diffusers.ModelMixin.save_pretrained.is_main_process",description:`<strong>is_main_process</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether the process calling this is the main process or not. Useful when in distributed training like
TPUs and need to call this function on all processes. In this case, set <code>is_main_process=True</code> only on
the main process to avoid race conditions.`,name:"is_main_process"},{anchor:"diffusers.ModelMixin.save_pretrained.save_function",description:`<strong>save_function</strong> (<code>Callable</code>) &#x2014;
The function to use to save the state dictionary. Useful on distributed training like TPUs when one
need to replace <code>torch.save</code> by another method. Can be configured with the environment variable
<code>DIFFUSERS_SAVE_MODE</code>.`,name:"save_function"},{anchor:"diffusers.ModelMixin.save_pretrained.safe_serialization",description:`<strong>safe_serialization</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to save the model using <code>safetensors</code> or the traditional PyTorch way (that uses <code>pickle</code>).`,name:"safe_serialization"},{anchor:"diffusers.ModelMixin.save_pretrained.variant",description:`<strong>variant</strong> (<code>str</code>, <em>optional</em>) &#x2014;
If specified, weights are saved in the format pytorch_model.<variant>.bin.</variant>`,name:"variant"}],source:"https://github.com/huggingface/diffusers/blob/v0.14.0/src/diffusers/models/modeling_utils.py#L259"}}),lo=new E({}),mo=new $({props:{name:"class diffusers.models.unet_2d.UNet2DOutput",anchor:"diffusers.models.unet_2d.UNet2DOutput",parameters:[{name:"sample",val:": FloatTensor"}],parametersDescription:[{anchor:"diffusers.models.unet_2d.UNet2DOutput.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Hidden states output. Output of last layer of model.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/v0.14.0/src/diffusers/models/unet_2d.py#L28"}}),po=new E({}),fo=new $({props:{name:"class diffusers.UNet2DModel",anchor:"diffusers.UNet2DModel",parameters:[{name:"sample_size",val:": typing.Union[int, typing.Tuple[int, int], NoneType] = None"},{name:"in_channels",val:": int = 3"},{name:"out_channels",val:": int = 3"},{name:"center_input_sample",val:": bool = False"},{name:"time_embedding_type",val:": str = 'positional'"},{name:"freq_shift",val:": int = 0"},{name:"flip_sin_to_cos",val:": bool = True"},{name:"down_block_types",val:": typing.Tuple[str] = ('DownBlock2D', 'AttnDownBlock2D', 'AttnDownBlock2D', 'AttnDownBlock2D')"},{name:"up_block_types",val:": typing.Tuple[str] = ('AttnUpBlock2D', 'AttnUpBlock2D', 'AttnUpBlock2D', 'UpBlock2D')"},{name:"block_out_channels",val:": typing.Tuple[int] = (224, 448, 672, 896)"},{name:"layers_per_block",val:": int = 2"},{name:"mid_block_scale_factor",val:": float = 1"},{name:"downsample_padding",val:": int = 1"},{name:"act_fn",val:": str = 'silu'"},{name:"attention_head_dim",val:": typing.Optional[int] = 8"},{name:"norm_num_groups",val:": int = 32"},{name:"norm_eps",val:": float = 1e-05"},{name:"resnet_time_scale_shift",val:": str = 'default'"},{name:"add_attention",val:": bool = True"},{name:"class_embed_type",val:": typing.Optional[str] = None"},{name:"num_class_embeds",val:": typing.Optional[int] = None"}],parametersDescription:[{anchor:"diffusers.UNet2DModel.sample_size",description:`<strong>sample_size</strong> (<code>int</code> or <code>Tuple[int, int]</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
Height and width of input/output sample.`,name:"sample_size"},{anchor:"diffusers.UNet2DModel.in_channels",description:"<strong>in_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 3) &#x2014; Number of channels in the input image.",name:"in_channels"},{anchor:"diffusers.UNet2DModel.out_channels",description:"<strong>out_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 3) &#x2014; Number of channels in the output.",name:"out_channels"},{anchor:"diffusers.UNet2DModel.center_input_sample",description:"<strong>center_input_sample</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014; Whether to center the input sample.",name:"center_input_sample"},{anchor:"diffusers.UNet2DModel.time_embedding_type",description:"<strong>time_embedding_type</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;positional&quot;</code>) &#x2014; Type of time embedding to use.",name:"time_embedding_type"},{anchor:"diffusers.UNet2DModel.freq_shift",description:"<strong>freq_shift</strong> (<code>int</code>, <em>optional</em>, defaults to 0) &#x2014; Frequency shift for fourier time embedding.",name:"freq_shift"},{anchor:"diffusers.UNet2DModel.flip_sin_to_cos",description:`<strong>flip_sin_to_cos</strong> (<code>bool</code>, <em>optional</em>, defaults to  &#x2014;
obj:<code>True</code>): Whether to flip sin to cos for fourier time embedding.`,name:"flip_sin_to_cos"},{anchor:"diffusers.UNet2DModel.down_block_types",description:`<strong>down_block_types</strong> (<code>Tuple[str]</code>, <em>optional</em>, defaults to  &#x2014;
obj:<code>(&quot;DownBlock2D&quot;, &quot;AttnDownBlock2D&quot;, &quot;AttnDownBlock2D&quot;, &quot;AttnDownBlock2D&quot;)</code>): Tuple of downsample block
types.`,name:"down_block_types"},{anchor:"diffusers.UNet2DModel.mid_block_type",description:`<strong>mid_block_type</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;UNetMidBlock2D&quot;</code>) &#x2014;
The mid block type. Choose from <code>UNetMidBlock2D</code> or <code>UnCLIPUNetMidBlock2D</code>.`,name:"mid_block_type"},{anchor:"diffusers.UNet2DModel.up_block_types",description:`<strong>up_block_types</strong> (<code>Tuple[str]</code>, <em>optional</em>, defaults to  &#x2014;
obj:<code>(&quot;AttnUpBlock2D&quot;, &quot;AttnUpBlock2D&quot;, &quot;AttnUpBlock2D&quot;, &quot;UpBlock2D&quot;)</code>): Tuple of upsample block types.`,name:"up_block_types"},{anchor:"diffusers.UNet2DModel.block_out_channels",description:`<strong>block_out_channels</strong> (<code>Tuple[int]</code>, <em>optional</em>, defaults to  &#x2014;
obj:<code>(224, 448, 672, 896)</code>): Tuple of block output channels.`,name:"block_out_channels"},{anchor:"diffusers.UNet2DModel.layers_per_block",description:"<strong>layers_per_block</strong> (<code>int</code>, <em>optional</em>, defaults to <code>2</code>) &#x2014; The number of layers per block.",name:"layers_per_block"},{anchor:"diffusers.UNet2DModel.mid_block_scale_factor",description:"<strong>mid_block_scale_factor</strong> (<code>float</code>, <em>optional</em>, defaults to <code>1</code>) &#x2014; The scale factor for the mid block.",name:"mid_block_scale_factor"},{anchor:"diffusers.UNet2DModel.downsample_padding",description:"<strong>downsample_padding</strong> (<code>int</code>, <em>optional</em>, defaults to <code>1</code>) &#x2014; The padding for the downsample convolution.",name:"downsample_padding"},{anchor:"diffusers.UNet2DModel.act_fn",description:"<strong>act_fn</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;silu&quot;</code>) &#x2014; The activation function to use.",name:"act_fn"},{anchor:"diffusers.UNet2DModel.attention_head_dim",description:"<strong>attention_head_dim</strong> (<code>int</code>, <em>optional</em>, defaults to <code>8</code>) &#x2014; The attention head dimension.",name:"attention_head_dim"},{anchor:"diffusers.UNet2DModel.norm_num_groups",description:"<strong>norm_num_groups</strong> (<code>int</code>, <em>optional</em>, defaults to <code>32</code>) &#x2014; The number of groups for the normalization.",name:"norm_num_groups"},{anchor:"diffusers.UNet2DModel.norm_eps",description:"<strong>norm_eps</strong> (<code>float</code>, <em>optional</em>, defaults to <code>1e-5</code>) &#x2014; The epsilon for the normalization.",name:"norm_eps"},{anchor:"diffusers.UNet2DModel.resnet_time_scale_shift",description:`<strong>resnet_time_scale_shift</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;default&quot;</code>) &#x2014; Time scale shift config
for resnet blocks, see <code>ResnetBlock2D</code>. Choose from <code>default</code> or <code>scale_shift</code>.`,name:"resnet_time_scale_shift"},{anchor:"diffusers.UNet2DModel.class_embed_type",description:`<strong>class_embed_type</strong> (<code>str</code>, <em>optional</em>, defaults to None) &#x2014; The type of class embedding to use which is ultimately
summed with the time embeddings. Choose from <code>None</code>, <code>&quot;timestep&quot;</code>, or <code>&quot;identity&quot;</code>.`,name:"class_embed_type"},{anchor:"diffusers.UNet2DModel.num_class_embeds",description:`<strong>num_class_embeds</strong> (<code>int</code>, <em>optional</em>, defaults to None) &#x2014;
Input dimension of the learnable embedding matrix to be projected to <code>time_embed_dim</code>, when performing
class conditioning with <code>class_embed_type</code> equal to <code>None</code>.`,name:"num_class_embeds"}],source:"https://github.com/huggingface/diffusers/blob/v0.14.0/src/diffusers/models/unet_2d.py#L38"}}),ho=new $({props:{name:"forward",anchor:"diffusers.UNet2DModel.forward",parameters:[{name:"sample",val:": FloatTensor"},{name:"timestep",val:": typing.Union[torch.Tensor, float, int]"},{name:"class_labels",val:": typing.Optional[torch.Tensor] = None"},{name:"return_dict",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.UNet2DModel.forward.sample",description:"<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014; (batch, channel, height, width) noisy inputs tensor",name:"sample"},{anchor:"diffusers.UNet2DModel.forward.timestep",description:"<strong>timestep</strong> (<code>torch.FloatTensor</code> or <code>float</code> or `int) &#x2014; (batch) timesteps",name:"timestep"},{anchor:"diffusers.UNet2DModel.forward.class_labels",description:`<strong>class_labels</strong> (<code>torch.FloatTensor</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
Optional class labels for conditioning. Their embeddings will be summed with the timestep embeddings.`,name:"class_labels"},{anchor:"diffusers.UNet2DModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to return a <a href="/docs/diffusers/v0.14.0/en/api/models#diffusers.models.unet_2d.UNet2DOutput">UNet2DOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/diffusers/blob/v0.14.0/src/diffusers/models/unet_2d.py#L217",returnDescription:`
<p><a
  href="/docs/diffusers/v0.14.0/en/api/models#diffusers.models.unet_2d.UNet2DOutput"
>UNet2DOutput</a> if <code>return_dict</code> is True,
otherwise a <code>tuple</code>. When returning a tuple, the first element is the sample tensor.</p>
`,returnType:`
<p><a
  href="/docs/diffusers/v0.14.0/en/api/models#diffusers.models.unet_2d.UNet2DOutput"
>UNet2DOutput</a> or <code>tuple</code></p>
`}}),go=new E({}),vo=new $({props:{name:"class diffusers.models.unet_1d.UNet1DOutput",anchor:"diffusers.models.unet_1d.UNet1DOutput",parameters:[{name:"sample",val:": FloatTensor"}],parametersDescription:[{anchor:"diffusers.models.unet_1d.UNet1DOutput.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, sample_size)</code>) &#x2014;
Hidden states output. Output of last layer of model.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/v0.14.0/src/diffusers/models/unet_1d.py#L29"}}),bo=new E({}),yo=new $({props:{name:"class diffusers.UNet1DModel",anchor:"diffusers.UNet1DModel",parameters:[{name:"sample_size",val:": int = 65536"},{name:"sample_rate",val:": typing.Optional[int] = None"},{name:"in_channels",val:": int = 2"},{name:"out_channels",val:": int = 2"},{name:"extra_in_channels",val:": int = 0"},{name:"time_embedding_type",val:": str = 'fourier'"},{name:"flip_sin_to_cos",val:": bool = True"},{name:"use_timestep_embedding",val:": bool = False"},{name:"freq_shift",val:": float = 0.0"},{name:"down_block_types",val:": typing.Tuple[str] = ('DownBlock1DNoSkip', 'DownBlock1D', 'AttnDownBlock1D')"},{name:"up_block_types",val:": typing.Tuple[str] = ('AttnUpBlock1D', 'UpBlock1D', 'UpBlock1DNoSkip')"},{name:"mid_block_type",val:": typing.Tuple[str] = 'UNetMidBlock1D'"},{name:"out_block_type",val:": str = None"},{name:"block_out_channels",val:": typing.Tuple[int] = (32, 32, 64)"},{name:"act_fn",val:": str = None"},{name:"norm_num_groups",val:": int = 8"},{name:"layers_per_block",val:": int = 1"},{name:"downsample_each_block",val:": bool = False"}],parametersDescription:[{anchor:"diffusers.UNet1DModel.sample_size",description:"<strong>sample_size</strong> (<code>int</code>, <em>optional</em>) &#x2014; Default length of sample. Should be adaptable at runtime.",name:"sample_size"},{anchor:"diffusers.UNet1DModel.in_channels",description:"<strong>in_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 2) &#x2014; Number of channels in the input sample.",name:"in_channels"},{anchor:"diffusers.UNet1DModel.out_channels",description:"<strong>out_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 2) &#x2014; Number of channels in the output.",name:"out_channels"},{anchor:"diffusers.UNet1DModel.time_embedding_type",description:"<strong>time_embedding_type</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;fourier&quot;</code>) &#x2014; Type of time embedding to use.",name:"time_embedding_type"},{anchor:"diffusers.UNet1DModel.freq_shift",description:"<strong>freq_shift</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014; Frequency shift for fourier time embedding.",name:"freq_shift"},{anchor:"diffusers.UNet1DModel.flip_sin_to_cos",description:`<strong>flip_sin_to_cos</strong> (<code>bool</code>, <em>optional</em>, defaults to  &#x2014;
obj:<code>False</code>): Whether to flip sin to cos for fourier time embedding.`,name:"flip_sin_to_cos"},{anchor:"diffusers.UNet1DModel.down_block_types",description:`<strong>down_block_types</strong> (<code>Tuple[str]</code>, <em>optional</em>, defaults to  &#x2014;
obj:<code>(&quot;DownBlock1D&quot;, &quot;DownBlock1DNoSkip&quot;, &quot;AttnDownBlock1D&quot;)</code>): Tuple of downsample block types.`,name:"down_block_types"},{anchor:"diffusers.UNet1DModel.up_block_types",description:`<strong>up_block_types</strong> (<code>Tuple[str]</code>, <em>optional</em>, defaults to  &#x2014;
obj:<code>(&quot;UpBlock1D&quot;, &quot;UpBlock1DNoSkip&quot;, &quot;AttnUpBlock1D&quot;)</code>): Tuple of upsample block types.`,name:"up_block_types"},{anchor:"diffusers.UNet1DModel.block_out_channels",description:`<strong>block_out_channels</strong> (<code>Tuple[int]</code>, <em>optional</em>, defaults to  &#x2014;
obj:<code>(32, 32, 64)</code>): Tuple of block output channels.`,name:"block_out_channels"},{anchor:"diffusers.UNet1DModel.mid_block_type",description:"<strong>mid_block_type</strong> (<code>str</code>, <em>optional</em>, defaults to &#x201C;UNetMidBlock1D&#x201D;) &#x2014; block type for middle of UNet.",name:"mid_block_type"},{anchor:"diffusers.UNet1DModel.out_block_type",description:"<strong>out_block_type</strong> (<code>str</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014; optional output processing of UNet.",name:"out_block_type"},{anchor:"diffusers.UNet1DModel.act_fn",description:"<strong>act_fn</strong> (<code>str</code>, <em>optional</em>, defaults to None) &#x2014; optional activitation function in UNet blocks.",name:"act_fn"},{anchor:"diffusers.UNet1DModel.norm_num_groups",description:"<strong>norm_num_groups</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014; group norm member count in UNet blocks.",name:"norm_num_groups"},{anchor:"diffusers.UNet1DModel.layers_per_block",description:"<strong>layers_per_block</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014; added number of layers in a UNet block.",name:"layers_per_block"},{anchor:"diffusers.UNet1DModel.downsample_each_block",description:`<strong>downsample_each_block</strong> (<code>int</code>, <em>optional</em>, defaults to False &#x2014;
experimental feature for using a UNet without upsampling.`,name:"downsample_each_block"}],source:"https://github.com/huggingface/diffusers/blob/v0.14.0/src/diffusers/models/unet_1d.py#L39"}}),$o=new $({props:{name:"forward",anchor:"diffusers.UNet1DModel.forward",parameters:[{name:"sample",val:": FloatTensor"},{name:"timestep",val:": typing.Union[torch.Tensor, float, int]"},{name:"return_dict",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.UNet1DModel.forward.sample",description:"<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014; <code>(batch_size, sample_size, num_channels)</code> noisy inputs tensor",name:"sample"},{anchor:"diffusers.UNet1DModel.forward.timestep",description:"<strong>timestep</strong> (<code>torch.FloatTensor</code> or <code>float</code> or `int) &#x2014; (batch) timesteps",name:"timestep"},{anchor:"diffusers.UNet1DModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to return a <a href="/docs/diffusers/v0.14.0/en/api/models#diffusers.models.unet_1d.UNet1DOutput">UNet1DOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/diffusers/blob/v0.14.0/src/diffusers/models/unet_1d.py#L190",returnDescription:`
<p><a
  href="/docs/diffusers/v0.14.0/en/api/models#diffusers.models.unet_1d.UNet1DOutput"
>UNet1DOutput</a> if <code>return_dict</code> is True,
otherwise a <code>tuple</code>. When returning a tuple, the first element is the sample tensor.</p>
`,returnType:`
<p><a
  href="/docs/diffusers/v0.14.0/en/api/models#diffusers.models.unet_1d.UNet1DOutput"
>UNet1DOutput</a> or <code>tuple</code></p>
`}}),wo=new E({}),ko=new $({props:{name:"class diffusers.models.unet_2d_condition.UNet2DConditionOutput",anchor:"diffusers.models.unet_2d_condition.UNet2DConditionOutput",parameters:[{name:"sample",val:": FloatTensor"}],parametersDescription:[{anchor:"diffusers.models.unet_2d_condition.UNet2DConditionOutput.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Hidden states conditioned on <code>encoder_hidden_states</code> input. Output of last layer of model.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/v0.14.0/src/diffusers/models/unet_2d_condition.py#L43"}}),Mo=new E({}),To=new $({props:{name:"class diffusers.UNet2DConditionModel",anchor:"diffusers.UNet2DConditionModel",parameters:[{name:"sample_size",val:": typing.Optional[int] = None"},{name:"in_channels",val:": int = 4"},{name:"out_channels",val:": int = 4"},{name:"center_input_sample",val:": bool = False"},{name:"flip_sin_to_cos",val:": bool = True"},{name:"freq_shift",val:": int = 0"},{name:"down_block_types",val:": typing.Tuple[str] = ('CrossAttnDownBlock2D', 'CrossAttnDownBlock2D', 'CrossAttnDownBlock2D', 'DownBlock2D')"},{name:"mid_block_type",val:": typing.Optional[str] = 'UNetMidBlock2DCrossAttn'"},{name:"up_block_types",val:": typing.Tuple[str] = ('UpBlock2D', 'CrossAttnUpBlock2D', 'CrossAttnUpBlock2D', 'CrossAttnUpBlock2D')"},{name:"only_cross_attention",val:": typing.Union[bool, typing.Tuple[bool]] = False"},{name:"block_out_channels",val:": typing.Tuple[int] = (320, 640, 1280, 1280)"},{name:"layers_per_block",val:": int = 2"},{name:"downsample_padding",val:": int = 1"},{name:"mid_block_scale_factor",val:": float = 1"},{name:"act_fn",val:": str = 'silu'"},{name:"norm_num_groups",val:": typing.Optional[int] = 32"},{name:"norm_eps",val:": float = 1e-05"},{name:"cross_attention_dim",val:": int = 1280"},{name:"attention_head_dim",val:": typing.Union[int, typing.Tuple[int]] = 8"},{name:"dual_cross_attention",val:": bool = False"},{name:"use_linear_projection",val:": bool = False"},{name:"class_embed_type",val:": typing.Optional[str] = None"},{name:"num_class_embeds",val:": typing.Optional[int] = None"},{name:"upcast_attention",val:": bool = False"},{name:"resnet_time_scale_shift",val:": str = 'default'"},{name:"time_embedding_type",val:": str = 'positional'"},{name:"timestep_post_act",val:": typing.Optional[str] = None"},{name:"time_cond_proj_dim",val:": typing.Optional[int] = None"},{name:"conv_in_kernel",val:": int = 3"},{name:"conv_out_kernel",val:": int = 3"},{name:"projection_class_embeddings_input_dim",val:": typing.Optional[int] = None"}],parametersDescription:[{anchor:"diffusers.UNet2DConditionModel.sample_size",description:`<strong>sample_size</strong> (<code>int</code> or <code>Tuple[int, int]</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
Height and width of input/output sample.`,name:"sample_size"},{anchor:"diffusers.UNet2DConditionModel.in_channels",description:"<strong>in_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 4) &#x2014; The number of channels in the input sample.",name:"in_channels"},{anchor:"diffusers.UNet2DConditionModel.out_channels",description:"<strong>out_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 4) &#x2014; The number of channels in the output.",name:"out_channels"},{anchor:"diffusers.UNet2DConditionModel.center_input_sample",description:"<strong>center_input_sample</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014; Whether to center the input sample.",name:"center_input_sample"},{anchor:"diffusers.UNet2DConditionModel.flip_sin_to_cos",description:`<strong>flip_sin_to_cos</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to flip the sin to cos in the time embedding.`,name:"flip_sin_to_cos"},{anchor:"diffusers.UNet2DConditionModel.freq_shift",description:"<strong>freq_shift</strong> (<code>int</code>, <em>optional</em>, defaults to 0) &#x2014; The frequency shift to apply to the time embedding.",name:"freq_shift"},{anchor:"diffusers.UNet2DConditionModel.down_block_types",description:`<strong>down_block_types</strong> (<code>Tuple[str]</code>, <em>optional</em>, defaults to <code>(&quot;CrossAttnDownBlock2D&quot;, &quot;CrossAttnDownBlock2D&quot;, &quot;CrossAttnDownBlock2D&quot;, &quot;DownBlock2D&quot;)</code>) &#x2014;
The tuple of downsample blocks to use.`,name:"down_block_types"},{anchor:"diffusers.UNet2DConditionModel.mid_block_type",description:`<strong>mid_block_type</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;UNetMidBlock2DCrossAttn&quot;</code>) &#x2014;
The mid block type. Choose from <code>UNetMidBlock2DCrossAttn</code> or <code>UNetMidBlock2DSimpleCrossAttn</code>, will skip the
mid block layer if <code>None</code>.`,name:"mid_block_type"},{anchor:"diffusers.UNet2DConditionModel.up_block_types",description:`<strong>up_block_types</strong> (<code>Tuple[str]</code>, <em>optional</em>, defaults to <code>(&quot;UpBlock2D&quot;, &quot;CrossAttnUpBlock2D&quot;, &quot;CrossAttnUpBlock2D&quot;, &quot;CrossAttnUpBlock2D&quot;,)</code>) &#x2014;
The tuple of upsample blocks to use.`,name:"up_block_types"},{anchor:"diffusers.UNet2DConditionModel.only_cross_attention(bool",description:`<strong>only_cross_attention(<code>bool</code></strong> or <code>Tuple[bool]</code>, <em>optional</em>, default to <code>False</code>) &#x2014;
Whether to include self-attention in the basic transformer blocks, see
<code>BasicTransformerBlock</code>.`,name:"only_cross_attention(bool"},{anchor:"diffusers.UNet2DConditionModel.block_out_channels",description:`<strong>block_out_channels</strong> (<code>Tuple[int]</code>, <em>optional</em>, defaults to <code>(320, 640, 1280, 1280)</code>) &#x2014;
The tuple of output channels for each block.`,name:"block_out_channels"},{anchor:"diffusers.UNet2DConditionModel.layers_per_block",description:"<strong>layers_per_block</strong> (<code>int</code>, <em>optional</em>, defaults to 2) &#x2014; The number of layers per block.",name:"layers_per_block"},{anchor:"diffusers.UNet2DConditionModel.downsample_padding",description:"<strong>downsample_padding</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014; The padding to use for the downsampling convolution.",name:"downsample_padding"},{anchor:"diffusers.UNet2DConditionModel.mid_block_scale_factor",description:"<strong>mid_block_scale_factor</strong> (<code>float</code>, <em>optional</em>, defaults to 1.0) &#x2014; The scale factor to use for the mid block.",name:"mid_block_scale_factor"},{anchor:"diffusers.UNet2DConditionModel.act_fn",description:"<strong>act_fn</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;silu&quot;</code>) &#x2014; The activation function to use.",name:"act_fn"},{anchor:"diffusers.UNet2DConditionModel.norm_num_groups",description:`<strong>norm_num_groups</strong> (<code>int</code>, <em>optional</em>, defaults to 32) &#x2014; The number of groups to use for the normalization.
If <code>None</code>, it will skip the normalization and activation layers in post-processing`,name:"norm_num_groups"},{anchor:"diffusers.UNet2DConditionModel.norm_eps",description:"<strong>norm_eps</strong> (<code>float</code>, <em>optional</em>, defaults to 1e-5) &#x2014; The epsilon to use for the normalization.",name:"norm_eps"},{anchor:"diffusers.UNet2DConditionModel.cross_attention_dim",description:"<strong>cross_attention_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 1280) &#x2014; The dimension of the cross attention features.",name:"cross_attention_dim"},{anchor:"diffusers.UNet2DConditionModel.attention_head_dim",description:"<strong>attention_head_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014; The dimension of the attention heads.",name:"attention_head_dim"},{anchor:"diffusers.UNet2DConditionModel.resnet_time_scale_shift",description:`<strong>resnet_time_scale_shift</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;default&quot;</code>) &#x2014; Time scale shift config
for resnet blocks, see <code>ResnetBlock2D</code>. Choose from <code>default</code> or <code>scale_shift</code>.`,name:"resnet_time_scale_shift"},{anchor:"diffusers.UNet2DConditionModel.class_embed_type",description:`<strong>class_embed_type</strong> (<code>str</code>, <em>optional</em>, defaults to None) &#x2014; The type of class embedding to use which is ultimately
summed with the time embeddings. Choose from <code>None</code>, <code>&quot;timestep&quot;</code>, <code>&quot;identity&quot;</code>, or <code>&quot;projection&quot;</code>.`,name:"class_embed_type"},{anchor:"diffusers.UNet2DConditionModel.num_class_embeds",description:`<strong>num_class_embeds</strong> (<code>int</code>, <em>optional</em>, defaults to None) &#x2014;
Input dimension of the learnable embedding matrix to be projected to <code>time_embed_dim</code>, when performing
class conditioning with <code>class_embed_type</code> equal to <code>None</code>.`,name:"num_class_embeds"},{anchor:"diffusers.UNet2DConditionModel.time_embedding_type",description:`<strong>time_embedding_type</strong> (<code>str</code>, <em>optional</em>, default to <code>positional</code>) &#x2014;
The type of position embedding to use for timesteps. Choose from <code>positional</code> or <code>fourier</code>.`,name:"time_embedding_type"},{anchor:"diffusers.UNet2DConditionModel.timestep_post_act",description:"<strong>timestep_post_act</strong> (<code>str, *optional*, default to </code>None<code>) -- The second activation function to use in timestep embedding. Choose from </code>silu<code>, </code>mish<code>and</code>gelu`.",name:"timestep_post_act"},{anchor:"diffusers.UNet2DConditionModel.time_cond_proj_dim",description:`<strong>time_cond_proj_dim</strong> (<code>int</code>, <em>optional</em>, default to <code>None</code>) &#x2014;
The dimension of <code>cond_proj</code> layer in timestep embedding.`,name:"time_cond_proj_dim"},{anchor:"diffusers.UNet2DConditionModel.conv_in_kernel",description:"<strong>conv_in_kernel</strong> (<code>int</code>, <em>optional</em>, default to <code>3</code>) &#x2014; The kernel size of <code>conv_in</code> layer.",name:"conv_in_kernel"},{anchor:"diffusers.UNet2DConditionModel.conv_out_kernel",description:"<strong>conv_out_kernel</strong> (<code>int</code>, <em>optional</em>, default to <code>3</code>) &#x2014; The kernel size of <code>conv_out</code> layer.",name:"conv_out_kernel"},{anchor:"diffusers.UNet2DConditionModel.projection_class_embeddings_input_dim",description:`<strong>projection_class_embeddings_input_dim</strong> (<code>int</code>, <em>optional</em>) &#x2014; The dimension of the <code>class_labels</code> input when
using the &#x201C;projection&#x201D; <code>class_embed_type</code>. Required when using the &#x201C;projection&#x201D; <code>class_embed_type</code>.`,name:"projection_class_embeddings_input_dim"}],source:"https://github.com/huggingface/diffusers/blob/v0.14.0/src/diffusers/models/unet_2d_condition.py#L53"}}),Eo=new $({props:{name:"forward",anchor:"diffusers.UNet2DConditionModel.forward",parameters:[{name:"sample",val:": FloatTensor"},{name:"timestep",val:": typing.Union[torch.Tensor, float, int]"},{name:"encoder_hidden_states",val:": Tensor"},{name:"class_labels",val:": typing.Optional[torch.Tensor] = None"},{name:"timestep_cond",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"cross_attention_kwargs",val:": typing.Union[typing.Dict[str, typing.Any], NoneType] = None"},{name:"down_block_additional_residuals",val:": typing.Optional[typing.Tuple[torch.Tensor]] = None"},{name:"mid_block_additional_residual",val:": typing.Optional[torch.Tensor] = None"},{name:"return_dict",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.UNet2DConditionModel.forward.sample",description:"<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014; (batch, channel, height, width) noisy inputs tensor",name:"sample"},{anchor:"diffusers.UNet2DConditionModel.forward.timestep",description:"<strong>timestep</strong> (<code>torch.FloatTensor</code> or <code>float</code> or <code>int</code>) &#x2014; (batch) timesteps",name:"timestep"},{anchor:"diffusers.UNet2DConditionModel.forward.encoder_hidden_states",description:"<strong>encoder_hidden_states</strong> (<code>torch.FloatTensor</code>) &#x2014; (batch, sequence_length, feature_dim) encoder hidden states",name:"encoder_hidden_states"},{anchor:"diffusers.UNet2DConditionModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to return a <a href="/docs/diffusers/v0.14.0/en/api/models#diffusers.models.unet_2d_condition.UNet2DConditionOutput">models.unet_2d_condition.UNet2DConditionOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"diffusers.UNet2DConditionModel.forward.cross_attention_kwargs",description:`<strong>cross_attention_kwargs</strong> (<code>dict</code>, <em>optional</em>) &#x2014;
A kwargs dictionary that if specified is passed along to the <code>AttnProcessor</code> as defined under
<code>self.processor</code> in
<a href="https://github.com/huggingface/diffusers/blob/main/src/diffusers/models/cross_attention.py" rel="nofollow">diffusers.cross_attention</a>.`,name:"cross_attention_kwargs"}],source:"https://github.com/huggingface/diffusers/blob/v0.14.0/src/diffusers/models/unet_2d_condition.py#L486",returnDescription:`
<p><a
  href="/docs/diffusers/v0.14.0/en/api/models#diffusers.models.unet_2d_condition.UNet2DConditionOutput"
>UNet2DConditionOutput</a> if <code>return_dict</code> is True, otherwise a <code>tuple</code>. When
returning a tuple, the first element is the sample tensor.</p>
`,returnType:`
<p><a
  href="/docs/diffusers/v0.14.0/en/api/models#diffusers.models.unet_2d_condition.UNet2DConditionOutput"
>UNet2DConditionOutput</a> or <code>tuple</code></p>
`}}),Ao=new $({props:{name:"set_attention_slice",anchor:"diffusers.UNet2DConditionModel.set_attention_slice",parameters:[{name:"slice_size",val:""}],parametersDescription:[{anchor:"diffusers.UNet2DConditionModel.set_attention_slice.slice_size",description:`<strong>slice_size</strong> (<code>str</code> or <code>int</code> or <code>list(int)</code>, <em>optional</em>, defaults to <code>&quot;auto&quot;</code>) &#x2014;
When <code>&quot;auto&quot;</code>, halves the input to the attention heads, so attention will be computed in two steps. If
<code>&quot;max&quot;</code>, maxium amount of memory will be saved by running only one slice at a time. If a number is
provided, uses as many slices as <code>attention_head_dim // slice_size</code>. In this case, <code>attention_head_dim</code>
must be a multiple of <code>slice_size</code>.`,name:"slice_size"}],source:"https://github.com/huggingface/diffusers/blob/v0.14.0/src/diffusers/models/unet_2d_condition.py#L417"}}),Uo=new $({props:{name:"set_attn_processor",anchor:"diffusers.UNet2DConditionModel.set_attn_processor",parameters:[{name:"processor",val:": typing.Union[diffusers.models.cross_attention.CrossAttnProcessor, diffusers.models.cross_attention.XFormersCrossAttnProcessor, diffusers.models.cross_attention.SlicedAttnProcessor, diffusers.models.cross_attention.CrossAttnAddedKVProcessor, diffusers.models.cross_attention.SlicedAttnAddedKVProcessor, diffusers.models.cross_attention.LoRACrossAttnProcessor, diffusers.models.cross_attention.LoRAXFormersCrossAttnProcessor, typing.Dict[str, typing.Union[diffusers.models.cross_attention.CrossAttnProcessor, diffusers.models.cross_attention.XFormersCrossAttnProcessor, diffusers.models.cross_attention.SlicedAttnProcessor, diffusers.models.cross_attention.CrossAttnAddedKVProcessor, diffusers.models.cross_attention.SlicedAttnAddedKVProcessor, diffusers.models.cross_attention.LoRACrossAttnProcessor, diffusers.models.cross_attention.LoRAXFormersCrossAttnProcessor]]]"}],parametersDescription:[{anchor:"diffusers.UNet2DConditionModel.set_attn_processor.`processor",description:`<strong>\`processor</strong> (<code>dict</code> of <code>AttnProcessor</code> or <code>AttnProcessor</code>) &#x2014;
The instantiated processor class or a dictionary of processor classes that will be set as the processor
of <strong>all</strong> <code>CrossAttention</code> layers.`,name:"`processor"},{anchor:"diffusers.UNet2DConditionModel.set_attn_processor.In",description:"<strong>In</strong> case <code>processor</code> is a dict, the key needs to define the path to the corresponding cross attention processor. This is strongly recommended when setting trainablae attention processors. &#x2014;",name:"In"}],source:"https://github.com/huggingface/diffusers/blob/v0.14.0/src/diffusers/models/unet_2d_condition.py#L387"}}),Co=new E({}),Fo=new $({props:{name:"class diffusers.models.vae.DecoderOutput",anchor:"diffusers.models.vae.DecoderOutput",parameters:[{name:"sample",val:": FloatTensor"}],parametersDescription:[{anchor:"diffusers.models.vae.DecoderOutput.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Decoded output sample of the model. Output of the last layer of the model.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/v0.14.0/src/diffusers/models/vae.py#L26"}}),Po=new E({}),Oo=new $({props:{name:"class diffusers.models.vq_model.VQEncoderOutput",anchor:"diffusers.models.vq_model.VQEncoderOutput",parameters:[{name:"latents",val:": FloatTensor"}],parametersDescription:[{anchor:"diffusers.models.vq_model.VQEncoderOutput.latents",description:`<strong>latents</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Encoded output sample of the model. Output of the last layer of the model.`,name:"latents"}],source:"https://github.com/huggingface/diffusers/blob/v0.14.0/src/diffusers/models/vq_model.py#L27"}}),Lo=new E({}),qo=new $({props:{name:"class diffusers.VQModel",anchor:"diffusers.VQModel",parameters:[{name:"in_channels",val:": int = 3"},{name:"out_channels",val:": int = 3"},{name:"down_block_types",val:": typing.Tuple[str] = ('DownEncoderBlock2D',)"},{name:"up_block_types",val:": typing.Tuple[str] = ('UpDecoderBlock2D',)"},{name:"block_out_channels",val:": typing.Tuple[int] = (64,)"},{name:"layers_per_block",val:": int = 1"},{name:"act_fn",val:": str = 'silu'"},{name:"latent_channels",val:": int = 3"},{name:"sample_size",val:": int = 32"},{name:"num_vq_embeddings",val:": int = 256"},{name:"norm_num_groups",val:": int = 32"},{name:"vq_embed_dim",val:": typing.Optional[int] = None"},{name:"scaling_factor",val:": float = 0.18215"}],parametersDescription:[{anchor:"diffusers.VQModel.in_channels",description:"<strong>in_channels</strong> (int, <em>optional</em>, defaults to 3) &#x2014; Number of channels in the input image.",name:"in_channels"},{anchor:"diffusers.VQModel.out_channels",description:"<strong>out_channels</strong> (int,  <em>optional</em>, defaults to 3) &#x2014; Number of channels in the output.",name:"out_channels"},{anchor:"diffusers.VQModel.down_block_types",description:`<strong>down_block_types</strong> (<code>Tuple[str]</code>, <em>optional</em>, defaults to  &#x2014;
obj:<code>(&quot;DownEncoderBlock2D&quot;,)</code>): Tuple of downsample block types.`,name:"down_block_types"},{anchor:"diffusers.VQModel.up_block_types",description:`<strong>up_block_types</strong> (<code>Tuple[str]</code>, <em>optional</em>, defaults to  &#x2014;
obj:<code>(&quot;UpDecoderBlock2D&quot;,)</code>): Tuple of upsample block types.`,name:"up_block_types"},{anchor:"diffusers.VQModel.block_out_channels",description:`<strong>block_out_channels</strong> (<code>Tuple[int]</code>, <em>optional</em>, defaults to  &#x2014;
obj:<code>(64,)</code>): Tuple of block output channels.`,name:"block_out_channels"},{anchor:"diffusers.VQModel.act_fn",description:"<strong>act_fn</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;silu&quot;</code>) &#x2014; The activation function to use.",name:"act_fn"},{anchor:"diffusers.VQModel.latent_channels",description:"<strong>latent_channels</strong> (<code>int</code>, <em>optional</em>, defaults to <code>3</code>) &#x2014; Number of channels in the latent space.",name:"latent_channels"},{anchor:"diffusers.VQModel.sample_size",description:"<strong>sample_size</strong> (<code>int</code>, <em>optional</em>, defaults to <code>32</code>) &#x2014; TODO",name:"sample_size"},{anchor:"diffusers.VQModel.num_vq_embeddings",description:"<strong>num_vq_embeddings</strong> (<code>int</code>, <em>optional</em>, defaults to <code>256</code>) &#x2014; Number of codebook vectors in the VQ-VAE.",name:"num_vq_embeddings"},{anchor:"diffusers.VQModel.vq_embed_dim",description:"<strong>vq_embed_dim</strong> (<code>int</code>, <em>optional</em>) &#x2014; Hidden dim of codebook vectors in the VQ-VAE.",name:"vq_embed_dim"},{anchor:"diffusers.VQModel.scaling_factor",description:`<strong>scaling_factor</strong> (<code>float</code>, <em>optional</em>, defaults to <code>0.18215</code>) &#x2014;
The component-wise standard deviation of the trained latent space computed using the first batch of the
training set. This is used to scale the latent space to have unit variance when training the diffusion
model. The latents are scaled with the formula <code>z = z * scaling_factor</code> before being passed to the
diffusion model. When decoding, the latents are scaled back to the original scale with the formula: <code>z = 1 / scaling_factor * z</code>. For more details, refer to sections 4.3.2 and D.1 of the <a href="https://arxiv.org/abs/2112.10752" rel="nofollow">High-Resolution Image
Synthesis with Latent Diffusion Models</a> paper.`,name:"scaling_factor"}],source:"https://github.com/huggingface/diffusers/blob/v0.14.0/src/diffusers/models/vq_model.py#L39"}}),Io=new $({props:{name:"forward",anchor:"diffusers.VQModel.forward",parameters:[{name:"sample",val:": FloatTensor"},{name:"return_dict",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.VQModel.forward.sample",description:"<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014; Input sample.",name:"sample"},{anchor:"diffusers.VQModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to return a <code>DecoderOutput</code> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/diffusers/blob/v0.14.0/src/diffusers/models/vq_model.py#L142"}}),Vo=new E({}),zo=new $({props:{name:"class diffusers.models.autoencoder_kl.AutoencoderKLOutput",anchor:"diffusers.models.autoencoder_kl.AutoencoderKLOutput",parameters:[{name:"latent_dist",val:": DiagonalGaussianDistribution"}],parametersDescription:[{anchor:"diffusers.models.autoencoder_kl.AutoencoderKLOutput.latent_dist",description:`<strong>latent_dist</strong> (<code>DiagonalGaussianDistribution</code>) &#x2014;
Encoded outputs of <code>Encoder</code> represented as the mean and logvar of <code>DiagonalGaussianDistribution</code>.
<code>DiagonalGaussianDistribution</code> allows for sampling latents from the distribution.`,name:"latent_dist"}],source:"https://github.com/huggingface/diffusers/blob/v0.14.0/src/diffusers/models/autoencoder_kl.py#L27"}}),Bo=new E({}),Ko=new $({props:{name:"class diffusers.AutoencoderKL",anchor:"diffusers.AutoencoderKL",parameters:[{name:"in_channels",val:": int = 3"},{name:"out_channels",val:": int = 3"},{name:"down_block_types",val:": typing.Tuple[str] = ('DownEncoderBlock2D',)"},{name:"up_block_types",val:": typing.Tuple[str] = ('UpDecoderBlock2D',)"},{name:"block_out_channels",val:": typing.Tuple[int] = (64,)"},{name:"layers_per_block",val:": int = 1"},{name:"act_fn",val:": str = 'silu'"},{name:"latent_channels",val:": int = 4"},{name:"norm_num_groups",val:": int = 32"},{name:"sample_size",val:": int = 32"},{name:"scaling_factor",val:": float = 0.18215"}],parametersDescription:[{anchor:"diffusers.AutoencoderKL.in_channels",description:"<strong>in_channels</strong> (int, <em>optional</em>, defaults to 3) &#x2014; Number of channels in the input image.",name:"in_channels"},{anchor:"diffusers.AutoencoderKL.out_channels",description:"<strong>out_channels</strong> (int,  <em>optional</em>, defaults to 3) &#x2014; Number of channels in the output.",name:"out_channels"},{anchor:"diffusers.AutoencoderKL.down_block_types",description:`<strong>down_block_types</strong> (<code>Tuple[str]</code>, <em>optional</em>, defaults to  &#x2014;
obj:<code>(&quot;DownEncoderBlock2D&quot;,)</code>): Tuple of downsample block types.`,name:"down_block_types"},{anchor:"diffusers.AutoencoderKL.up_block_types",description:`<strong>up_block_types</strong> (<code>Tuple[str]</code>, <em>optional</em>, defaults to  &#x2014;
obj:<code>(&quot;UpDecoderBlock2D&quot;,)</code>): Tuple of upsample block types.`,name:"up_block_types"},{anchor:"diffusers.AutoencoderKL.block_out_channels",description:`<strong>block_out_channels</strong> (<code>Tuple[int]</code>, <em>optional</em>, defaults to  &#x2014;
obj:<code>(64,)</code>): Tuple of block output channels.`,name:"block_out_channels"},{anchor:"diffusers.AutoencoderKL.act_fn",description:"<strong>act_fn</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;silu&quot;</code>) &#x2014; The activation function to use.",name:"act_fn"},{anchor:"diffusers.AutoencoderKL.latent_channels",description:"<strong>latent_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 4) &#x2014; Number of channels in the latent space.",name:"latent_channels"},{anchor:"diffusers.AutoencoderKL.sample_size",description:"<strong>sample_size</strong> (<code>int</code>, <em>optional</em>, defaults to <code>32</code>) &#x2014; TODO",name:"sample_size"},{anchor:"diffusers.AutoencoderKL.scaling_factor",description:`<strong>scaling_factor</strong> (<code>float</code>, <em>optional</em>, defaults to 0.18215) &#x2014;
The component-wise standard deviation of the trained latent space computed using the first batch of the
training set. This is used to scale the latent space to have unit variance when training the diffusion
model. The latents are scaled with the formula <code>z = z * scaling_factor</code> before being passed to the
diffusion model. When decoding, the latents are scaled back to the original scale with the formula: <code>z = 1 / scaling_factor * z</code>. For more details, refer to sections 4.3.2 and D.1 of the <a href="https://arxiv.org/abs/2112.10752" rel="nofollow">High-Resolution Image
Synthesis with Latent Diffusion Models</a> paper.`,name:"scaling_factor"}],source:"https://github.com/huggingface/diffusers/blob/v0.14.0/src/diffusers/models/autoencoder_kl.py#L40"}}),Wo=new $({props:{name:"disable_slicing",anchor:"diffusers.AutoencoderKL.disable_slicing",parameters:[],source:"https://github.com/huggingface/diffusers/blob/v0.14.0/src/diffusers/models/autoencoder_kl.py#L146"}}),Ho=new $({props:{name:"disable_tiling",anchor:"diffusers.AutoencoderKL.disable_tiling",parameters:[],source:"https://github.com/huggingface/diffusers/blob/v0.14.0/src/diffusers/models/autoencoder_kl.py#L132"}}),Ro=new $({props:{name:"enable_slicing",anchor:"diffusers.AutoencoderKL.enable_slicing",parameters:[],source:"https://github.com/huggingface/diffusers/blob/v0.14.0/src/diffusers/models/autoencoder_kl.py#L139"}}),Yo=new $({props:{name:"enable_tiling",anchor:"diffusers.AutoencoderKL.enable_tiling",parameters:[{name:"use_tiling",val:": bool = True"}],source:"https://github.com/huggingface/diffusers/blob/v0.14.0/src/diffusers/models/autoencoder_kl.py#L124"}}),Go=new $({props:{name:"forward",anchor:"diffusers.AutoencoderKL.forward",parameters:[{name:"sample",val:": FloatTensor"},{name:"sample_posterior",val:": bool = False"},{name:"return_dict",val:": bool = True"},{name:"generator",val:": typing.Optional[torch._C.Generator] = None"}],parametersDescription:[{anchor:"diffusers.AutoencoderKL.forward.sample",description:"<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014; Input sample.",name:"sample"},{anchor:"diffusers.AutoencoderKL.forward.sample_posterior",description:`<strong>sample_posterior</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to sample from the posterior.`,name:"sample_posterior"},{anchor:"diffusers.AutoencoderKL.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to return a <code>DecoderOutput</code> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/diffusers/blob/v0.14.0/src/diffusers/models/autoencoder_kl.py#L294"}}),Jo=new $({props:{name:"tiled_decode",anchor:"diffusers.AutoencoderKL.tiled_decode",parameters:[{name:"z",val:": FloatTensor"},{name:"return_dict",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.AutoencoderKL.tiled_decode.When",description:"<strong>When</strong> this option is enabled, the VAE will split the input tensor into tiles to compute decoding in several &#x2014;",name:"When"},{anchor:"diffusers.AutoencoderKL.tiled_decode.steps.",description:"<strong>steps.</strong> This is useful to keep memory use constant regardless of image size. The end result of tiled decoding is &#x2014;",name:"steps."},{anchor:"diffusers.AutoencoderKL.tiled_decode.different",description:"<strong>different</strong> from non-tiled decoding due to each tile using a different decoder. To avoid tiling artifacts, the &#x2014;",name:"different"},{anchor:"diffusers.AutoencoderKL.tiled_decode.tiles",description:"<strong>tiles</strong> overlap and are blended together to form a smooth output. You may still see tile-sized changes in the &#x2014;",name:"tiles"},{anchor:"diffusers.AutoencoderKL.tiled_decode.look",description:`<strong>look</strong> of the output, but they should be much less noticeable. &#x2014;
z (<code>torch.FloatTensor</code>): Input batch of latent vectors. return_dict (<code>bool</code>, <em>optional</em>, defaults to
<code>True</code>):
Whether or not to return a <code>DecoderOutput</code> instead of a plain tuple.`,name:"look"}],source:"https://github.com/huggingface/diffusers/blob/v0.14.0/src/diffusers/models/autoencoder_kl.py#L248"}}),Zo=new $({props:{name:"tiled_encode",anchor:"diffusers.AutoencoderKL.tiled_encode",parameters:[{name:"x",val:": FloatTensor"},{name:"return_dict",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.AutoencoderKL.tiled_encode.When",description:"<strong>When</strong> this option is enabled, the VAE will split the input tensor into tiles to compute encoding in several &#x2014;",name:"When"},{anchor:"diffusers.AutoencoderKL.tiled_encode.steps.",description:"<strong>steps.</strong> This is useful to keep memory use constant regardless of image size. The end result of tiled encoding is &#x2014;",name:"steps."},{anchor:"diffusers.AutoencoderKL.tiled_encode.different",description:"<strong>different</strong> from non-tiled encoding due to each tile using a different encoder. To avoid tiling artifacts, the &#x2014;",name:"different"},{anchor:"diffusers.AutoencoderKL.tiled_encode.tiles",description:"<strong>tiles</strong> overlap and are blended together to form a smooth output. You may still see tile-sized changes in the &#x2014;",name:"tiles"},{anchor:"diffusers.AutoencoderKL.tiled_encode.look",description:`<strong>look</strong> of the output, but they should be much less noticeable. &#x2014;
x (<code>torch.FloatTensor</code>): Input batch of images. return_dict (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>):
Whether or not to return a <code>AutoencoderKLOutput</code> instead of a plain tuple.`,name:"look"}],source:"https://github.com/huggingface/diffusers/blob/v0.14.0/src/diffusers/models/autoencoder_kl.py#L202"}}),en=new E({}),tn=new $({props:{name:"class diffusers.Transformer2DModel",anchor:"diffusers.Transformer2DModel",parameters:[{name:"num_attention_heads",val:": int = 16"},{name:"attention_head_dim",val:": int = 88"},{name:"in_channels",val:": typing.Optional[int] = None"},{name:"out_channels",val:": typing.Optional[int] = None"},{name:"num_layers",val:": int = 1"},{name:"dropout",val:": float = 0.0"},{name:"norm_num_groups",val:": int = 32"},{name:"cross_attention_dim",val:": typing.Optional[int] = None"},{name:"attention_bias",val:": bool = False"},{name:"sample_size",val:": typing.Optional[int] = None"},{name:"num_vector_embeds",val:": typing.Optional[int] = None"},{name:"patch_size",val:": typing.Optional[int] = None"},{name:"activation_fn",val:": str = 'geglu'"},{name:"num_embeds_ada_norm",val:": typing.Optional[int] = None"},{name:"use_linear_projection",val:": bool = False"},{name:"only_cross_attention",val:": bool = False"},{name:"upcast_attention",val:": bool = False"},{name:"norm_type",val:": str = 'layer_norm'"},{name:"norm_elementwise_affine",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.Transformer2DModel.num_attention_heads",description:"<strong>num_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 16) &#x2014; The number of heads to use for multi-head attention.",name:"num_attention_heads"},{anchor:"diffusers.Transformer2DModel.attention_head_dim",description:"<strong>attention_head_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 88) &#x2014; The number of channels in each head.",name:"attention_head_dim"},{anchor:"diffusers.Transformer2DModel.in_channels",description:`<strong>in_channels</strong> (<code>int</code>, <em>optional</em>) &#x2014;
Pass if the input is continuous. The number of channels in the input and output.`,name:"in_channels"},{anchor:"diffusers.Transformer2DModel.num_layers",description:"<strong>num_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014; The number of layers of Transformer blocks to use.",name:"num_layers"},{anchor:"diffusers.Transformer2DModel.dropout",description:"<strong>dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014; The dropout probability to use.",name:"dropout"},{anchor:"diffusers.Transformer2DModel.cross_attention_dim",description:"<strong>cross_attention_dim</strong> (<code>int</code>, <em>optional</em>) &#x2014; The number of encoder_hidden_states dimensions to use.",name:"cross_attention_dim"},{anchor:"diffusers.Transformer2DModel.sample_size",description:`<strong>sample_size</strong> (<code>int</code>, <em>optional</em>) &#x2014; Pass if the input is discrete. The width of the latent images.
Note that this is fixed at training time as it is used for learning a number of position embeddings. See
<code>ImagePositionalEmbeddings</code>.`,name:"sample_size"},{anchor:"diffusers.Transformer2DModel.num_vector_embeds",description:`<strong>num_vector_embeds</strong> (<code>int</code>, <em>optional</em>) &#x2014;
Pass if the input is discrete. The number of classes of the vector embeddings of the latent pixels.
Includes the class for the masked latent pixel.`,name:"num_vector_embeds"},{anchor:"diffusers.Transformer2DModel.activation_fn",description:"<strong>activation_fn</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;geglu&quot;</code>) &#x2014; Activation function to be used in feed-forward.",name:"activation_fn"},{anchor:"diffusers.Transformer2DModel.num_embeds_ada_norm",description:`<strong>num_embeds_ada_norm</strong> ( <code>int</code>, <em>optional</em>) &#x2014; Pass if at least one of the norm_layers is <code>AdaLayerNorm</code>.
The number of diffusion steps used during training. Note that this is fixed at training time as it is used
to learn a number of embeddings that are added to the hidden states. During inference, you can denoise for
up to but not more than steps than <code>num_embeds_ada_norm</code>.`,name:"num_embeds_ada_norm"},{anchor:"diffusers.Transformer2DModel.attention_bias",description:`<strong>attention_bias</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Configure if the TransformerBlocks&#x2019; attention should contain a bias parameter.`,name:"attention_bias"}],source:"https://github.com/huggingface/diffusers/blob/v0.14.0/src/diffusers/models/transformer_2d.py#L41"}}),nn=new $({props:{name:"forward",anchor:"diffusers.Transformer2DModel.forward",parameters:[{name:"hidden_states",val:""},{name:"encoder_hidden_states",val:" = None"},{name:"timestep",val:" = None"},{name:"class_labels",val:" = None"},{name:"cross_attention_kwargs",val:" = None"},{name:"return_dict",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.Transformer2DModel.forward.hidden_states",description:`<strong>hidden_states</strong> ( When discrete, <code>torch.LongTensor</code> of shape <code>(batch size, num latent pixels)</code>. &#x2014;
When continous, <code>torch.FloatTensor</code> of shape <code>(batch size, channel, height, width)</code>): Input
hidden_states`,name:"hidden_states"},{anchor:"diffusers.Transformer2DModel.forward.encoder_hidden_states",description:`<strong>encoder_hidden_states</strong> ( <code>torch.LongTensor</code> of shape <code>(batch size, encoder_hidden_states dim)</code>, <em>optional</em>) &#x2014;
Conditional embeddings for cross attention layer. If not given, cross-attention defaults to
self-attention.`,name:"encoder_hidden_states"},{anchor:"diffusers.Transformer2DModel.forward.timestep",description:`<strong>timestep</strong> ( <code>torch.long</code>, <em>optional</em>) &#x2014;
Optional timestep to be applied as an embedding in AdaLayerNorm&#x2019;s. Used to indicate denoising step.`,name:"timestep"},{anchor:"diffusers.Transformer2DModel.forward.class_labels",description:`<strong>class_labels</strong> ( <code>torch.LongTensor</code> of shape <code>(batch size, num classes)</code>, <em>optional</em>) &#x2014;
Optional class labels to be applied as an embedding in AdaLayerZeroNorm. Used to indicate class labels
conditioning.`,name:"class_labels"},{anchor:"diffusers.Transformer2DModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to return a <a href="/docs/diffusers/v0.14.0/en/api/models#diffusers.models.unet_2d_condition.UNet2DConditionOutput">models.unet_2d_condition.UNet2DConditionOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/diffusers/blob/v0.14.0/src/diffusers/models/transformer_2d.py#L214",returnDescription:`
<p><a
  href="/docs/diffusers/v0.14.0/en/api/models#diffusers.models.transformer_2d.Transformer2DModelOutput"
>Transformer2DModelOutput</a> if <code>return_dict</code> is True, otherwise a <code>tuple</code>. When
returning a tuple, the first element is the sample tensor.</p>
`,returnType:`
<p><a
  href="/docs/diffusers/v0.14.0/en/api/models#diffusers.models.transformer_2d.Transformer2DModelOutput"
>Transformer2DModelOutput</a> or <code>tuple</code></p>
`}}),sn=new E({}),an=new $({props:{name:"class diffusers.models.transformer_2d.Transformer2DModelOutput",anchor:"diffusers.models.transformer_2d.Transformer2DModelOutput",parameters:[{name:"sample",val:": FloatTensor"}],parametersDescription:[{anchor:"diffusers.models.transformer_2d.Transformer2DModelOutput.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code> or <code>(batch size, num_vector_embeds - 1, num_latent_pixels)</code> if <a href="/docs/diffusers/v0.14.0/en/api/models#diffusers.Transformer2DModel">Transformer2DModel</a> is discrete) &#x2014;
Hidden states conditioned on <code>encoder_hidden_states</code> input. If discrete, returns probability distributions
for the unnoised latent pixels.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/v0.14.0/src/diffusers/models/transformer_2d.py#L30"}}),dn=new E({}),ln=new $({props:{name:"class diffusers.PriorTransformer",anchor:"diffusers.PriorTransformer",parameters:[{name:"num_attention_heads",val:": int = 32"},{name:"attention_head_dim",val:": int = 64"},{name:"num_layers",val:": int = 20"},{name:"embedding_dim",val:": int = 768"},{name:"num_embeddings",val:" = 77"},{name:"additional_embeddings",val:" = 4"},{name:"dropout",val:": float = 0.0"}],parametersDescription:[{anchor:"diffusers.PriorTransformer.num_attention_heads",description:"<strong>num_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 32) &#x2014; The number of heads to use for multi-head attention.",name:"num_attention_heads"},{anchor:"diffusers.PriorTransformer.attention_head_dim",description:"<strong>attention_head_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 64) &#x2014; The number of channels in each head.",name:"attention_head_dim"},{anchor:"diffusers.PriorTransformer.num_layers",description:"<strong>num_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 20) &#x2014; The number of layers of Transformer blocks to use.",name:"num_layers"},{anchor:"diffusers.PriorTransformer.embedding_dim",description:`<strong>embedding_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 768) &#x2014; The dimension of the CLIP embeddings. Note that CLIP
image embeddings and text embeddings are both the same dimension.`,name:"embedding_dim"},{anchor:"diffusers.PriorTransformer.num_embeddings",description:`<strong>num_embeddings</strong> (<code>int</code>, <em>optional</em>, defaults to 77) &#x2014; The max number of clip embeddings allowed. I.e. the
length of the prompt after it has been tokenized.`,name:"num_embeddings"},{anchor:"diffusers.PriorTransformer.additional_embeddings",description:`<strong>additional_embeddings</strong> (<code>int</code>, <em>optional</em>, defaults to 4) &#x2014; The number of additional tokens appended to the
projected hidden_states. The actual length of the used hidden_states is <code>num_embeddings + additional_embeddings</code>.`,name:"additional_embeddings"},{anchor:"diffusers.PriorTransformer.dropout",description:"<strong>dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014; The dropout probability to use.",name:"dropout"}],source:"https://github.com/huggingface/diffusers/blob/v0.14.0/src/diffusers/models/prior_transformer.py#L26"}}),pn=new $({props:{name:"forward",anchor:"diffusers.PriorTransformer.forward",parameters:[{name:"hidden_states",val:""},{name:"timestep",val:": typing.Union[torch.Tensor, float, int]"},{name:"proj_embedding",val:": FloatTensor"},{name:"encoder_hidden_states",val:": FloatTensor"},{name:"attention_mask",val:": typing.Optional[torch.BoolTensor] = None"},{name:"return_dict",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.PriorTransformer.forward.hidden_states",description:`<strong>hidden_states</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, embedding_dim)</code>) &#x2014;
x_t, the currently predicted image embeddings.`,name:"hidden_states"},{anchor:"diffusers.PriorTransformer.forward.timestep",description:`<strong>timestep</strong> (<code>torch.long</code>) &#x2014;
Current denoising step.`,name:"timestep"},{anchor:"diffusers.PriorTransformer.forward.proj_embedding",description:`<strong>proj_embedding</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, embedding_dim)</code>) &#x2014;
Projected embedding vector the denoising process is conditioned on.`,name:"proj_embedding"},{anchor:"diffusers.PriorTransformer.forward.encoder_hidden_states",description:`<strong>encoder_hidden_states</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_embeddings, embedding_dim)</code>) &#x2014;
Hidden states of the text embeddings the denoising process is conditioned on.`,name:"encoder_hidden_states"},{anchor:"diffusers.PriorTransformer.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.BoolTensor</code> of shape <code>(batch_size, num_embeddings)</code>) &#x2014;
Text mask for the text embeddings.`,name:"attention_mask"},{anchor:"diffusers.PriorTransformer.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to return a <a href="/docs/diffusers/v0.14.0/en/api/models#diffusers.models.prior_transformer.PriorTransformerOutput">models.prior_transformer.PriorTransformerOutput</a> instead of a plain
tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/diffusers/blob/v0.14.0/src/diffusers/models/prior_transformer.py#L107",returnDescription:`
<p><a
  href="/docs/diffusers/v0.14.0/en/api/models#diffusers.models.prior_transformer.PriorTransformerOutput"
>PriorTransformerOutput</a> if <code>return_dict</code> is True, otherwise a <code>tuple</code>. When
returning a tuple, the first element is the sample tensor.</p>
`,returnType:`
<p><a
  href="/docs/diffusers/v0.14.0/en/api/models#diffusers.models.prior_transformer.PriorTransformerOutput"
>PriorTransformerOutput</a> or <code>tuple</code></p>
`}}),fn=new E({}),hn=new $({props:{name:"class diffusers.models.prior_transformer.PriorTransformerOutput",anchor:"diffusers.models.prior_transformer.PriorTransformerOutput",parameters:[{name:"predicted_image_embedding",val:": FloatTensor"}],parametersDescription:[{anchor:"diffusers.models.prior_transformer.PriorTransformerOutput.predicted_image_embedding",description:`<strong>predicted_image_embedding</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, embedding_dim)</code>) &#x2014;
The predicted CLIP image embedding conditioned on the CLIP text embedding input.`,name:"predicted_image_embedding"}],source:"https://github.com/huggingface/diffusers/blob/v0.14.0/src/diffusers/models/prior_transformer.py#L16"}}),gn=new E({}),vn=new $({props:{name:"class diffusers.models.controlnet.ControlNetOutput",anchor:"diffusers.models.controlnet.ControlNetOutput",parameters:[{name:"down_block_res_samples",val:": typing.Tuple[torch.Tensor]"},{name:"mid_block_res_sample",val:": Tensor"}],source:"https://github.com/huggingface/diffusers/blob/v0.14.0/src/diffusers/models/controlnet.py#L38"}}),bn=new E({}),yn=new $({props:{name:"class diffusers.ControlNetModel",anchor:"diffusers.ControlNetModel",parameters:[{name:"in_channels",val:": int = 4"},{name:"flip_sin_to_cos",val:": bool = True"},{name:"freq_shift",val:": int = 0"},{name:"down_block_types",val:": typing.Tuple[str] = ('CrossAttnDownBlock2D', 'CrossAttnDownBlock2D', 'CrossAttnDownBlock2D', 'DownBlock2D')"},{name:"only_cross_attention",val:": typing.Union[bool, typing.Tuple[bool]] = False"},{name:"block_out_channels",val:": typing.Tuple[int] = (320, 640, 1280, 1280)"},{name:"layers_per_block",val:": int = 2"},{name:"downsample_padding",val:": int = 1"},{name:"mid_block_scale_factor",val:": float = 1"},{name:"act_fn",val:": str = 'silu'"},{name:"norm_num_groups",val:": typing.Optional[int] = 32"},{name:"norm_eps",val:": float = 1e-05"},{name:"cross_attention_dim",val:": int = 1280"},{name:"attention_head_dim",val:": typing.Union[int, typing.Tuple[int]] = 8"},{name:"use_linear_projection",val:": bool = False"},{name:"class_embed_type",val:": typing.Optional[str] = None"},{name:"num_class_embeds",val:": typing.Optional[int] = None"},{name:"upcast_attention",val:": bool = False"},{name:"resnet_time_scale_shift",val:": str = 'default'"},{name:"projection_class_embeddings_input_dim",val:": typing.Optional[int] = None"},{name:"controlnet_conditioning_channel_order",val:": str = 'rgb'"},{name:"conditioning_embedding_out_channels",val:": typing.Optional[typing.Tuple[int]] = (16, 32, 96, 256)"}],source:"https://github.com/huggingface/diffusers/blob/v0.14.0/src/diffusers/models/controlnet.py#L88"}}),xn=new $({props:{name:"set_attention_slice",anchor:"diffusers.ControlNetModel.set_attention_slice",parameters:[{name:"slice_size",val:""}],parametersDescription:[{anchor:"diffusers.ControlNetModel.set_attention_slice.slice_size",description:`<strong>slice_size</strong> (<code>str</code> or <code>int</code> or <code>list(int)</code>, <em>optional</em>, defaults to <code>&quot;auto&quot;</code>) &#x2014;
When <code>&quot;auto&quot;</code>, halves the input to the attention heads, so attention will be computed in two steps. If
<code>&quot;max&quot;</code>, maxium amount of memory will be saved by running only one slice at a time. If a number is
provided, uses as many slices as <code>attention_head_dim // slice_size</code>. In this case, <code>attention_head_dim</code>
must be a multiple of <code>slice_size</code>.`,name:"slice_size"}],source:"https://github.com/huggingface/diffusers/blob/v0.14.0/src/diffusers/models/controlnet.py#L317"}}),$n=new $({props:{name:"set_attn_processor",anchor:"diffusers.ControlNetModel.set_attn_processor",parameters:[{name:"processor",val:": typing.Union[diffusers.models.cross_attention.CrossAttnProcessor, diffusers.models.cross_attention.XFormersCrossAttnProcessor, diffusers.models.cross_attention.SlicedAttnProcessor, diffusers.models.cross_attention.CrossAttnAddedKVProcessor, diffusers.models.cross_attention.SlicedAttnAddedKVProcessor, diffusers.models.cross_attention.LoRACrossAttnProcessor, diffusers.models.cross_attention.LoRAXFormersCrossAttnProcessor, typing.Dict[str, typing.Union[diffusers.models.cross_attention.CrossAttnProcessor, diffusers.models.cross_attention.XFormersCrossAttnProcessor, diffusers.models.cross_attention.SlicedAttnProcessor, diffusers.models.cross_attention.CrossAttnAddedKVProcessor, diffusers.models.cross_attention.SlicedAttnAddedKVProcessor, diffusers.models.cross_attention.LoRACrossAttnProcessor, diffusers.models.cross_attention.LoRAXFormersCrossAttnProcessor]]]"}],parametersDescription:[{anchor:"diffusers.ControlNetModel.set_attn_processor.`processor",description:`<strong>\`processor</strong> (<code>dict</code> of <code>AttnProcessor</code> or <code>AttnProcessor</code>) &#x2014;
The instantiated processor class or a dictionary of processor classes that will be set as the processor
of <strong>all</strong> <code>CrossAttention</code> layers.`,name:"`processor"},{anchor:"diffusers.ControlNetModel.set_attn_processor.In",description:"<strong>In</strong> case <code>processor</code> is a dict, the key needs to define the path to the corresponding cross attention processor. This is strongly recommended when setting trainablae attention processors. &#x2014;",name:"In"}],source:"https://github.com/huggingface/diffusers/blob/v0.14.0/src/diffusers/models/controlnet.py#L286"}}),wn=new E({}),Dn=new $({props:{name:"class diffusers.FlaxModelMixin",anchor:"diffusers.FlaxModelMixin",parameters:[],source:"https://github.com/huggingface/diffusers/blob/v0.14.0/src/diffusers/models/modeling_flax_utils.py#L45"}}),kn=new $({props:{name:"from_pretrained",anchor:"diffusers.FlaxModelMixin.from_pretrained",parameters:[{name:"pretrained_model_name_or_path",val:": typing.Union[str, os.PathLike]"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"*model_args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"diffusers.FlaxModelMixin.from_pretrained.pretrained_model_name_or_path",description:`<strong>pretrained_model_name_or_path</strong> (<code>str</code> or <code>os.PathLike</code>) &#x2014;
Can be either:</p>
<ul>
<li>A string, the <em>model id</em> of a pretrained model hosted inside a model repo on huggingface.co.
Valid model ids are namespaced under a user or organization name, like
<code>runwayml/stable-diffusion-v1-5</code>.</li>
<li>A path to a <em>directory</em> containing model weights saved using <a href="/docs/diffusers/v0.14.0/en/api/models#diffusers.ModelMixin.save_pretrained">save_pretrained()</a>,
e.g., <code>./my_model_directory/</code>.</li>
</ul>`,name:"pretrained_model_name_or_path"},{anchor:"diffusers.FlaxModelMixin.from_pretrained.dtype",description:`<strong>dtype</strong> (<code>jax.numpy.dtype</code>, <em>optional</em>, defaults to <code>jax.numpy.float32</code>) &#x2014;
The data type of the computation. Can be one of <code>jax.numpy.float32</code>, <code>jax.numpy.float16</code> (on GPUs) and
<code>jax.numpy.bfloat16</code> (on TPUs).</p>
<p>This can be used to enable mixed-precision training or half-precision inference on GPUs or TPUs. If
specified all the computation will be performed with the given <code>dtype</code>.</p>
<p><strong>Note that this only specifies the dtype of the computation and does not influence the dtype of model
parameters.</strong></p>
<p>If you wish to change the dtype of the model parameters, see <code>~ModelMixin.to_fp16</code> and
<code>~ModelMixin.to_bf16</code>.`,name:"dtype"},{anchor:"diffusers.FlaxModelMixin.from_pretrained.model_args",description:`<strong>model_args</strong> (sequence of positional arguments, <em>optional</em>) &#x2014;
All remaining positional arguments will be passed to the underlying model&#x2019;s <code>__init__</code> method.`,name:"model_args"},{anchor:"diffusers.FlaxModelMixin.from_pretrained.cache_dir",description:`<strong>cache_dir</strong> (<code>Union[str, os.PathLike]</code>, <em>optional</em>) &#x2014;
Path to a directory in which a downloaded pretrained model configuration should be cached if the
standard cache should not be used.`,name:"cache_dir"},{anchor:"diffusers.FlaxModelMixin.from_pretrained.force_download",description:`<strong>force_download</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to force the (re-)download of the model weights and configuration files, overriding the
cached versions if they exist.`,name:"force_download"},{anchor:"diffusers.FlaxModelMixin.from_pretrained.resume_download",description:`<strong>resume_download</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to delete incompletely received files. Will attempt to resume the download if such a
file exists.`,name:"resume_download"},{anchor:"diffusers.FlaxModelMixin.from_pretrained.proxies",description:`<strong>proxies</strong> (<code>Dict[str, str]</code>, <em>optional</em>) &#x2014;
A dictionary of proxy servers to use by protocol or endpoint, e.g., <code>{&apos;http&apos;: &apos;foo.bar:3128&apos;, &apos;http://hostname&apos;: &apos;foo.bar:4012&apos;}</code>. The proxies are used on each request.`,name:"proxies"},{anchor:"diffusers.FlaxModelMixin.from_pretrained.local_files_only(bool,",description:`<strong>local_files_only(<code>bool</code>,</strong> <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to only look at local files (i.e., do not try to download the model).`,name:"local_files_only(bool,"},{anchor:"diffusers.FlaxModelMixin.from_pretrained.revision",description:`<strong>revision</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;main&quot;</code>) &#x2014;
The specific model version to use. It can be a branch name, a tag name, or a commit id, since we use a
git-based system for storing models and other artifacts on huggingface.co, so <code>revision</code> can be any
identifier allowed by git.`,name:"revision"},{anchor:"diffusers.FlaxModelMixin.from_pretrained.from_pt",description:`<strong>from_pt</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Load the model weights from a PyTorch checkpoint save file.`,name:"from_pt"},{anchor:"diffusers.FlaxModelMixin.from_pretrained.kwargs",description:`<strong>kwargs</strong> (remaining dictionary of keyword arguments, <em>optional</em>) &#x2014;
Can be used to update the configuration object (after it being loaded) and initiate the model (e.g.,
<code>output_attentions=True</code>). Behaves differently depending on whether a <code>config</code> is provided or
automatically loaded:</p>
<ul>
<li>If a configuration is provided with <code>config</code>, <code>**kwargs</code> will be directly passed to the
underlying model&#x2019;s <code>__init__</code> method (we assume all relevant updates to the configuration have
already been done)</li>
<li>If a configuration is not provided, <code>kwargs</code> will be first passed to the configuration class
initialization function (<a href="/docs/diffusers/v0.14.0/en/api/configuration#diffusers.ConfigMixin.from_config">from_config()</a>). Each key of <code>kwargs</code> that corresponds to
a configuration attribute will be used to override said attribute with the supplied <code>kwargs</code>
value. Remaining keys that do not correspond to any configuration attribute will be passed to the
underlying model&#x2019;s <code>__init__</code> function.</li>
</ul>`,name:"kwargs"}],source:"https://github.com/huggingface/diffusers/blob/v0.14.0/src/diffusers/models/modeling_flax_utils.py#L195"}}),At=new ci({props:{anchor:"diffusers.FlaxModelMixin.from_pretrained.example",$$slots:{default:[Wv]},$$scope:{ctx:q}}}),Nn=new $({props:{name:"save_pretrained",anchor:"diffusers.FlaxModelMixin.save_pretrained",parameters:[{name:"save_directory",val:": typing.Union[str, os.PathLike]"},{name:"params",val:": typing.Union[typing.Dict, flax.core.frozen_dict.FrozenDict]"},{name:"is_main_process",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.FlaxModelMixin.save_pretrained.save_directory",description:`<strong>save_directory</strong> (<code>str</code> or <code>os.PathLike</code>) &#x2014;
Directory to which to save. Will be created if it doesn&#x2019;t exist.`,name:"save_directory"},{anchor:"diffusers.FlaxModelMixin.save_pretrained.params",description:`<strong>params</strong> (<code>Union[Dict, FrozenDict]</code>) &#x2014;
A <code>PyTree</code> of model parameters.`,name:"params"},{anchor:"diffusers.FlaxModelMixin.save_pretrained.is_main_process",description:`<strong>is_main_process</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether the process calling this is the main process or not. Useful when in distributed training like
TPUs and need to call this function on all processes. In this case, set <code>is_main_process=True</code> only on
the main process to avoid race conditions.`,name:"is_main_process"}],source:"https://github.com/huggingface/diffusers/blob/v0.14.0/src/diffusers/models/modeling_flax_utils.py#L487"}}),An=new $({props:{name:"to_bf16",anchor:"diffusers.FlaxModelMixin.to_bf16",parameters:[{name:"params",val:": typing.Union[typing.Dict, flax.core.frozen_dict.FrozenDict]"},{name:"mask",val:": typing.Any = None"}],parametersDescription:[{anchor:"diffusers.FlaxModelMixin.to_bf16.params",description:`<strong>params</strong> (<code>Union[Dict, FrozenDict]</code>) &#x2014;
A <code>PyTree</code> of model parameters.`,name:"params"},{anchor:"diffusers.FlaxModelMixin.to_bf16.mask",description:`<strong>mask</strong> (<code>Union[Dict, FrozenDict]</code>) &#x2014;
A <code>PyTree</code> with same structure as the <code>params</code> tree. The leaves should be booleans, <code>True</code> for params
you want to cast, and should be <code>False</code> for those you want to skip.`,name:"mask"}],source:"https://github.com/huggingface/diffusers/blob/v0.14.0/src/diffusers/models/modeling_flax_utils.py#L87"}}),Ct=new ci({props:{anchor:"diffusers.FlaxModelMixin.to_bf16.example",$$slots:{default:[Xv]},$$scope:{ctx:q}}}),Un=new $({props:{name:"to_fp16",anchor:"diffusers.FlaxModelMixin.to_fp16",parameters:[{name:"params",val:": typing.Union[typing.Dict, flax.core.frozen_dict.FrozenDict]"},{name:"mask",val:": typing.Any = None"}],parametersDescription:[{anchor:"diffusers.FlaxModelMixin.to_fp16.params",description:`<strong>params</strong> (<code>Union[Dict, FrozenDict]</code>) &#x2014;
A <code>PyTree</code> of model parameters.`,name:"params"},{anchor:"diffusers.FlaxModelMixin.to_fp16.mask",description:`<strong>mask</strong> (<code>Union[Dict, FrozenDict]</code>) &#x2014;
A <code>PyTree</code> with same structure as the <code>params</code> tree. The leaves should be booleans, <code>True</code> for params
you want to cast, and should be <code>False</code> for those you want to skip`,name:"mask"}],source:"https://github.com/huggingface/diffusers/blob/v0.14.0/src/diffusers/models/modeling_flax_utils.py#L153"}}),Ft=new ci({props:{anchor:"diffusers.FlaxModelMixin.to_fp16.example",$$slots:{default:[Hv]},$$scope:{ctx:q}}}),Cn=new $({props:{name:"to_fp32",anchor:"diffusers.FlaxModelMixin.to_fp32",parameters:[{name:"params",val:": typing.Union[typing.Dict, flax.core.frozen_dict.FrozenDict]"},{name:"mask",val:": typing.Any = None"}],parametersDescription:[{anchor:"diffusers.FlaxModelMixin.to_fp32.params",description:`<strong>params</strong> (<code>Union[Dict, FrozenDict]</code>) &#x2014;
A <code>PyTree</code> of model parameters.`,name:"params"},{anchor:"diffusers.FlaxModelMixin.to_fp32.mask",description:`<strong>mask</strong> (<code>Union[Dict, FrozenDict]</code>) &#x2014;
A <code>PyTree</code> with same structure as the <code>params</code> tree. The leaves should be booleans, <code>True</code> for params
you want to cast, and should be <code>False</code> for those you want to skip`,name:"mask"}],source:"https://github.com/huggingface/diffusers/blob/v0.14.0/src/diffusers/models/modeling_flax_utils.py#L126"}}),Pt=new ci({props:{anchor:"diffusers.FlaxModelMixin.to_fp32.example",$$slots:{default:[Qv]},$$scope:{ctx:q}}}),Fn=new E({}),Pn=new $({props:{name:"class diffusers.models.unet_2d_condition_flax.FlaxUNet2DConditionOutput",anchor:"diffusers.models.unet_2d_condition_flax.FlaxUNet2DConditionOutput",parameters:[{name:"sample",val:": ndarray"}],parametersDescription:[{anchor:"diffusers.models.unet_2d_condition_flax.FlaxUNet2DConditionOutput.sample",description:`<strong>sample</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Hidden states conditioned on <code>encoder_hidden_states</code> input. Output of last layer of model.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/v0.14.0/src/diffusers/models/unet_2d_condition_flax.py#L36"}}),On=new $({props:{name:"replace",anchor:"diffusers.models.unet_2d_condition_flax.FlaxUNet2DConditionOutput.replace",parameters:[{name:"**updates",val:""}],source:"https://github.com/huggingface/diffusers/blob/v0.14.0/src/flax/struct.py#L108"}}),Ln=new E({}),qn=new $({props:{name:"class diffusers.FlaxUNet2DConditionModel",anchor:"diffusers.FlaxUNet2DConditionModel",parameters:[{name:"sample_size",val:": int = 32"},{name:"in_channels",val:": int = 4"},{name:"out_channels",val:": int = 4"},{name:"down_block_types",val:": typing.Tuple[str] = ('CrossAttnDownBlock2D', 'CrossAttnDownBlock2D', 'CrossAttnDownBlock2D', 'DownBlock2D')"},{name:"up_block_types",val:": typing.Tuple[str] = ('UpBlock2D', 'CrossAttnUpBlock2D', 'CrossAttnUpBlock2D', 'CrossAttnUpBlock2D')"},{name:"only_cross_attention",val:": typing.Union[bool, typing.Tuple[bool]] = False"},{name:"block_out_channels",val:": typing.Tuple[int] = (320, 640, 1280, 1280)"},{name:"layers_per_block",val:": int = 2"},{name:"attention_head_dim",val:": typing.Union[int, typing.Tuple[int]] = 8"},{name:"cross_attention_dim",val:": int = 1280"},{name:"dropout",val:": float = 0.0"},{name:"use_linear_projection",val:": bool = False"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"flip_sin_to_cos",val:": bool = True"},{name:"freq_shift",val:": int = 0"},{name:"parent",val:": typing.Union[typing.Type[flax.linen.module.Module], typing.Type[flax.core.scope.Scope], typing.Type[flax.linen.module._Sentinel], NoneType] = <flax.linen.module._Sentinel object at 0x7fe5874856a0>"},{name:"name",val:": str = None"}],parametersDescription:[{anchor:"diffusers.FlaxUNet2DConditionModel.sample_size",description:`<strong>sample_size</strong> (<code>int</code>, <em>optional</em>) &#x2014;
The size of the input sample.`,name:"sample_size"},{anchor:"diffusers.FlaxUNet2DConditionModel.in_channels",description:`<strong>in_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 4) &#x2014;
The number of channels in the input sample.`,name:"in_channels"},{anchor:"diffusers.FlaxUNet2DConditionModel.out_channels",description:`<strong>out_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 4) &#x2014;
The number of channels in the output.`,name:"out_channels"},{anchor:"diffusers.FlaxUNet2DConditionModel.down_block_types",description:`<strong>down_block_types</strong> (<code>Tuple[str]</code>, <em>optional</em>, defaults to <code>(&quot;CrossAttnDownBlock2D&quot;, &quot;CrossAttnDownBlock2D&quot;, &quot;CrossAttnDownBlock2D&quot;, &quot;DownBlock2D&quot;)</code>) &#x2014;
The tuple of downsample blocks to use. The corresponding class names will be: &#x201C;FlaxCrossAttnDownBlock2D&#x201D;,
&#x201C;FlaxCrossAttnDownBlock2D&#x201D;, &#x201C;FlaxCrossAttnDownBlock2D&#x201D;, &#x201C;FlaxDownBlock2D&#x201D;`,name:"down_block_types"},{anchor:"diffusers.FlaxUNet2DConditionModel.up_block_types",description:`<strong>up_block_types</strong> (<code>Tuple[str]</code>, <em>optional</em>, defaults to <code>(&quot;UpBlock2D&quot;, &quot;CrossAttnUpBlock2D&quot;, &quot;CrossAttnUpBlock2D&quot;, &quot;CrossAttnUpBlock2D&quot;,)</code>) &#x2014;
The tuple of upsample blocks to use. The corresponding class names will be: &#x201C;FlaxUpBlock2D&#x201D;,
&#x201C;FlaxCrossAttnUpBlock2D&#x201D;, &#x201C;FlaxCrossAttnUpBlock2D&#x201D;, &#x201C;FlaxCrossAttnUpBlock2D&#x201D;`,name:"up_block_types"},{anchor:"diffusers.FlaxUNet2DConditionModel.block_out_channels",description:`<strong>block_out_channels</strong> (<code>Tuple[int]</code>, <em>optional</em>, defaults to <code>(320, 640, 1280, 1280)</code>) &#x2014;
The tuple of output channels for each block.`,name:"block_out_channels"},{anchor:"diffusers.FlaxUNet2DConditionModel.layers_per_block",description:`<strong>layers_per_block</strong> (<code>int</code>, <em>optional</em>, defaults to 2) &#x2014;
The number of layers per block.`,name:"layers_per_block"},{anchor:"diffusers.FlaxUNet2DConditionModel.attention_head_dim",description:`<strong>attention_head_dim</strong> (<code>int</code> or <code>Tuple[int]</code>, <em>optional</em>, defaults to 8) &#x2014;
The dimension of the attention heads.`,name:"attention_head_dim"},{anchor:"diffusers.FlaxUNet2DConditionModel.cross_attention_dim",description:`<strong>cross_attention_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 768) &#x2014;
The dimension of the cross attention features.`,name:"cross_attention_dim"},{anchor:"diffusers.FlaxUNet2DConditionModel.dropout",description:`<strong>dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0) &#x2014;
Dropout probability for down, up and bottleneck blocks.`,name:"dropout"},{anchor:"diffusers.FlaxUNet2DConditionModel.flip_sin_to_cos",description:`<strong>flip_sin_to_cos</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to flip the sin to cos in the time embedding.`,name:"flip_sin_to_cos"},{anchor:"diffusers.FlaxUNet2DConditionModel.freq_shift",description:"<strong>freq_shift</strong> (<code>int</code>, <em>optional</em>, defaults to 0) &#x2014; The frequency shift to apply to the time embedding.",name:"freq_shift"}],source:"https://github.com/huggingface/diffusers/blob/v0.14.0/src/diffusers/models/unet_2d_condition_flax.py#L47"}}),Wn=new E({}),Xn=new $({props:{name:"class diffusers.models.vae_flax.FlaxDecoderOutput",anchor:"diffusers.models.vae_flax.FlaxDecoderOutput",parameters:[{name:"sample",val:": ndarray"}],parametersDescription:[{anchor:"diffusers.models.vae_flax.FlaxDecoderOutput.sample",description:`<strong>sample</strong> (<em>jnp.ndarray</em> of shape <em>(batch_size, num_channels, height, width)</em>) &#x2014;
Decoded output sample of the model. Output of the last layer of the model.`,name:"sample"},{anchor:"diffusers.models.vae_flax.FlaxDecoderOutput.dtype",description:`<strong>dtype</strong> (<code>jnp.dtype</code>, <em>optional</em>, defaults to jnp.float32) &#x2014;
Parameters <em>dtype</em>`,name:"dtype"}],source:"https://github.com/huggingface/diffusers/blob/v0.14.0/src/diffusers/models/vae_flax.py#L33"}}),Hn=new $({props:{name:"replace",anchor:"diffusers.models.vae_flax.FlaxDecoderOutput.replace",parameters:[{name:"**updates",val:""}],source:"https://github.com/huggingface/diffusers/blob/v0.14.0/src/flax/struct.py#L108"}}),Qn=new E({}),Rn=new $({props:{name:"class diffusers.models.vae_flax.FlaxAutoencoderKLOutput",anchor:"diffusers.models.vae_flax.FlaxAutoencoderKLOutput",parameters:[{name:"latent_dist",val:": FlaxDiagonalGaussianDistribution"}],parametersDescription:[{anchor:"diffusers.models.vae_flax.FlaxAutoencoderKLOutput.latent_dist",description:`<strong>latent_dist</strong> (<code>FlaxDiagonalGaussianDistribution</code>) &#x2014;
Encoded outputs of <code>Encoder</code> represented as the mean and logvar of <code>FlaxDiagonalGaussianDistribution</code>.
<code>FlaxDiagonalGaussianDistribution</code> allows for sampling latents from the distribution.`,name:"latent_dist"}],source:"https://github.com/huggingface/diffusers/blob/v0.14.0/src/diffusers/models/vae_flax.py#L48"}}),Yn=new $({props:{name:"replace",anchor:"diffusers.models.vae_flax.FlaxAutoencoderKLOutput.replace",parameters:[{name:"**updates",val:""}],source:"https://github.com/huggingface/diffusers/blob/v0.14.0/src/flax/struct.py#L108"}}),Gn=new E({}),Jn=new $({props:{name:"class diffusers.FlaxAutoencoderKL",anchor:"diffusers.FlaxAutoencoderKL",parameters:[{name:"in_channels",val:": int = 3"},{name:"out_channels",val:": int = 3"},{name:"down_block_types",val:": typing.Tuple[str] = ('DownEncoderBlock2D',)"},{name:"up_block_types",val:": typing.Tuple[str] = ('UpDecoderBlock2D',)"},{name:"block_out_channels",val:": typing.Tuple[int] = (64,)"},{name:"layers_per_block",val:": int = 1"},{name:"act_fn",val:": str = 'silu'"},{name:"latent_channels",val:": int = 4"},{name:"norm_num_groups",val:": int = 32"},{name:"sample_size",val:": int = 32"},{name:"scaling_factor",val:": float = 0.18215"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"parent",val:": typing.Union[typing.Type[flax.linen.module.Module], typing.Type[flax.core.scope.Scope], typing.Type[flax.linen.module._Sentinel], NoneType] = <flax.linen.module._Sentinel object at 0x7fe5874856a0>"},{name:"name",val:": str = None"}],parametersDescription:[{anchor:"diffusers.FlaxAutoencoderKL.in_channels",description:`<strong>in_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 3) &#x2014;
Input channels`,name:"in_channels"},{anchor:"diffusers.FlaxAutoencoderKL.out_channels",description:`<strong>out_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 3) &#x2014;
Output channels`,name:"out_channels"},{anchor:"diffusers.FlaxAutoencoderKL.down_block_types",description:`<strong>down_block_types</strong> (<code>Tuple[str]</code>, <em>optional</em>, defaults to <em>(DownEncoderBlock2D)</em>) &#x2014;
DownEncoder block type`,name:"down_block_types"},{anchor:"diffusers.FlaxAutoencoderKL.up_block_types",description:`<strong>up_block_types</strong> (<code>Tuple[str]</code>, <em>optional</em>, defaults to <em>(UpDecoderBlock2D)</em>) &#x2014;
UpDecoder block type`,name:"up_block_types"},{anchor:"diffusers.FlaxAutoencoderKL.block_out_channels",description:`<strong>block_out_channels</strong> (<code>Tuple[str]</code>, <em>optional</em>, defaults to <em>(64,)</em>) &#x2014;
Tuple containing the number of output channels for each block`,name:"block_out_channels"},{anchor:"diffusers.FlaxAutoencoderKL.layers_per_block",description:`<strong>layers_per_block</strong> (<code>int</code>, <em>optional</em>, defaults to <em>2</em>) &#x2014;
Number of Resnet layer for each block`,name:"layers_per_block"},{anchor:"diffusers.FlaxAutoencoderKL.act_fn",description:`<strong>act_fn</strong> (<code>str</code>, <em>optional</em>, defaults to <em>silu</em>) &#x2014;
Activation function`,name:"act_fn"},{anchor:"diffusers.FlaxAutoencoderKL.latent_channels",description:`<strong>latent_channels</strong> (<code>int</code>, <em>optional</em>, defaults to <em>4</em>) &#x2014;
Latent space channels`,name:"latent_channels"},{anchor:"diffusers.FlaxAutoencoderKL.norm_num_groups",description:`<strong>norm_num_groups</strong> (<code>int</code>, <em>optional</em>, defaults to <em>32</em>) &#x2014;
Norm num group`,name:"norm_num_groups"},{anchor:"diffusers.FlaxAutoencoderKL.sample_size",description:`<strong>sample_size</strong> (<code>int</code>, <em>optional</em>, defaults to 32) &#x2014;
Sample input size`,name:"sample_size"},{anchor:"diffusers.FlaxAutoencoderKL.scaling_factor",description:`<strong>scaling_factor</strong> (<em>float</em>, <em>optional</em>, defaults to 0.18215) &#x2014;
The component-wise standard deviation of the trained latent space computed using the first batch of the
training set. This is used to scale the latent space to have unit variance when training the diffusion
model. The latents are scaled with the formula <em>z = z </em> scaling_factor<em> before being passed to the
diffusion model. When decoding, the latents are scaled back to the original scale with the formula: </em>z = 1
/ scaling_factor <em> z</em>. For more details, refer to sections 4.3.2 and D.1 of the <a href="https://arxiv.org/abs/2112.10752" rel="nofollow">High-Resolution Image
Synthesis with Latent Diffusion Models</a> paper.`,name:"scaling_factor"},{anchor:"diffusers.FlaxAutoencoderKL.dtype",description:`<strong>dtype</strong> (<code>jnp.dtype</code>, <em>optional</em>, defaults to jnp.float32) &#x2014;
parameters <em>dtype</em>`,name:"dtype"}],source:"https://github.com/huggingface/diffusers/blob/v0.14.0/src/diffusers/models/vae_flax.py#L721"}}),{c(){y=n("meta"),M=a(),D=n("h1"),x=n("a"),k=n("span"),u(f.$$.fragment),w=a(),J=n("span"),$e=l("Models"),S=a(),W=n("p"),is=l(`Diffusers contains pretrained models for popular algorithms and modules for creating the next set of diffusion models.
The primary function of these models is to denoise an input sample, by modeling the distribution $p`),Is=n("em"),fl=l("\\theta(\\mathbf{x}"),ul=l(`{t-1}|\\mathbf{x}_t)$.
The models are built on the base class [\u2018ModelMixin\u2019] that is a `),Vs=n("code"),hl=l("torch.nn.module"),gl=l(" with basic functionality for saving and loading models both locally and from the HuggingFace hub."),fi=a(),we=n("h2"),Ze=n("a"),zs=n("span"),u(Yt.$$.fragment),_l=a(),Bs=n("span"),vl=l("ModelMixin"),ui=a(),T=n("div"),u(Gt.$$.fragment),bl=a(),Ks=n("p"),yl=l("Base class for all models."),xl=a(),ds=n("p"),ls=n("a"),$l=l("ModelMixin"),wl=l(` takes care of storing the configuration of the models and handles methods for loading, downloading
and saving models.`),Dl=a(),Ss=n("ul"),le=n("li"),Ws=n("strong"),kl=l("config_name"),Ml=l(" ("),Xs=n("code"),Tl=l("str"),Nl=l(`) \u2014 A filename under which the model should be stored when calling
`),cs=n("a"),El=l("save_pretrained()"),Al=l("."),Ul=a(),ce=n("div"),u(Jt.$$.fragment),Cl=a(),Hs=n("p"),Fl=l("Deactivates gradient checkpointing for the current model."),Pl=a(),Qs=n("p"),Ol=l(`Note that in other frameworks this feature can be referred to as \u201Cactivation checkpointing\u201D or \u201Ccheckpoint
activations\u201D.`),Ll=a(),et=n("div"),u(Zt.$$.fragment),ql=a(),Rs=n("p"),jl=l("Disable memory efficient attention as implemented in xformers."),Il=a(),me=n("div"),u(eo.$$.fragment),Vl=a(),Ys=n("p"),zl=l("Activates gradient checkpointing for the current model."),Bl=a(),Gs=n("p"),Kl=l(`Note that in other frameworks this feature can be referred to as \u201Cactivation checkpointing\u201D or \u201Ccheckpoint
activations\u201D.`),Sl=a(),z=n("div"),u(to.$$.fragment),Wl=a(),Js=n("p"),Xl=l("Enable memory efficient attention as implemented in xformers."),Hl=a(),Zs=n("p"),Ql=l(`When this option is enabled, you should observe lower GPU memory usage and a potential speed up at inference
time. Speed up at training time is not guaranteed.`),Rl=a(),er=n("p"),Yl=l(`Warning: When Memory Efficient Attention and Sliced attention are both enabled, the Memory Efficient Attention
is used.`),Gl=a(),u(tt.$$.fragment),Jl=a(),F=n("div"),u(oo.$$.fragment),Zl=a(),tr=n("p"),ec=l("Instantiate a pretrained pytorch model from a pre-trained model configuration."),tc=a(),De=n("p"),oc=l("The model is set in evaluation mode by default using "),or=n("code"),nc=l("model.eval()"),sc=l(` (Dropout modules are deactivated). To train
the model, you should first set it back in training mode with `),nr=n("code"),rc=l("model.train()"),ac=l("."),ic=a(),no=n("p"),dc=l("The warning "),sr=n("em"),lc=l("Weights from XXX not initialized from pretrained model"),cc=l(` means that the weights of XXX do not come
pretrained with the rest of the model. It is up to you to train those weights with a downstream fine-tuning
task.`),mc=a(),so=n("p"),pc=l("The warning "),rr=n("em"),fc=l("Weights from XXX not used in YYY"),uc=l(` means that the layer XXX is not used by YYY, therefore those
weights are discarded.`),hc=a(),u(ot.$$.fragment),gc=a(),u(nt.$$.fragment),_c=a(),st=n("div"),u(ro.$$.fragment),vc=a(),ar=n("p"),bc=l("Get number of (optionally, trainable or non-embeddings) parameters in the module."),yc=a(),rt=n("div"),u(ao.$$.fragment),xc=a(),io=n("p"),$c=l(`Save a model and its configuration file to a directory, so that it can be re-loaded using the
`),ir=n("code"),wc=l("[from_pretrained()](/docs/diffusers/v0.14.0/en/api/models#diffusers.ModelMixin.from_pretrained)"),Dc=l(" class method."),hi=a(),ke=n("h2"),at=n("a"),dr=n("span"),u(lo.$$.fragment),kc=a(),lr=n("span"),Mc=l("UNet2DOutput"),gi=a(),co=n("div"),u(mo.$$.fragment),_i=a(),Me=n("h2"),it=n("a"),cr=n("span"),u(po.$$.fragment),Tc=a(),mr=n("span"),Nc=l("UNet2DModel"),vi=a(),X=n("div"),u(fo.$$.fragment),Ec=a(),pr=n("p"),Ac=l("UNet2DModel is a 2D UNet model that takes in a noisy sample and a timestep and returns sample shaped output."),Uc=a(),uo=n("p"),Cc=l("This model inherits from "),ms=n("a"),Fc=l("ModelMixin"),Pc=l(`. Check the superclass documentation for the generic methods the library
implements for all the model (such as downloading or saving, etc.)`),Oc=a(),ps=n("div"),u(ho.$$.fragment),bi=a(),Te=n("h2"),dt=n("a"),fr=n("span"),u(go.$$.fragment),Lc=a(),ur=n("span"),qc=l("UNet1DOutput"),yi=a(),_o=n("div"),u(vo.$$.fragment),xi=a(),Ne=n("h2"),lt=n("a"),hr=n("span"),u(bo.$$.fragment),jc=a(),gr=n("span"),Ic=l("UNet1DModel"),$i=a(),H=n("div"),u(yo.$$.fragment),Vc=a(),_r=n("p"),zc=l("UNet1DModel is a 1D UNet model that takes in a noisy sample and a timestep and returns sample shaped output."),Bc=a(),xo=n("p"),Kc=l("This model inherits from "),fs=n("a"),Sc=l("ModelMixin"),Wc=l(`. Check the superclass documentation for the generic methods the library
implements for all the model (such as downloading or saving, etc.)`),Xc=a(),us=n("div"),u($o.$$.fragment),wi=a(),Ee=n("h2"),ct=n("a"),vr=n("span"),u(wo.$$.fragment),Hc=a(),br=n("span"),Qc=l("UNet2DConditionOutput"),Di=a(),Do=n("div"),u(ko.$$.fragment),ki=a(),Ae=n("h2"),mt=n("a"),yr=n("span"),u(Mo.$$.fragment),Rc=a(),xr=n("span"),Yc=l("UNet2DConditionModel"),Mi=a(),P=n("div"),u(To.$$.fragment),Gc=a(),$r=n("p"),Jc=l(`UNet2DConditionModel is a conditional 2D UNet model that takes in a noisy sample, conditional state, and a timestep
and returns sample shaped output.`),Zc=a(),No=n("p"),em=l("This model inherits from "),hs=n("a"),tm=l("ModelMixin"),om=l(`. Check the superclass documentation for the generic methods the library
implements for all the models (such as downloading or saving, etc.)`),nm=a(),gs=n("div"),u(Eo.$$.fragment),sm=a(),pe=n("div"),u(Ao.$$.fragment),rm=a(),wr=n("p"),am=l("Enable sliced attention computation."),im=a(),Dr=n("p"),dm=l(`When this option is enabled, the attention module will split the input tensor in slices, to compute attention
in several steps. This is useful to save some memory in exchange for a small speed decrease.`),lm=a(),_s=n("div"),u(Uo.$$.fragment),Ti=a(),Ue=n("h2"),pt=n("a"),kr=n("span"),u(Co.$$.fragment),cm=a(),Mr=n("span"),mm=l("DecoderOutput"),Ni=a(),Ce=n("div"),u(Fo.$$.fragment),pm=a(),Tr=n("p"),fm=l("Output of decoding method."),Ei=a(),Fe=n("h2"),ft=n("a"),Nr=n("span"),u(Po.$$.fragment),um=a(),Er=n("span"),hm=l("VQEncoderOutput"),Ai=a(),Pe=n("div"),u(Oo.$$.fragment),gm=a(),Ar=n("p"),_m=l("Output of VQModel encoding method."),Ui=a(),Oe=n("h2"),ut=n("a"),Ur=n("span"),u(Lo.$$.fragment),vm=a(),Cr=n("span"),bm=l("VQModel"),Ci=a(),Q=n("div"),u(qo.$$.fragment),ym=a(),Fr=n("p"),xm=l(`VQ-VAE model from the paper Neural Discrete Representation Learning by Aaron van den Oord, Oriol Vinyals and Koray
Kavukcuoglu.`),$m=a(),jo=n("p"),wm=l("This model inherits from "),vs=n("a"),Dm=l("ModelMixin"),km=l(`. Check the superclass documentation for the generic methods the library
implements for all the model (such as downloading or saving, etc.)`),Mm=a(),bs=n("div"),u(Io.$$.fragment),Fi=a(),Le=n("h2"),ht=n("a"),Pr=n("span"),u(Vo.$$.fragment),Tm=a(),Or=n("span"),Nm=l("AutoencoderKLOutput"),Pi=a(),qe=n("div"),u(zo.$$.fragment),Em=a(),Lr=n("p"),Am=l("Output of AutoencoderKL encoding method."),Oi=a(),je=n("h2"),gt=n("a"),qr=n("span"),u(Bo.$$.fragment),Um=a(),jr=n("span"),Cm=l("AutoencoderKL"),Li=a(),N=n("div"),u(Ko.$$.fragment),Fm=a(),Ir=n("p"),Pm=l(`Variational Autoencoder (VAE) model with KL loss from the paper Auto-Encoding Variational Bayes by Diederik P. Kingma
and Max Welling.`),Om=a(),So=n("p"),Lm=l("This model inherits from "),ys=n("a"),qm=l("ModelMixin"),jm=l(`. Check the superclass documentation for the generic methods the library
implements for all the model (such as downloading or saving, etc.)`),Im=a(),_t=n("div"),u(Wo.$$.fragment),Vm=a(),Xo=n("p"),zm=l("Disable sliced VAE decoding. If "),Vr=n("code"),Bm=l("enable_slicing"),Km=l(` was previously invoked, this method will go back to computing
decoding in one step.`),Sm=a(),vt=n("div"),u(Ho.$$.fragment),Wm=a(),Qo=n("p"),Xm=l("Disable tiled VAE decoding. If "),zr=n("code"),Hm=l("enable_vae_tiling"),Qm=l(` was previously invoked, this method will go back to
computing decoding in one step.`),Rm=a(),bt=n("div"),u(Ro.$$.fragment),Ym=a(),Br=n("p"),Gm=l(`Enable sliced VAE decoding. When this option is enabled, the VAE will split the input tensor in slices to
compute decoding in several steps. This is useful to save some memory and allow larger batch sizes.`),Jm=a(),yt=n("div"),u(Yo.$$.fragment),Zm=a(),Kr=n("p"),ep=l(`Enable tiled VAE decoding. When this option is enabled, the VAE will split the input tensor into tiles to
compute decoding and encoding in several steps. This is useful to save a large amount of memory and to allow
the processing of larger images.`),tp=a(),xs=n("div"),u(Go.$$.fragment),op=a(),xt=n("div"),u(Jo.$$.fragment),np=a(),Sr=n("p"),sp=l("Decode a batch of images using a tiled decoder."),rp=a(),$t=n("div"),u(Zo.$$.fragment),ap=a(),Wr=n("p"),ip=l("Encode a batch of images using a tiled encoder."),qi=a(),Ie=n("h2"),wt=n("a"),Xr=n("span"),u(en.$$.fragment),dp=a(),Hr=n("span"),lp=l("Transformer2DModel"),ji=a(),O=n("div"),u(tn.$$.fragment),cp=a(),Qr=n("p"),mp=l(`Transformer model for image-like data. Takes either discrete (classes of vector embeddings) or continuous (actual
embeddings) inputs.`),pp=a(),Rr=n("p"),fp=l(`When input is continuous: First, project the input (aka embedding) and reshape to b, t, d. Then apply standard
transformer action. Finally, reshape to image.`),up=a(),on=n("p"),hp=l(`When input is discrete: First, input (classes of latent pixels) is converted to embeddings and has positional
embeddings applied, see `),Yr=n("code"),gp=l("ImagePositionalEmbeddings"),_p=l(`. Then apply standard transformer action. Finally, predict
classes of unnoised image.`),vp=a(),Gr=n("p"),bp=l(`Note that it is assumed one of the input classes is the masked latent pixel. The predicted classes of the unnoised
image do not contain a prediction for the masked pixel as the unnoised image cannot be masked.`),yp=a(),$s=n("div"),u(nn.$$.fragment),Ii=a(),Ve=n("h2"),Dt=n("a"),Jr=n("span"),u(sn.$$.fragment),xp=a(),Zr=n("span"),$p=l("Transformer2DModelOutput"),Vi=a(),rn=n("div"),u(an.$$.fragment),zi=a(),ze=n("h2"),kt=n("a"),ea=n("span"),u(dn.$$.fragment),wp=a(),ta=n("span"),Dp=l("PriorTransformer"),Bi=a(),I=n("div"),u(ln.$$.fragment),kp=a(),oa=n("p"),Mp=l(`The prior transformer from unCLIP is used to predict CLIP image embeddings from CLIP text embeddings. Note that the
transformer predicts the image embeddings through a denoising diffusion process.`),Tp=a(),cn=n("p"),Np=l("This model inherits from "),ws=n("a"),Ep=l("ModelMixin"),Ap=l(`. Check the superclass documentation for the generic methods the library
implements for all the models (such as downloading or saving, etc.)`),Up=a(),Ds=n("p"),Cp=l("For more details, see the original paper: "),mn=n("a"),Fp=l("https://arxiv.org/abs/2204.06125"),Pp=a(),ks=n("div"),u(pn.$$.fragment),Ki=a(),Be=n("h2"),Mt=n("a"),na=n("span"),u(fn.$$.fragment),Op=a(),sa=n("span"),Lp=l("PriorTransformerOutput"),Si=a(),un=n("div"),u(hn.$$.fragment),Wi=a(),Ke=n("h2"),Tt=n("a"),ra=n("span"),u(gn.$$.fragment),qp=a(),aa=n("span"),jp=l("ControlNetOutput"),Xi=a(),_n=n("div"),u(vn.$$.fragment),Hi=a(),Se=n("h2"),Nt=n("a"),ia=n("span"),u(bn.$$.fragment),Ip=a(),da=n("span"),Vp=l("ControlNetModel"),Qi=a(),se=n("div"),u(yn.$$.fragment),zp=a(),fe=n("div"),u(xn.$$.fragment),Bp=a(),la=n("p"),Kp=l("Enable sliced attention computation."),Sp=a(),ca=n("p"),Wp=l(`When this option is enabled, the attention module will split the input tensor in slices, to compute attention
in several steps. This is useful to save some memory in exchange for a small speed decrease.`),Xp=a(),Ms=n("div"),u($n.$$.fragment),Ri=a(),We=n("h2"),Et=n("a"),ma=n("span"),u(wn.$$.fragment),Hp=a(),pa=n("span"),Qp=l("FlaxModelMixin"),Yi=a(),U=n("div"),u(Dn.$$.fragment),Rp=a(),fa=n("p"),Yp=l("Base class for all flax models."),Gp=a(),Ts=n("p"),Ns=n("a"),Jp=l("FlaxModelMixin"),Zp=l(` takes care of storing the configuration of the models and handles methods for loading,
downloading and saving models.`),ef=a(),B=n("div"),u(kn.$$.fragment),tf=a(),ua=n("p"),of=l("Instantiate a pretrained flax model from a pre-trained model configuration."),nf=a(),Mn=n("p"),sf=l("The warning "),ha=n("em"),rf=l("Weights from XXX not initialized from pretrained model"),af=l(` means that the weights of XXX do not come
pretrained with the rest of the model. It is up to you to train those weights with a downstream fine-tuning
task.`),df=a(),Tn=n("p"),lf=l("The warning "),ga=n("em"),cf=l("Weights from XXX not used in YYY"),mf=l(` means that the layer XXX is not used by YYY, therefore those
weights are discarded.`),pf=a(),u(At.$$.fragment),ff=a(),Ut=n("div"),u(Nn.$$.fragment),uf=a(),En=n("p"),hf=l(`Save a model and its configuration file to a directory, so that it can be re-loaded using the
`),_a=n("code"),gf=l("[from_pretrained()](/docs/diffusers/v0.14.0/en/api/models#diffusers.FlaxModelMixin.from_pretrained)"),_f=l(" class method"),vf=a(),Z=n("div"),u(An.$$.fragment),bf=a(),R=n("p"),yf=l("Cast the floating-point "),va=n("code"),xf=l("params"),$f=l(" to "),ba=n("code"),wf=l("jax.numpy.bfloat16"),Df=l(". This returns a new "),ya=n("code"),kf=l("params"),Mf=l(` tree and does not cast
the `),xa=n("code"),Tf=l("params"),Nf=l(" in place."),Ef=a(),$a=n("p"),Af=l(`This method can be used on TPU to explicitly convert the model parameters to bfloat16 precision to do full
half-precision training or to save weights in bfloat16 for inference in order to save memory and improve speed.`),Uf=a(),u(Ct.$$.fragment),Cf=a(),ee=n("div"),u(Un.$$.fragment),Ff=a(),Y=n("p"),Pf=l("Cast the floating-point "),wa=n("code"),Of=l("params"),Lf=l(" to "),Da=n("code"),qf=l("jax.numpy.float16"),jf=l(". This returns a new "),ka=n("code"),If=l("params"),Vf=l(` tree and does not cast the
`),Ma=n("code"),zf=l("params"),Bf=l(" in place."),Kf=a(),Ta=n("p"),Sf=l(`This method can be used on GPU to explicitly convert the model parameters to float16 precision to do full
half-precision training or to save weights in float16 for inference in order to save memory and improve speed.`),Wf=a(),u(Ft.$$.fragment),Xf=a(),ue=n("div"),u(Cn.$$.fragment),Hf=a(),G=n("p"),Qf=l("Cast the floating-point "),Na=n("code"),Rf=l("params"),Yf=l(" to "),Ea=n("code"),Gf=l("jax.numpy.float32"),Jf=l(`. This method can be used to explicitly convert the
model parameters to fp32 precision. This returns a new `),Aa=n("code"),Zf=l("params"),eu=l(" tree and does not cast the "),Ua=n("code"),tu=l("params"),ou=l(" in place."),nu=a(),u(Pt.$$.fragment),Gi=a(),Xe=n("h2"),Ot=n("a"),Ca=n("span"),u(Fn.$$.fragment),su=a(),Fa=n("span"),ru=l("FlaxUNet2DConditionOutput"),Ji=a(),He=n("div"),u(Pn.$$.fragment),au=a(),Lt=n("div"),u(On.$$.fragment),iu=a(),Pa=n("p"),du=l("\u201CReturns a new object replacing the specified fields with new values."),Zi=a(),Qe=n("h2"),qt=n("a"),Oa=n("span"),u(Ln.$$.fragment),lu=a(),La=n("span"),cu=l("FlaxUNet2DConditionModel"),ed=a(),L=n("div"),u(qn.$$.fragment),mu=a(),qa=n("p"),pu=l(`FlaxUNet2DConditionModel is a conditional 2D UNet model that takes in a noisy sample, conditional state, and a
timestep and returns sample shaped output.`),fu=a(),jn=n("p"),uu=l("This model inherits from "),Es=n("a"),hu=l("FlaxModelMixin"),gu=l(`. Check the superclass documentation for the generic methods the library
implements for all the models (such as downloading or saving, etc.)`),_u=a(),In=n("p"),vu=l("Also, this model is a Flax Linen "),Vn=n("a"),bu=l("flax.linen.Module"),yu=l(`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),xu=a(),ja=n("p"),$u=l("Finally, this model supports inherent JAX features such as:"),wu=a(),re=n("ul"),Ia=n("li"),zn=n("a"),Du=l("Just-In-Time (JIT) compilation"),ku=a(),Va=n("li"),Bn=n("a"),Mu=l("Automatic Differentiation"),Tu=a(),za=n("li"),Kn=n("a"),Nu=l("Vectorization"),Eu=a(),Ba=n("li"),Sn=n("a"),Au=l("Parallelization"),td=a(),Re=n("h2"),jt=n("a"),Ka=n("span"),u(Wn.$$.fragment),Uu=a(),Sa=n("span"),Cu=l("FlaxDecoderOutput"),od=a(),ae=n("div"),u(Xn.$$.fragment),Fu=a(),Wa=n("p"),Pu=l("Output of decoding method."),Ou=a(),It=n("div"),u(Hn.$$.fragment),Lu=a(),Xa=n("p"),qu=l("\u201CReturns a new object replacing the specified fields with new values."),nd=a(),Ye=n("h2"),Vt=n("a"),Ha=n("span"),u(Qn.$$.fragment),ju=a(),Qa=n("span"),Iu=l("FlaxAutoencoderKLOutput"),sd=a(),ie=n("div"),u(Rn.$$.fragment),Vu=a(),Ra=n("p"),zu=l("Output of AutoencoderKL encoding method."),Bu=a(),zt=n("div"),u(Yn.$$.fragment),Ku=a(),Ya=n("p"),Su=l("\u201CReturns a new object replacing the specified fields with new values."),rd=a(),Ge=n("h2"),Bt=n("a"),Ga=n("span"),u(Gn.$$.fragment),Wu=a(),Ja=n("span"),Xu=l("FlaxAutoencoderKL"),ad=a(),V=n("div"),u(Jn.$$.fragment),Hu=a(),Za=n("p"),Qu=l(`Flax Implementation of Variational Autoencoder (VAE) model with KL loss from the paper Auto-Encoding Variational
Bayes by Diederik P. Kingma and Max Welling.`),Ru=a(),Zn=n("p"),Yu=l("This model is a Flax Linen "),es=n("a"),Gu=l("flax.linen.Module"),Ju=l(`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),Zu=a(),ei=n("p"),eh=l("Finally, this model supports inherent JAX features such as:"),th=a(),de=n("ul"),ti=n("li"),ts=n("a"),oh=l("Just-In-Time (JIT) compilation"),nh=a(),oi=n("li"),os=n("a"),sh=l("Automatic Differentiation"),rh=a(),ni=n("li"),ns=n("a"),ah=l("Vectorization"),ih=a(),si=n("li"),ss=n("a"),dh=l("Parallelization"),this.h()},l(t){const m=Vv('[data-svelte="svelte-1phssyn"]',document.head);y=s(m,"META",{name:!0,content:!0}),m.forEach(o),M=i(t),D=s(t,"H1",{class:!0});var rs=r(D);x=s(rs,"A",{id:!0,class:!0,href:!0});var ri=r(x);k=s(ri,"SPAN",{});var ai=r(k);h(f.$$.fragment,ai),ai.forEach(o),ri.forEach(o),w=i(rs),J=s(rs,"SPAN",{});var ii=r(J);$e=c(ii,"Models"),ii.forEach(o),rs.forEach(o),S=i(t),W=s(t,"P",{});var Je=r(W);is=c(Je,`Diffusers contains pretrained models for popular algorithms and modules for creating the next set of diffusion models.
The primary function of these models is to denoise an input sample, by modeling the distribution $p`),Is=s(Je,"EM",{});var di=r(Is);fl=c(di,"\\theta(\\mathbf{x}"),di.forEach(o),ul=c(Je,`{t-1}|\\mathbf{x}_t)$.
The models are built on the base class [\u2018ModelMixin\u2019] that is a `),Vs=s(Je,"CODE",{});var li=r(Vs);hl=c(li,"torch.nn.module"),li.forEach(o),gl=c(Je," with basic functionality for saving and loading models both locally and from the HuggingFace hub."),Je.forEach(o),fi=i(t),we=s(t,"H2",{class:!0});var dd=r(we);Ze=s(dd,"A",{id:!0,class:!0,href:!0});var ph=r(Ze);zs=s(ph,"SPAN",{});var fh=r(zs);h(Yt.$$.fragment,fh),fh.forEach(o),ph.forEach(o),_l=i(dd),Bs=s(dd,"SPAN",{});var uh=r(Bs);vl=c(uh,"ModelMixin"),uh.forEach(o),dd.forEach(o),ui=i(t),T=s(t,"DIV",{class:!0});var A=r(T);h(Gt.$$.fragment,A),bl=i(A),Ks=s(A,"P",{});var hh=r(Ks);yl=c(hh,"Base class for all models."),hh.forEach(o),xl=i(A),ds=s(A,"P",{});var lh=r(ds);ls=s(lh,"A",{href:!0});var gh=r(ls);$l=c(gh,"ModelMixin"),gh.forEach(o),wl=c(lh,` takes care of storing the configuration of the models and handles methods for loading, downloading
and saving models.`),lh.forEach(o),Dl=i(A),Ss=s(A,"UL",{});var _h=r(Ss);le=s(_h,"LI",{});var as=r(le);Ws=s(as,"STRONG",{});var vh=r(Ws);kl=c(vh,"config_name"),vh.forEach(o),Ml=c(as," ("),Xs=s(as,"CODE",{});var bh=r(Xs);Tl=c(bh,"str"),bh.forEach(o),Nl=c(as,`) \u2014 A filename under which the model should be stored when calling
`),cs=s(as,"A",{href:!0});var yh=r(cs);El=c(yh,"save_pretrained()"),yh.forEach(o),Al=c(as,"."),as.forEach(o),_h.forEach(o),Ul=i(A),ce=s(A,"DIV",{class:!0});var As=r(ce);h(Jt.$$.fragment,As),Cl=i(As),Hs=s(As,"P",{});var xh=r(Hs);Fl=c(xh,"Deactivates gradient checkpointing for the current model."),xh.forEach(o),Pl=i(As),Qs=s(As,"P",{});var $h=r(Qs);Ol=c($h,`Note that in other frameworks this feature can be referred to as \u201Cactivation checkpointing\u201D or \u201Ccheckpoint
activations\u201D.`),$h.forEach(o),As.forEach(o),Ll=i(A),et=s(A,"DIV",{class:!0});var ld=r(et);h(Zt.$$.fragment,ld),ql=i(ld),Rs=s(ld,"P",{});var wh=r(Rs);jl=c(wh,"Disable memory efficient attention as implemented in xformers."),wh.forEach(o),ld.forEach(o),Il=i(A),me=s(A,"DIV",{class:!0});var Us=r(me);h(eo.$$.fragment,Us),Vl=i(Us),Ys=s(Us,"P",{});var Dh=r(Ys);zl=c(Dh,"Activates gradient checkpointing for the current model."),Dh.forEach(o),Bl=i(Us),Gs=s(Us,"P",{});var kh=r(Gs);Kl=c(kh,`Note that in other frameworks this feature can be referred to as \u201Cactivation checkpointing\u201D or \u201Ccheckpoint
activations\u201D.`),kh.forEach(o),Us.forEach(o),Sl=i(A),z=s(A,"DIV",{class:!0});var he=r(z);h(to.$$.fragment,he),Wl=i(he),Js=s(he,"P",{});var Mh=r(Js);Xl=c(Mh,"Enable memory efficient attention as implemented in xformers."),Mh.forEach(o),Hl=i(he),Zs=s(he,"P",{});var Th=r(Zs);Ql=c(Th,`When this option is enabled, you should observe lower GPU memory usage and a potential speed up at inference
time. Speed up at training time is not guaranteed.`),Th.forEach(o),Rl=i(he),er=s(he,"P",{});var Nh=r(er);Yl=c(Nh,`Warning: When Memory Efficient Attention and Sliced attention are both enabled, the Memory Efficient Attention
is used.`),Nh.forEach(o),Gl=i(he),h(tt.$$.fragment,he),he.forEach(o),Jl=i(A),F=s(A,"DIV",{class:!0});var K=r(F);h(oo.$$.fragment,K),Zl=i(K),tr=s(K,"P",{});var Eh=r(tr);ec=c(Eh,"Instantiate a pretrained pytorch model from a pre-trained model configuration."),Eh.forEach(o),tc=i(K),De=s(K,"P",{});var Cs=r(De);oc=c(Cs,"The model is set in evaluation mode by default using "),or=s(Cs,"CODE",{});var Ah=r(or);nc=c(Ah,"model.eval()"),Ah.forEach(o),sc=c(Cs,` (Dropout modules are deactivated). To train
the model, you should first set it back in training mode with `),nr=s(Cs,"CODE",{});var Uh=r(nr);rc=c(Uh,"model.train()"),Uh.forEach(o),ac=c(Cs,"."),Cs.forEach(o),ic=i(K),no=s(K,"P",{});var cd=r(no);dc=c(cd,"The warning "),sr=s(cd,"EM",{});var Ch=r(sr);lc=c(Ch,"Weights from XXX not initialized from pretrained model"),Ch.forEach(o),cc=c(cd,` means that the weights of XXX do not come
pretrained with the rest of the model. It is up to you to train those weights with a downstream fine-tuning
task.`),cd.forEach(o),mc=i(K),so=s(K,"P",{});var md=r(so);pc=c(md,"The warning "),rr=s(md,"EM",{});var Fh=r(rr);fc=c(Fh,"Weights from XXX not used in YYY"),Fh.forEach(o),uc=c(md,` means that the layer XXX is not used by YYY, therefore those
weights are discarded.`),md.forEach(o),hc=i(K),h(ot.$$.fragment,K),gc=i(K),h(nt.$$.fragment,K),K.forEach(o),_c=i(A),st=s(A,"DIV",{class:!0});var pd=r(st);h(ro.$$.fragment,pd),vc=i(pd),ar=s(pd,"P",{});var Ph=r(ar);bc=c(Ph,"Get number of (optionally, trainable or non-embeddings) parameters in the module."),Ph.forEach(o),pd.forEach(o),yc=i(A),rt=s(A,"DIV",{class:!0});var fd=r(rt);h(ao.$$.fragment,fd),xc=i(fd),io=s(fd,"P",{});var ud=r(io);$c=c(ud,`Save a model and its configuration file to a directory, so that it can be re-loaded using the
`),ir=s(ud,"CODE",{});var Oh=r(ir);wc=c(Oh,"[from_pretrained()](/docs/diffusers/v0.14.0/en/api/models#diffusers.ModelMixin.from_pretrained)"),Oh.forEach(o),Dc=c(ud," class method."),ud.forEach(o),fd.forEach(o),A.forEach(o),hi=i(t),ke=s(t,"H2",{class:!0});var hd=r(ke);at=s(hd,"A",{id:!0,class:!0,href:!0});var Lh=r(at);dr=s(Lh,"SPAN",{});var qh=r(dr);h(lo.$$.fragment,qh),qh.forEach(o),Lh.forEach(o),kc=i(hd),lr=s(hd,"SPAN",{});var jh=r(lr);Mc=c(jh,"UNet2DOutput"),jh.forEach(o),hd.forEach(o),gi=i(t),co=s(t,"DIV",{class:!0});var Ih=r(co);h(mo.$$.fragment,Ih),Ih.forEach(o),_i=i(t),Me=s(t,"H2",{class:!0});var gd=r(Me);it=s(gd,"A",{id:!0,class:!0,href:!0});var Vh=r(it);cr=s(Vh,"SPAN",{});var zh=r(cr);h(po.$$.fragment,zh),zh.forEach(o),Vh.forEach(o),Tc=i(gd),mr=s(gd,"SPAN",{});var Bh=r(mr);Nc=c(Bh,"UNet2DModel"),Bh.forEach(o),gd.forEach(o),vi=i(t),X=s(t,"DIV",{class:!0});var Kt=r(X);h(fo.$$.fragment,Kt),Ec=i(Kt),pr=s(Kt,"P",{});var Kh=r(pr);Ac=c(Kh,"UNet2DModel is a 2D UNet model that takes in a noisy sample and a timestep and returns sample shaped output."),Kh.forEach(o),Uc=i(Kt),uo=s(Kt,"P",{});var _d=r(uo);Cc=c(_d,"This model inherits from "),ms=s(_d,"A",{href:!0});var Sh=r(ms);Fc=c(Sh,"ModelMixin"),Sh.forEach(o),Pc=c(_d,`. Check the superclass documentation for the generic methods the library
implements for all the model (such as downloading or saving, etc.)`),_d.forEach(o),Oc=i(Kt),ps=s(Kt,"DIV",{class:!0});var Wh=r(ps);h(ho.$$.fragment,Wh),Wh.forEach(o),Kt.forEach(o),bi=i(t),Te=s(t,"H2",{class:!0});var vd=r(Te);dt=s(vd,"A",{id:!0,class:!0,href:!0});var Xh=r(dt);fr=s(Xh,"SPAN",{});var Hh=r(fr);h(go.$$.fragment,Hh),Hh.forEach(o),Xh.forEach(o),Lc=i(vd),ur=s(vd,"SPAN",{});var Qh=r(ur);qc=c(Qh,"UNet1DOutput"),Qh.forEach(o),vd.forEach(o),yi=i(t),_o=s(t,"DIV",{class:!0});var Rh=r(_o);h(vo.$$.fragment,Rh),Rh.forEach(o),xi=i(t),Ne=s(t,"H2",{class:!0});var bd=r(Ne);lt=s(bd,"A",{id:!0,class:!0,href:!0});var Yh=r(lt);hr=s(Yh,"SPAN",{});var Gh=r(hr);h(bo.$$.fragment,Gh),Gh.forEach(o),Yh.forEach(o),jc=i(bd),gr=s(bd,"SPAN",{});var Jh=r(gr);Ic=c(Jh,"UNet1DModel"),Jh.forEach(o),bd.forEach(o),$i=i(t),H=s(t,"DIV",{class:!0});var St=r(H);h(yo.$$.fragment,St),Vc=i(St),_r=s(St,"P",{});var Zh=r(_r);zc=c(Zh,"UNet1DModel is a 1D UNet model that takes in a noisy sample and a timestep and returns sample shaped output."),Zh.forEach(o),Bc=i(St),xo=s(St,"P",{});var yd=r(xo);Kc=c(yd,"This model inherits from "),fs=s(yd,"A",{href:!0});var eg=r(fs);Sc=c(eg,"ModelMixin"),eg.forEach(o),Wc=c(yd,`. Check the superclass documentation for the generic methods the library
implements for all the model (such as downloading or saving, etc.)`),yd.forEach(o),Xc=i(St),us=s(St,"DIV",{class:!0});var tg=r(us);h($o.$$.fragment,tg),tg.forEach(o),St.forEach(o),wi=i(t),Ee=s(t,"H2",{class:!0});var xd=r(Ee);ct=s(xd,"A",{id:!0,class:!0,href:!0});var og=r(ct);vr=s(og,"SPAN",{});var ng=r(vr);h(wo.$$.fragment,ng),ng.forEach(o),og.forEach(o),Hc=i(xd),br=s(xd,"SPAN",{});var sg=r(br);Qc=c(sg,"UNet2DConditionOutput"),sg.forEach(o),xd.forEach(o),Di=i(t),Do=s(t,"DIV",{class:!0});var rg=r(Do);h(ko.$$.fragment,rg),rg.forEach(o),ki=i(t),Ae=s(t,"H2",{class:!0});var $d=r(Ae);mt=s($d,"A",{id:!0,class:!0,href:!0});var ag=r(mt);yr=s(ag,"SPAN",{});var ig=r(yr);h(Mo.$$.fragment,ig),ig.forEach(o),ag.forEach(o),Rc=i($d),xr=s($d,"SPAN",{});var dg=r(xr);Yc=c(dg,"UNet2DConditionModel"),dg.forEach(o),$d.forEach(o),Mi=i(t),P=s(t,"DIV",{class:!0});var te=r(P);h(To.$$.fragment,te),Gc=i(te),$r=s(te,"P",{});var lg=r($r);Jc=c(lg,`UNet2DConditionModel is a conditional 2D UNet model that takes in a noisy sample, conditional state, and a timestep
and returns sample shaped output.`),lg.forEach(o),Zc=i(te),No=s(te,"P",{});var wd=r(No);em=c(wd,"This model inherits from "),hs=s(wd,"A",{href:!0});var cg=r(hs);tm=c(cg,"ModelMixin"),cg.forEach(o),om=c(wd,`. Check the superclass documentation for the generic methods the library
implements for all the models (such as downloading or saving, etc.)`),wd.forEach(o),nm=i(te),gs=s(te,"DIV",{class:!0});var mg=r(gs);h(Eo.$$.fragment,mg),mg.forEach(o),sm=i(te),pe=s(te,"DIV",{class:!0});var Fs=r(pe);h(Ao.$$.fragment,Fs),rm=i(Fs),wr=s(Fs,"P",{});var pg=r(wr);am=c(pg,"Enable sliced attention computation."),pg.forEach(o),im=i(Fs),Dr=s(Fs,"P",{});var fg=r(Dr);dm=c(fg,`When this option is enabled, the attention module will split the input tensor in slices, to compute attention
in several steps. This is useful to save some memory in exchange for a small speed decrease.`),fg.forEach(o),Fs.forEach(o),lm=i(te),_s=s(te,"DIV",{class:!0});var ug=r(_s);h(Uo.$$.fragment,ug),ug.forEach(o),te.forEach(o),Ti=i(t),Ue=s(t,"H2",{class:!0});var Dd=r(Ue);pt=s(Dd,"A",{id:!0,class:!0,href:!0});var hg=r(pt);kr=s(hg,"SPAN",{});var gg=r(kr);h(Co.$$.fragment,gg),gg.forEach(o),hg.forEach(o),cm=i(Dd),Mr=s(Dd,"SPAN",{});var _g=r(Mr);mm=c(_g,"DecoderOutput"),_g.forEach(o),Dd.forEach(o),Ni=i(t),Ce=s(t,"DIV",{class:!0});var kd=r(Ce);h(Fo.$$.fragment,kd),pm=i(kd),Tr=s(kd,"P",{});var vg=r(Tr);fm=c(vg,"Output of decoding method."),vg.forEach(o),kd.forEach(o),Ei=i(t),Fe=s(t,"H2",{class:!0});var Md=r(Fe);ft=s(Md,"A",{id:!0,class:!0,href:!0});var bg=r(ft);Nr=s(bg,"SPAN",{});var yg=r(Nr);h(Po.$$.fragment,yg),yg.forEach(o),bg.forEach(o),um=i(Md),Er=s(Md,"SPAN",{});var xg=r(Er);hm=c(xg,"VQEncoderOutput"),xg.forEach(o),Md.forEach(o),Ai=i(t),Pe=s(t,"DIV",{class:!0});var Td=r(Pe);h(Oo.$$.fragment,Td),gm=i(Td),Ar=s(Td,"P",{});var $g=r(Ar);_m=c($g,"Output of VQModel encoding method."),$g.forEach(o),Td.forEach(o),Ui=i(t),Oe=s(t,"H2",{class:!0});var Nd=r(Oe);ut=s(Nd,"A",{id:!0,class:!0,href:!0});var wg=r(ut);Ur=s(wg,"SPAN",{});var Dg=r(Ur);h(Lo.$$.fragment,Dg),Dg.forEach(o),wg.forEach(o),vm=i(Nd),Cr=s(Nd,"SPAN",{});var kg=r(Cr);bm=c(kg,"VQModel"),kg.forEach(o),Nd.forEach(o),Ci=i(t),Q=s(t,"DIV",{class:!0});var Wt=r(Q);h(qo.$$.fragment,Wt),ym=i(Wt),Fr=s(Wt,"P",{});var Mg=r(Fr);xm=c(Mg,`VQ-VAE model from the paper Neural Discrete Representation Learning by Aaron van den Oord, Oriol Vinyals and Koray
Kavukcuoglu.`),Mg.forEach(o),$m=i(Wt),jo=s(Wt,"P",{});var Ed=r(jo);wm=c(Ed,"This model inherits from "),vs=s(Ed,"A",{href:!0});var Tg=r(vs);Dm=c(Tg,"ModelMixin"),Tg.forEach(o),km=c(Ed,`. Check the superclass documentation for the generic methods the library
implements for all the model (such as downloading or saving, etc.)`),Ed.forEach(o),Mm=i(Wt),bs=s(Wt,"DIV",{class:!0});var Ng=r(bs);h(Io.$$.fragment,Ng),Ng.forEach(o),Wt.forEach(o),Fi=i(t),Le=s(t,"H2",{class:!0});var Ad=r(Le);ht=s(Ad,"A",{id:!0,class:!0,href:!0});var Eg=r(ht);Pr=s(Eg,"SPAN",{});var Ag=r(Pr);h(Vo.$$.fragment,Ag),Ag.forEach(o),Eg.forEach(o),Tm=i(Ad),Or=s(Ad,"SPAN",{});var Ug=r(Or);Nm=c(Ug,"AutoencoderKLOutput"),Ug.forEach(o),Ad.forEach(o),Pi=i(t),qe=s(t,"DIV",{class:!0});var Ud=r(qe);h(zo.$$.fragment,Ud),Em=i(Ud),Lr=s(Ud,"P",{});var Cg=r(Lr);Am=c(Cg,"Output of AutoencoderKL encoding method."),Cg.forEach(o),Ud.forEach(o),Oi=i(t),je=s(t,"H2",{class:!0});var Cd=r(je);gt=s(Cd,"A",{id:!0,class:!0,href:!0});var Fg=r(gt);qr=s(Fg,"SPAN",{});var Pg=r(qr);h(Bo.$$.fragment,Pg),Pg.forEach(o),Fg.forEach(o),Um=i(Cd),jr=s(Cd,"SPAN",{});var Og=r(jr);Cm=c(Og,"AutoencoderKL"),Og.forEach(o),Cd.forEach(o),Li=i(t),N=s(t,"DIV",{class:!0});var C=r(N);h(Ko.$$.fragment,C),Fm=i(C),Ir=s(C,"P",{});var Lg=r(Ir);Pm=c(Lg,`Variational Autoencoder (VAE) model with KL loss from the paper Auto-Encoding Variational Bayes by Diederik P. Kingma
and Max Welling.`),Lg.forEach(o),Om=i(C),So=s(C,"P",{});var Fd=r(So);Lm=c(Fd,"This model inherits from "),ys=s(Fd,"A",{href:!0});var qg=r(ys);qm=c(qg,"ModelMixin"),qg.forEach(o),jm=c(Fd,`. Check the superclass documentation for the generic methods the library
implements for all the model (such as downloading or saving, etc.)`),Fd.forEach(o),Im=i(C),_t=s(C,"DIV",{class:!0});var Pd=r(_t);h(Wo.$$.fragment,Pd),Vm=i(Pd),Xo=s(Pd,"P",{});var Od=r(Xo);zm=c(Od,"Disable sliced VAE decoding. If "),Vr=s(Od,"CODE",{});var jg=r(Vr);Bm=c(jg,"enable_slicing"),jg.forEach(o),Km=c(Od,` was previously invoked, this method will go back to computing
decoding in one step.`),Od.forEach(o),Pd.forEach(o),Sm=i(C),vt=s(C,"DIV",{class:!0});var Ld=r(vt);h(Ho.$$.fragment,Ld),Wm=i(Ld),Qo=s(Ld,"P",{});var qd=r(Qo);Xm=c(qd,"Disable tiled VAE decoding. If "),zr=s(qd,"CODE",{});var Ig=r(zr);Hm=c(Ig,"enable_vae_tiling"),Ig.forEach(o),Qm=c(qd,` was previously invoked, this method will go back to
computing decoding in one step.`),qd.forEach(o),Ld.forEach(o),Rm=i(C),bt=s(C,"DIV",{class:!0});var jd=r(bt);h(Ro.$$.fragment,jd),Ym=i(jd),Br=s(jd,"P",{});var Vg=r(Br);Gm=c(Vg,`Enable sliced VAE decoding. When this option is enabled, the VAE will split the input tensor in slices to
compute decoding in several steps. This is useful to save some memory and allow larger batch sizes.`),Vg.forEach(o),jd.forEach(o),Jm=i(C),yt=s(C,"DIV",{class:!0});var Id=r(yt);h(Yo.$$.fragment,Id),Zm=i(Id),Kr=s(Id,"P",{});var zg=r(Kr);ep=c(zg,`Enable tiled VAE decoding. When this option is enabled, the VAE will split the input tensor into tiles to
compute decoding and encoding in several steps. This is useful to save a large amount of memory and to allow
the processing of larger images.`),zg.forEach(o),Id.forEach(o),tp=i(C),xs=s(C,"DIV",{class:!0});var Bg=r(xs);h(Go.$$.fragment,Bg),Bg.forEach(o),op=i(C),xt=s(C,"DIV",{class:!0});var Vd=r(xt);h(Jo.$$.fragment,Vd),np=i(Vd),Sr=s(Vd,"P",{});var Kg=r(Sr);sp=c(Kg,"Decode a batch of images using a tiled decoder."),Kg.forEach(o),Vd.forEach(o),rp=i(C),$t=s(C,"DIV",{class:!0});var zd=r($t);h(Zo.$$.fragment,zd),ap=i(zd),Wr=s(zd,"P",{});var Sg=r(Wr);ip=c(Sg,"Encode a batch of images using a tiled encoder."),Sg.forEach(o),zd.forEach(o),C.forEach(o),qi=i(t),Ie=s(t,"H2",{class:!0});var Bd=r(Ie);wt=s(Bd,"A",{id:!0,class:!0,href:!0});var Wg=r(wt);Xr=s(Wg,"SPAN",{});var Xg=r(Xr);h(en.$$.fragment,Xg),Xg.forEach(o),Wg.forEach(o),dp=i(Bd),Hr=s(Bd,"SPAN",{});var Hg=r(Hr);lp=c(Hg,"Transformer2DModel"),Hg.forEach(o),Bd.forEach(o),ji=i(t),O=s(t,"DIV",{class:!0});var oe=r(O);h(tn.$$.fragment,oe),cp=i(oe),Qr=s(oe,"P",{});var Qg=r(Qr);mp=c(Qg,`Transformer model for image-like data. Takes either discrete (classes of vector embeddings) or continuous (actual
embeddings) inputs.`),Qg.forEach(o),pp=i(oe),Rr=s(oe,"P",{});var Rg=r(Rr);fp=c(Rg,`When input is continuous: First, project the input (aka embedding) and reshape to b, t, d. Then apply standard
transformer action. Finally, reshape to image.`),Rg.forEach(o),up=i(oe),on=s(oe,"P",{});var Kd=r(on);hp=c(Kd,`When input is discrete: First, input (classes of latent pixels) is converted to embeddings and has positional
embeddings applied, see `),Yr=s(Kd,"CODE",{});var Yg=r(Yr);gp=c(Yg,"ImagePositionalEmbeddings"),Yg.forEach(o),_p=c(Kd,`. Then apply standard transformer action. Finally, predict
classes of unnoised image.`),Kd.forEach(o),vp=i(oe),Gr=s(oe,"P",{});var Gg=r(Gr);bp=c(Gg,`Note that it is assumed one of the input classes is the masked latent pixel. The predicted classes of the unnoised
image do not contain a prediction for the masked pixel as the unnoised image cannot be masked.`),Gg.forEach(o),yp=i(oe),$s=s(oe,"DIV",{class:!0});var Jg=r($s);h(nn.$$.fragment,Jg),Jg.forEach(o),oe.forEach(o),Ii=i(t),Ve=s(t,"H2",{class:!0});var Sd=r(Ve);Dt=s(Sd,"A",{id:!0,class:!0,href:!0});var Zg=r(Dt);Jr=s(Zg,"SPAN",{});var e_=r(Jr);h(sn.$$.fragment,e_),e_.forEach(o),Zg.forEach(o),xp=i(Sd),Zr=s(Sd,"SPAN",{});var t_=r(Zr);$p=c(t_,"Transformer2DModelOutput"),t_.forEach(o),Sd.forEach(o),Vi=i(t),rn=s(t,"DIV",{class:!0});var o_=r(rn);h(an.$$.fragment,o_),o_.forEach(o),zi=i(t),ze=s(t,"H2",{class:!0});var Wd=r(ze);kt=s(Wd,"A",{id:!0,class:!0,href:!0});var n_=r(kt);ea=s(n_,"SPAN",{});var s_=r(ea);h(dn.$$.fragment,s_),s_.forEach(o),n_.forEach(o),wp=i(Wd),ta=s(Wd,"SPAN",{});var r_=r(ta);Dp=c(r_,"PriorTransformer"),r_.forEach(o),Wd.forEach(o),Bi=i(t),I=s(t,"DIV",{class:!0});var ge=r(I);h(ln.$$.fragment,ge),kp=i(ge),oa=s(ge,"P",{});var a_=r(oa);Mp=c(a_,`The prior transformer from unCLIP is used to predict CLIP image embeddings from CLIP text embeddings. Note that the
transformer predicts the image embeddings through a denoising diffusion process.`),a_.forEach(o),Tp=i(ge),cn=s(ge,"P",{});var Xd=r(cn);Np=c(Xd,"This model inherits from "),ws=s(Xd,"A",{href:!0});var i_=r(ws);Ep=c(i_,"ModelMixin"),i_.forEach(o),Ap=c(Xd,`. Check the superclass documentation for the generic methods the library
implements for all the models (such as downloading or saving, etc.)`),Xd.forEach(o),Up=i(ge),Ds=s(ge,"P",{});var ch=r(Ds);Cp=c(ch,"For more details, see the original paper: "),mn=s(ch,"A",{href:!0,rel:!0});var d_=r(mn);Fp=c(d_,"https://arxiv.org/abs/2204.06125"),d_.forEach(o),ch.forEach(o),Pp=i(ge),ks=s(ge,"DIV",{class:!0});var l_=r(ks);h(pn.$$.fragment,l_),l_.forEach(o),ge.forEach(o),Ki=i(t),Be=s(t,"H2",{class:!0});var Hd=r(Be);Mt=s(Hd,"A",{id:!0,class:!0,href:!0});var c_=r(Mt);na=s(c_,"SPAN",{});var m_=r(na);h(fn.$$.fragment,m_),m_.forEach(o),c_.forEach(o),Op=i(Hd),sa=s(Hd,"SPAN",{});var p_=r(sa);Lp=c(p_,"PriorTransformerOutput"),p_.forEach(o),Hd.forEach(o),Si=i(t),un=s(t,"DIV",{class:!0});var f_=r(un);h(hn.$$.fragment,f_),f_.forEach(o),Wi=i(t),Ke=s(t,"H2",{class:!0});var Qd=r(Ke);Tt=s(Qd,"A",{id:!0,class:!0,href:!0});var u_=r(Tt);ra=s(u_,"SPAN",{});var h_=r(ra);h(gn.$$.fragment,h_),h_.forEach(o),u_.forEach(o),qp=i(Qd),aa=s(Qd,"SPAN",{});var g_=r(aa);jp=c(g_,"ControlNetOutput"),g_.forEach(o),Qd.forEach(o),Xi=i(t),_n=s(t,"DIV",{class:!0});var __=r(_n);h(vn.$$.fragment,__),__.forEach(o),Hi=i(t),Se=s(t,"H2",{class:!0});var Rd=r(Se);Nt=s(Rd,"A",{id:!0,class:!0,href:!0});var v_=r(Nt);ia=s(v_,"SPAN",{});var b_=r(ia);h(bn.$$.fragment,b_),b_.forEach(o),v_.forEach(o),Ip=i(Rd),da=s(Rd,"SPAN",{});var y_=r(da);Vp=c(y_,"ControlNetModel"),y_.forEach(o),Rd.forEach(o),Qi=i(t),se=s(t,"DIV",{class:!0});var Ps=r(se);h(yn.$$.fragment,Ps),zp=i(Ps),fe=s(Ps,"DIV",{class:!0});var Os=r(fe);h(xn.$$.fragment,Os),Bp=i(Os),la=s(Os,"P",{});var x_=r(la);Kp=c(x_,"Enable sliced attention computation."),x_.forEach(o),Sp=i(Os),ca=s(Os,"P",{});var $_=r(ca);Wp=c($_,`When this option is enabled, the attention module will split the input tensor in slices, to compute attention
in several steps. This is useful to save some memory in exchange for a small speed decrease.`),$_.forEach(o),Os.forEach(o),Xp=i(Ps),Ms=s(Ps,"DIV",{class:!0});var w_=r(Ms);h($n.$$.fragment,w_),w_.forEach(o),Ps.forEach(o),Ri=i(t),We=s(t,"H2",{class:!0});var Yd=r(We);Et=s(Yd,"A",{id:!0,class:!0,href:!0});var D_=r(Et);ma=s(D_,"SPAN",{});var k_=r(ma);h(wn.$$.fragment,k_),k_.forEach(o),D_.forEach(o),Hp=i(Yd),pa=s(Yd,"SPAN",{});var M_=r(pa);Qp=c(M_,"FlaxModelMixin"),M_.forEach(o),Yd.forEach(o),Yi=i(t),U=s(t,"DIV",{class:!0});var j=r(U);h(Dn.$$.fragment,j),Rp=i(j),fa=s(j,"P",{});var T_=r(fa);Yp=c(T_,"Base class for all flax models."),T_.forEach(o),Gp=i(j),Ts=s(j,"P",{});var mh=r(Ts);Ns=s(mh,"A",{href:!0});var N_=r(Ns);Jp=c(N_,"FlaxModelMixin"),N_.forEach(o),Zp=c(mh,` takes care of storing the configuration of the models and handles methods for loading,
downloading and saving models.`),mh.forEach(o),ef=i(j),B=s(j,"DIV",{class:!0});var _e=r(B);h(kn.$$.fragment,_e),tf=i(_e),ua=s(_e,"P",{});var E_=r(ua);of=c(E_,"Instantiate a pretrained flax model from a pre-trained model configuration."),E_.forEach(o),nf=i(_e),Mn=s(_e,"P",{});var Gd=r(Mn);sf=c(Gd,"The warning "),ha=s(Gd,"EM",{});var A_=r(ha);rf=c(A_,"Weights from XXX not initialized from pretrained model"),A_.forEach(o),af=c(Gd,` means that the weights of XXX do not come
pretrained with the rest of the model. It is up to you to train those weights with a downstream fine-tuning
task.`),Gd.forEach(o),df=i(_e),Tn=s(_e,"P",{});var Jd=r(Tn);lf=c(Jd,"The warning "),ga=s(Jd,"EM",{});var U_=r(ga);cf=c(U_,"Weights from XXX not used in YYY"),U_.forEach(o),mf=c(Jd,` means that the layer XXX is not used by YYY, therefore those
weights are discarded.`),Jd.forEach(o),pf=i(_e),h(At.$$.fragment,_e),_e.forEach(o),ff=i(j),Ut=s(j,"DIV",{class:!0});var Zd=r(Ut);h(Nn.$$.fragment,Zd),uf=i(Zd),En=s(Zd,"P",{});var el=r(En);hf=c(el,`Save a model and its configuration file to a directory, so that it can be re-loaded using the
`),_a=s(el,"CODE",{});var C_=r(_a);gf=c(C_,"[from_pretrained()](/docs/diffusers/v0.14.0/en/api/models#diffusers.FlaxModelMixin.from_pretrained)"),C_.forEach(o),_f=c(el," class method"),el.forEach(o),Zd.forEach(o),vf=i(j),Z=s(j,"DIV",{class:!0});var Xt=r(Z);h(An.$$.fragment,Xt),bf=i(Xt),R=s(Xt,"P",{});var ve=r(R);yf=c(ve,"Cast the floating-point "),va=s(ve,"CODE",{});var F_=r(va);xf=c(F_,"params"),F_.forEach(o),$f=c(ve," to "),ba=s(ve,"CODE",{});var P_=r(ba);wf=c(P_,"jax.numpy.bfloat16"),P_.forEach(o),Df=c(ve,". This returns a new "),ya=s(ve,"CODE",{});var O_=r(ya);kf=c(O_,"params"),O_.forEach(o),Mf=c(ve,` tree and does not cast
the `),xa=s(ve,"CODE",{});var L_=r(xa);Tf=c(L_,"params"),L_.forEach(o),Nf=c(ve," in place."),ve.forEach(o),Ef=i(Xt),$a=s(Xt,"P",{});var q_=r($a);Af=c(q_,`This method can be used on TPU to explicitly convert the model parameters to bfloat16 precision to do full
half-precision training or to save weights in bfloat16 for inference in order to save memory and improve speed.`),q_.forEach(o),Uf=i(Xt),h(Ct.$$.fragment,Xt),Xt.forEach(o),Cf=i(j),ee=s(j,"DIV",{class:!0});var Ht=r(ee);h(Un.$$.fragment,Ht),Ff=i(Ht),Y=s(Ht,"P",{});var be=r(Y);Pf=c(be,"Cast the floating-point "),wa=s(be,"CODE",{});var j_=r(wa);Of=c(j_,"params"),j_.forEach(o),Lf=c(be," to "),Da=s(be,"CODE",{});var I_=r(Da);qf=c(I_,"jax.numpy.float16"),I_.forEach(o),jf=c(be,". This returns a new "),ka=s(be,"CODE",{});var V_=r(ka);If=c(V_,"params"),V_.forEach(o),Vf=c(be,` tree and does not cast the
`),Ma=s(be,"CODE",{});var z_=r(Ma);zf=c(z_,"params"),z_.forEach(o),Bf=c(be," in place."),be.forEach(o),Kf=i(Ht),Ta=s(Ht,"P",{});var B_=r(Ta);Sf=c(B_,`This method can be used on GPU to explicitly convert the model parameters to float16 precision to do full
half-precision training or to save weights in float16 for inference in order to save memory and improve speed.`),B_.forEach(o),Wf=i(Ht),h(Ft.$$.fragment,Ht),Ht.forEach(o),Xf=i(j),ue=s(j,"DIV",{class:!0});var Ls=r(ue);h(Cn.$$.fragment,Ls),Hf=i(Ls),G=s(Ls,"P",{});var ye=r(G);Qf=c(ye,"Cast the floating-point "),Na=s(ye,"CODE",{});var K_=r(Na);Rf=c(K_,"params"),K_.forEach(o),Yf=c(ye," to "),Ea=s(ye,"CODE",{});var S_=r(Ea);Gf=c(S_,"jax.numpy.float32"),S_.forEach(o),Jf=c(ye,`. This method can be used to explicitly convert the
model parameters to fp32 precision. This returns a new `),Aa=s(ye,"CODE",{});var W_=r(Aa);Zf=c(W_,"params"),W_.forEach(o),eu=c(ye," tree and does not cast the "),Ua=s(ye,"CODE",{});var X_=r(Ua);tu=c(X_,"params"),X_.forEach(o),ou=c(ye," in place."),ye.forEach(o),nu=i(Ls),h(Pt.$$.fragment,Ls),Ls.forEach(o),j.forEach(o),Gi=i(t),Xe=s(t,"H2",{class:!0});var tl=r(Xe);Ot=s(tl,"A",{id:!0,class:!0,href:!0});var H_=r(Ot);Ca=s(H_,"SPAN",{});var Q_=r(Ca);h(Fn.$$.fragment,Q_),Q_.forEach(o),H_.forEach(o),su=i(tl),Fa=s(tl,"SPAN",{});var R_=r(Fa);ru=c(R_,"FlaxUNet2DConditionOutput"),R_.forEach(o),tl.forEach(o),Ji=i(t),He=s(t,"DIV",{class:!0});var ol=r(He);h(Pn.$$.fragment,ol),au=i(ol),Lt=s(ol,"DIV",{class:!0});var nl=r(Lt);h(On.$$.fragment,nl),iu=i(nl),Pa=s(nl,"P",{});var Y_=r(Pa);du=c(Y_,"\u201CReturns a new object replacing the specified fields with new values."),Y_.forEach(o),nl.forEach(o),ol.forEach(o),Zi=i(t),Qe=s(t,"H2",{class:!0});var sl=r(Qe);qt=s(sl,"A",{id:!0,class:!0,href:!0});var G_=r(qt);Oa=s(G_,"SPAN",{});var J_=r(Oa);h(Ln.$$.fragment,J_),J_.forEach(o),G_.forEach(o),lu=i(sl),La=s(sl,"SPAN",{});var Z_=r(La);cu=c(Z_,"FlaxUNet2DConditionModel"),Z_.forEach(o),sl.forEach(o),ed=i(t),L=s(t,"DIV",{class:!0});var ne=r(L);h(qn.$$.fragment,ne),mu=i(ne),qa=s(ne,"P",{});var ev=r(qa);pu=c(ev,`FlaxUNet2DConditionModel is a conditional 2D UNet model that takes in a noisy sample, conditional state, and a
timestep and returns sample shaped output.`),ev.forEach(o),fu=i(ne),jn=s(ne,"P",{});var rl=r(jn);uu=c(rl,"This model inherits from "),Es=s(rl,"A",{href:!0});var tv=r(Es);hu=c(tv,"FlaxModelMixin"),tv.forEach(o),gu=c(rl,`. Check the superclass documentation for the generic methods the library
implements for all the models (such as downloading or saving, etc.)`),rl.forEach(o),_u=i(ne),In=s(ne,"P",{});var al=r(In);vu=c(al,"Also, this model is a Flax Linen "),Vn=s(al,"A",{href:!0,rel:!0});var ov=r(Vn);bu=c(ov,"flax.linen.Module"),ov.forEach(o),yu=c(al,`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),al.forEach(o),xu=i(ne),ja=s(ne,"P",{});var nv=r(ja);$u=c(nv,"Finally, this model supports inherent JAX features such as:"),nv.forEach(o),wu=i(ne),re=s(ne,"UL",{});var Qt=r(re);Ia=s(Qt,"LI",{});var sv=r(Ia);zn=s(sv,"A",{href:!0,rel:!0});var rv=r(zn);Du=c(rv,"Just-In-Time (JIT) compilation"),rv.forEach(o),sv.forEach(o),ku=i(Qt),Va=s(Qt,"LI",{});var av=r(Va);Bn=s(av,"A",{href:!0,rel:!0});var iv=r(Bn);Mu=c(iv,"Automatic Differentiation"),iv.forEach(o),av.forEach(o),Tu=i(Qt),za=s(Qt,"LI",{});var dv=r(za);Kn=s(dv,"A",{href:!0,rel:!0});var lv=r(Kn);Nu=c(lv,"Vectorization"),lv.forEach(o),dv.forEach(o),Eu=i(Qt),Ba=s(Qt,"LI",{});var cv=r(Ba);Sn=s(cv,"A",{href:!0,rel:!0});var mv=r(Sn);Au=c(mv,"Parallelization"),mv.forEach(o),cv.forEach(o),Qt.forEach(o),ne.forEach(o),td=i(t),Re=s(t,"H2",{class:!0});var il=r(Re);jt=s(il,"A",{id:!0,class:!0,href:!0});var pv=r(jt);Ka=s(pv,"SPAN",{});var fv=r(Ka);h(Wn.$$.fragment,fv),fv.forEach(o),pv.forEach(o),Uu=i(il),Sa=s(il,"SPAN",{});var uv=r(Sa);Cu=c(uv,"FlaxDecoderOutput"),uv.forEach(o),il.forEach(o),od=i(t),ae=s(t,"DIV",{class:!0});var qs=r(ae);h(Xn.$$.fragment,qs),Fu=i(qs),Wa=s(qs,"P",{});var hv=r(Wa);Pu=c(hv,"Output of decoding method."),hv.forEach(o),Ou=i(qs),It=s(qs,"DIV",{class:!0});var dl=r(It);h(Hn.$$.fragment,dl),Lu=i(dl),Xa=s(dl,"P",{});var gv=r(Xa);qu=c(gv,"\u201CReturns a new object replacing the specified fields with new values."),gv.forEach(o),dl.forEach(o),qs.forEach(o),nd=i(t),Ye=s(t,"H2",{class:!0});var ll=r(Ye);Vt=s(ll,"A",{id:!0,class:!0,href:!0});var _v=r(Vt);Ha=s(_v,"SPAN",{});var vv=r(Ha);h(Qn.$$.fragment,vv),vv.forEach(o),_v.forEach(o),ju=i(ll),Qa=s(ll,"SPAN",{});var bv=r(Qa);Iu=c(bv,"FlaxAutoencoderKLOutput"),bv.forEach(o),ll.forEach(o),sd=i(t),ie=s(t,"DIV",{class:!0});var js=r(ie);h(Rn.$$.fragment,js),Vu=i(js),Ra=s(js,"P",{});var yv=r(Ra);zu=c(yv,"Output of AutoencoderKL encoding method."),yv.forEach(o),Bu=i(js),zt=s(js,"DIV",{class:!0});var cl=r(zt);h(Yn.$$.fragment,cl),Ku=i(cl),Ya=s(cl,"P",{});var xv=r(Ya);Su=c(xv,"\u201CReturns a new object replacing the specified fields with new values."),xv.forEach(o),cl.forEach(o),js.forEach(o),rd=i(t),Ge=s(t,"H2",{class:!0});var ml=r(Ge);Bt=s(ml,"A",{id:!0,class:!0,href:!0});var $v=r(Bt);Ga=s($v,"SPAN",{});var wv=r(Ga);h(Gn.$$.fragment,wv),wv.forEach(o),$v.forEach(o),Wu=i(ml),Ja=s(ml,"SPAN",{});var Dv=r(Ja);Xu=c(Dv,"FlaxAutoencoderKL"),Dv.forEach(o),ml.forEach(o),ad=i(t),V=s(t,"DIV",{class:!0});var xe=r(V);h(Jn.$$.fragment,xe),Hu=i(xe),Za=s(xe,"P",{});var kv=r(Za);Qu=c(kv,`Flax Implementation of Variational Autoencoder (VAE) model with KL loss from the paper Auto-Encoding Variational
Bayes by Diederik P. Kingma and Max Welling.`),kv.forEach(o),Ru=i(xe),Zn=s(xe,"P",{});var pl=r(Zn);Yu=c(pl,"This model is a Flax Linen "),es=s(pl,"A",{href:!0,rel:!0});var Mv=r(es);Gu=c(Mv,"flax.linen.Module"),Mv.forEach(o),Ju=c(pl,`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),pl.forEach(o),Zu=i(xe),ei=s(xe,"P",{});var Tv=r(ei);eh=c(Tv,"Finally, this model supports inherent JAX features such as:"),Tv.forEach(o),th=i(xe),de=s(xe,"UL",{});var Rt=r(de);ti=s(Rt,"LI",{});var Nv=r(ti);ts=s(Nv,"A",{href:!0,rel:!0});var Ev=r(ts);oh=c(Ev,"Just-In-Time (JIT) compilation"),Ev.forEach(o),Nv.forEach(o),nh=i(Rt),oi=s(Rt,"LI",{});var Av=r(oi);os=s(Av,"A",{href:!0,rel:!0});var Uv=r(os);sh=c(Uv,"Automatic Differentiation"),Uv.forEach(o),Av.forEach(o),rh=i(Rt),ni=s(Rt,"LI",{});var Cv=r(ni);ns=s(Cv,"A",{href:!0,rel:!0});var Fv=r(ns);ah=c(Fv,"Vectorization"),Fv.forEach(o),Cv.forEach(o),ih=i(Rt),si=s(Rt,"LI",{});var Pv=r(si);ss=s(Pv,"A",{href:!0,rel:!0});var Ov=r(ss);dh=c(Ov,"Parallelization"),Ov.forEach(o),Pv.forEach(o),Rt.forEach(o),xe.forEach(o),this.h()},h(){d(y,"name","hf:doc:metadata"),d(y,"content",JSON.stringify(Yv)),d(x,"id","models"),d(x,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(x,"href","#models"),d(D,"class","relative group"),d(Ze,"id","diffusers.ModelMixin"),d(Ze,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Ze,"href","#diffusers.ModelMixin"),d(we,"class","relative group"),d(ls,"href","/docs/diffusers/v0.14.0/en/api/models#diffusers.ModelMixin"),d(cs,"href","/docs/diffusers/v0.14.0/en/api/models#diffusers.ModelMixin.save_pretrained"),d(ce,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(et,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(me,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(st,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(rt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(T,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(at,"id","diffusers.models.unet_2d.UNet2DOutput"),d(at,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(at,"href","#diffusers.models.unet_2d.UNet2DOutput"),d(ke,"class","relative group"),d(co,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(it,"id","diffusers.UNet2DModel"),d(it,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(it,"href","#diffusers.UNet2DModel"),d(Me,"class","relative group"),d(ms,"href","/docs/diffusers/v0.14.0/en/api/models#diffusers.ModelMixin"),d(ps,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(X,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(dt,"id","diffusers.models.unet_1d.UNet1DOutput"),d(dt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(dt,"href","#diffusers.models.unet_1d.UNet1DOutput"),d(Te,"class","relative group"),d(_o,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(lt,"id","diffusers.UNet1DModel"),d(lt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(lt,"href","#diffusers.UNet1DModel"),d(Ne,"class","relative group"),d(fs,"href","/docs/diffusers/v0.14.0/en/api/models#diffusers.ModelMixin"),d(us,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ct,"id","diffusers.models.unet_2d_condition.UNet2DConditionOutput"),d(ct,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(ct,"href","#diffusers.models.unet_2d_condition.UNet2DConditionOutput"),d(Ee,"class","relative group"),d(Do,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(mt,"id","diffusers.UNet2DConditionModel"),d(mt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(mt,"href","#diffusers.UNet2DConditionModel"),d(Ae,"class","relative group"),d(hs,"href","/docs/diffusers/v0.14.0/en/api/models#diffusers.ModelMixin"),d(gs,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(pe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(_s,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(P,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(pt,"id","diffusers.models.vae.DecoderOutput"),d(pt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(pt,"href","#diffusers.models.vae.DecoderOutput"),d(Ue,"class","relative group"),d(Ce,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ft,"id","diffusers.models.vq_model.VQEncoderOutput"),d(ft,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(ft,"href","#diffusers.models.vq_model.VQEncoderOutput"),d(Fe,"class","relative group"),d(Pe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ut,"id","diffusers.VQModel"),d(ut,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(ut,"href","#diffusers.VQModel"),d(Oe,"class","relative group"),d(vs,"href","/docs/diffusers/v0.14.0/en/api/models#diffusers.ModelMixin"),d(bs,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ht,"id","diffusers.models.autoencoder_kl.AutoencoderKLOutput"),d(ht,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(ht,"href","#diffusers.models.autoencoder_kl.AutoencoderKLOutput"),d(Le,"class","relative group"),d(qe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(gt,"id","diffusers.AutoencoderKL"),d(gt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(gt,"href","#diffusers.AutoencoderKL"),d(je,"class","relative group"),d(ys,"href","/docs/diffusers/v0.14.0/en/api/models#diffusers.ModelMixin"),d(_t,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(vt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(bt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(yt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(xs,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(xt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d($t,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(wt,"id","diffusers.Transformer2DModel"),d(wt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(wt,"href","#diffusers.Transformer2DModel"),d(Ie,"class","relative group"),d($s,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(O,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Dt,"id","diffusers.models.transformer_2d.Transformer2DModelOutput"),d(Dt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Dt,"href","#diffusers.models.transformer_2d.Transformer2DModelOutput"),d(Ve,"class","relative group"),d(rn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(kt,"id","diffusers.PriorTransformer"),d(kt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(kt,"href","#diffusers.PriorTransformer"),d(ze,"class","relative group"),d(ws,"href","/docs/diffusers/v0.14.0/en/api/models#diffusers.ModelMixin"),d(mn,"href","https://arxiv.org/abs/2204.06125"),d(mn,"rel","nofollow"),d(ks,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Mt,"id","diffusers.models.prior_transformer.PriorTransformerOutput"),d(Mt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Mt,"href","#diffusers.models.prior_transformer.PriorTransformerOutput"),d(Be,"class","relative group"),d(un,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Tt,"id","diffusers.models.controlnet.ControlNetOutput"),d(Tt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Tt,"href","#diffusers.models.controlnet.ControlNetOutput"),d(Ke,"class","relative group"),d(_n,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Nt,"id","diffusers.ControlNetModel"),d(Nt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Nt,"href","#diffusers.ControlNetModel"),d(Se,"class","relative group"),d(fe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ms,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(se,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Et,"id","diffusers.FlaxModelMixin"),d(Et,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Et,"href","#diffusers.FlaxModelMixin"),d(We,"class","relative group"),d(Ns,"href","/docs/diffusers/v0.14.0/en/api/models#diffusers.FlaxModelMixin"),d(B,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ut,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ee,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ue,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(U,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ot,"id","diffusers.models.unet_2d_condition_flax.FlaxUNet2DConditionOutput"),d(Ot,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Ot,"href","#diffusers.models.unet_2d_condition_flax.FlaxUNet2DConditionOutput"),d(Xe,"class","relative group"),d(Lt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(He,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(qt,"id","diffusers.FlaxUNet2DConditionModel"),d(qt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(qt,"href","#diffusers.FlaxUNet2DConditionModel"),d(Qe,"class","relative group"),d(Es,"href","/docs/diffusers/v0.14.0/en/api/models#diffusers.FlaxModelMixin"),d(Vn,"href","https://flax.readthedocs.io/en/latest/flax.linen.html#module"),d(Vn,"rel","nofollow"),d(zn,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),d(zn,"rel","nofollow"),d(Bn,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),d(Bn,"rel","nofollow"),d(Kn,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),d(Kn,"rel","nofollow"),d(Sn,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),d(Sn,"rel","nofollow"),d(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(jt,"id","diffusers.models.vae_flax.FlaxDecoderOutput"),d(jt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(jt,"href","#diffusers.models.vae_flax.FlaxDecoderOutput"),d(Re,"class","relative group"),d(It,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ae,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Vt,"id","diffusers.models.vae_flax.FlaxAutoencoderKLOutput"),d(Vt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Vt,"href","#diffusers.models.vae_flax.FlaxAutoencoderKLOutput"),d(Ye,"class","relative group"),d(zt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ie,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Bt,"id","diffusers.FlaxAutoencoderKL"),d(Bt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Bt,"href","#diffusers.FlaxAutoencoderKL"),d(Ge,"class","relative group"),d(es,"href","https://flax.readthedocs.io/en/latest/flax.linen.html#module"),d(es,"rel","nofollow"),d(ts,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),d(ts,"rel","nofollow"),d(os,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),d(os,"rel","nofollow"),d(ns,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),d(ns,"rel","nofollow"),d(ss,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),d(ss,"rel","nofollow"),d(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(t,m){e(document.head,y),p(t,M,m),p(t,D,m),e(D,x),e(x,k),g(f,k,null),e(D,w),e(D,J),e(J,$e),p(t,S,m),p(t,W,m),e(W,is),e(W,Is),e(Is,fl),e(W,ul),e(W,Vs),e(Vs,hl),e(W,gl),p(t,fi,m),p(t,we,m),e(we,Ze),e(Ze,zs),g(Yt,zs,null),e(we,_l),e(we,Bs),e(Bs,vl),p(t,ui,m),p(t,T,m),g(Gt,T,null),e(T,bl),e(T,Ks),e(Ks,yl),e(T,xl),e(T,ds),e(ds,ls),e(ls,$l),e(ds,wl),e(T,Dl),e(T,Ss),e(Ss,le),e(le,Ws),e(Ws,kl),e(le,Ml),e(le,Xs),e(Xs,Tl),e(le,Nl),e(le,cs),e(cs,El),e(le,Al),e(T,Ul),e(T,ce),g(Jt,ce,null),e(ce,Cl),e(ce,Hs),e(Hs,Fl),e(ce,Pl),e(ce,Qs),e(Qs,Ol),e(T,Ll),e(T,et),g(Zt,et,null),e(et,ql),e(et,Rs),e(Rs,jl),e(T,Il),e(T,me),g(eo,me,null),e(me,Vl),e(me,Ys),e(Ys,zl),e(me,Bl),e(me,Gs),e(Gs,Kl),e(T,Sl),e(T,z),g(to,z,null),e(z,Wl),e(z,Js),e(Js,Xl),e(z,Hl),e(z,Zs),e(Zs,Ql),e(z,Rl),e(z,er),e(er,Yl),e(z,Gl),g(tt,z,null),e(T,Jl),e(T,F),g(oo,F,null),e(F,Zl),e(F,tr),e(tr,ec),e(F,tc),e(F,De),e(De,oc),e(De,or),e(or,nc),e(De,sc),e(De,nr),e(nr,rc),e(De,ac),e(F,ic),e(F,no),e(no,dc),e(no,sr),e(sr,lc),e(no,cc),e(F,mc),e(F,so),e(so,pc),e(so,rr),e(rr,fc),e(so,uc),e(F,hc),g(ot,F,null),e(F,gc),g(nt,F,null),e(T,_c),e(T,st),g(ro,st,null),e(st,vc),e(st,ar),e(ar,bc),e(T,yc),e(T,rt),g(ao,rt,null),e(rt,xc),e(rt,io),e(io,$c),e(io,ir),e(ir,wc),e(io,Dc),p(t,hi,m),p(t,ke,m),e(ke,at),e(at,dr),g(lo,dr,null),e(ke,kc),e(ke,lr),e(lr,Mc),p(t,gi,m),p(t,co,m),g(mo,co,null),p(t,_i,m),p(t,Me,m),e(Me,it),e(it,cr),g(po,cr,null),e(Me,Tc),e(Me,mr),e(mr,Nc),p(t,vi,m),p(t,X,m),g(fo,X,null),e(X,Ec),e(X,pr),e(pr,Ac),e(X,Uc),e(X,uo),e(uo,Cc),e(uo,ms),e(ms,Fc),e(uo,Pc),e(X,Oc),e(X,ps),g(ho,ps,null),p(t,bi,m),p(t,Te,m),e(Te,dt),e(dt,fr),g(go,fr,null),e(Te,Lc),e(Te,ur),e(ur,qc),p(t,yi,m),p(t,_o,m),g(vo,_o,null),p(t,xi,m),p(t,Ne,m),e(Ne,lt),e(lt,hr),g(bo,hr,null),e(Ne,jc),e(Ne,gr),e(gr,Ic),p(t,$i,m),p(t,H,m),g(yo,H,null),e(H,Vc),e(H,_r),e(_r,zc),e(H,Bc),e(H,xo),e(xo,Kc),e(xo,fs),e(fs,Sc),e(xo,Wc),e(H,Xc),e(H,us),g($o,us,null),p(t,wi,m),p(t,Ee,m),e(Ee,ct),e(ct,vr),g(wo,vr,null),e(Ee,Hc),e(Ee,br),e(br,Qc),p(t,Di,m),p(t,Do,m),g(ko,Do,null),p(t,ki,m),p(t,Ae,m),e(Ae,mt),e(mt,yr),g(Mo,yr,null),e(Ae,Rc),e(Ae,xr),e(xr,Yc),p(t,Mi,m),p(t,P,m),g(To,P,null),e(P,Gc),e(P,$r),e($r,Jc),e(P,Zc),e(P,No),e(No,em),e(No,hs),e(hs,tm),e(No,om),e(P,nm),e(P,gs),g(Eo,gs,null),e(P,sm),e(P,pe),g(Ao,pe,null),e(pe,rm),e(pe,wr),e(wr,am),e(pe,im),e(pe,Dr),e(Dr,dm),e(P,lm),e(P,_s),g(Uo,_s,null),p(t,Ti,m),p(t,Ue,m),e(Ue,pt),e(pt,kr),g(Co,kr,null),e(Ue,cm),e(Ue,Mr),e(Mr,mm),p(t,Ni,m),p(t,Ce,m),g(Fo,Ce,null),e(Ce,pm),e(Ce,Tr),e(Tr,fm),p(t,Ei,m),p(t,Fe,m),e(Fe,ft),e(ft,Nr),g(Po,Nr,null),e(Fe,um),e(Fe,Er),e(Er,hm),p(t,Ai,m),p(t,Pe,m),g(Oo,Pe,null),e(Pe,gm),e(Pe,Ar),e(Ar,_m),p(t,Ui,m),p(t,Oe,m),e(Oe,ut),e(ut,Ur),g(Lo,Ur,null),e(Oe,vm),e(Oe,Cr),e(Cr,bm),p(t,Ci,m),p(t,Q,m),g(qo,Q,null),e(Q,ym),e(Q,Fr),e(Fr,xm),e(Q,$m),e(Q,jo),e(jo,wm),e(jo,vs),e(vs,Dm),e(jo,km),e(Q,Mm),e(Q,bs),g(Io,bs,null),p(t,Fi,m),p(t,Le,m),e(Le,ht),e(ht,Pr),g(Vo,Pr,null),e(Le,Tm),e(Le,Or),e(Or,Nm),p(t,Pi,m),p(t,qe,m),g(zo,qe,null),e(qe,Em),e(qe,Lr),e(Lr,Am),p(t,Oi,m),p(t,je,m),e(je,gt),e(gt,qr),g(Bo,qr,null),e(je,Um),e(je,jr),e(jr,Cm),p(t,Li,m),p(t,N,m),g(Ko,N,null),e(N,Fm),e(N,Ir),e(Ir,Pm),e(N,Om),e(N,So),e(So,Lm),e(So,ys),e(ys,qm),e(So,jm),e(N,Im),e(N,_t),g(Wo,_t,null),e(_t,Vm),e(_t,Xo),e(Xo,zm),e(Xo,Vr),e(Vr,Bm),e(Xo,Km),e(N,Sm),e(N,vt),g(Ho,vt,null),e(vt,Wm),e(vt,Qo),e(Qo,Xm),e(Qo,zr),e(zr,Hm),e(Qo,Qm),e(N,Rm),e(N,bt),g(Ro,bt,null),e(bt,Ym),e(bt,Br),e(Br,Gm),e(N,Jm),e(N,yt),g(Yo,yt,null),e(yt,Zm),e(yt,Kr),e(Kr,ep),e(N,tp),e(N,xs),g(Go,xs,null),e(N,op),e(N,xt),g(Jo,xt,null),e(xt,np),e(xt,Sr),e(Sr,sp),e(N,rp),e(N,$t),g(Zo,$t,null),e($t,ap),e($t,Wr),e(Wr,ip),p(t,qi,m),p(t,Ie,m),e(Ie,wt),e(wt,Xr),g(en,Xr,null),e(Ie,dp),e(Ie,Hr),e(Hr,lp),p(t,ji,m),p(t,O,m),g(tn,O,null),e(O,cp),e(O,Qr),e(Qr,mp),e(O,pp),e(O,Rr),e(Rr,fp),e(O,up),e(O,on),e(on,hp),e(on,Yr),e(Yr,gp),e(on,_p),e(O,vp),e(O,Gr),e(Gr,bp),e(O,yp),e(O,$s),g(nn,$s,null),p(t,Ii,m),p(t,Ve,m),e(Ve,Dt),e(Dt,Jr),g(sn,Jr,null),e(Ve,xp),e(Ve,Zr),e(Zr,$p),p(t,Vi,m),p(t,rn,m),g(an,rn,null),p(t,zi,m),p(t,ze,m),e(ze,kt),e(kt,ea),g(dn,ea,null),e(ze,wp),e(ze,ta),e(ta,Dp),p(t,Bi,m),p(t,I,m),g(ln,I,null),e(I,kp),e(I,oa),e(oa,Mp),e(I,Tp),e(I,cn),e(cn,Np),e(cn,ws),e(ws,Ep),e(cn,Ap),e(I,Up),e(I,Ds),e(Ds,Cp),e(Ds,mn),e(mn,Fp),e(I,Pp),e(I,ks),g(pn,ks,null),p(t,Ki,m),p(t,Be,m),e(Be,Mt),e(Mt,na),g(fn,na,null),e(Be,Op),e(Be,sa),e(sa,Lp),p(t,Si,m),p(t,un,m),g(hn,un,null),p(t,Wi,m),p(t,Ke,m),e(Ke,Tt),e(Tt,ra),g(gn,ra,null),e(Ke,qp),e(Ke,aa),e(aa,jp),p(t,Xi,m),p(t,_n,m),g(vn,_n,null),p(t,Hi,m),p(t,Se,m),e(Se,Nt),e(Nt,ia),g(bn,ia,null),e(Se,Ip),e(Se,da),e(da,Vp),p(t,Qi,m),p(t,se,m),g(yn,se,null),e(se,zp),e(se,fe),g(xn,fe,null),e(fe,Bp),e(fe,la),e(la,Kp),e(fe,Sp),e(fe,ca),e(ca,Wp),e(se,Xp),e(se,Ms),g($n,Ms,null),p(t,Ri,m),p(t,We,m),e(We,Et),e(Et,ma),g(wn,ma,null),e(We,Hp),e(We,pa),e(pa,Qp),p(t,Yi,m),p(t,U,m),g(Dn,U,null),e(U,Rp),e(U,fa),e(fa,Yp),e(U,Gp),e(U,Ts),e(Ts,Ns),e(Ns,Jp),e(Ts,Zp),e(U,ef),e(U,B),g(kn,B,null),e(B,tf),e(B,ua),e(ua,of),e(B,nf),e(B,Mn),e(Mn,sf),e(Mn,ha),e(ha,rf),e(Mn,af),e(B,df),e(B,Tn),e(Tn,lf),e(Tn,ga),e(ga,cf),e(Tn,mf),e(B,pf),g(At,B,null),e(U,ff),e(U,Ut),g(Nn,Ut,null),e(Ut,uf),e(Ut,En),e(En,hf),e(En,_a),e(_a,gf),e(En,_f),e(U,vf),e(U,Z),g(An,Z,null),e(Z,bf),e(Z,R),e(R,yf),e(R,va),e(va,xf),e(R,$f),e(R,ba),e(ba,wf),e(R,Df),e(R,ya),e(ya,kf),e(R,Mf),e(R,xa),e(xa,Tf),e(R,Nf),e(Z,Ef),e(Z,$a),e($a,Af),e(Z,Uf),g(Ct,Z,null),e(U,Cf),e(U,ee),g(Un,ee,null),e(ee,Ff),e(ee,Y),e(Y,Pf),e(Y,wa),e(wa,Of),e(Y,Lf),e(Y,Da),e(Da,qf),e(Y,jf),e(Y,ka),e(ka,If),e(Y,Vf),e(Y,Ma),e(Ma,zf),e(Y,Bf),e(ee,Kf),e(ee,Ta),e(Ta,Sf),e(ee,Wf),g(Ft,ee,null),e(U,Xf),e(U,ue),g(Cn,ue,null),e(ue,Hf),e(ue,G),e(G,Qf),e(G,Na),e(Na,Rf),e(G,Yf),e(G,Ea),e(Ea,Gf),e(G,Jf),e(G,Aa),e(Aa,Zf),e(G,eu),e(G,Ua),e(Ua,tu),e(G,ou),e(ue,nu),g(Pt,ue,null),p(t,Gi,m),p(t,Xe,m),e(Xe,Ot),e(Ot,Ca),g(Fn,Ca,null),e(Xe,su),e(Xe,Fa),e(Fa,ru),p(t,Ji,m),p(t,He,m),g(Pn,He,null),e(He,au),e(He,Lt),g(On,Lt,null),e(Lt,iu),e(Lt,Pa),e(Pa,du),p(t,Zi,m),p(t,Qe,m),e(Qe,qt),e(qt,Oa),g(Ln,Oa,null),e(Qe,lu),e(Qe,La),e(La,cu),p(t,ed,m),p(t,L,m),g(qn,L,null),e(L,mu),e(L,qa),e(qa,pu),e(L,fu),e(L,jn),e(jn,uu),e(jn,Es),e(Es,hu),e(jn,gu),e(L,_u),e(L,In),e(In,vu),e(In,Vn),e(Vn,bu),e(In,yu),e(L,xu),e(L,ja),e(ja,$u),e(L,wu),e(L,re),e(re,Ia),e(Ia,zn),e(zn,Du),e(re,ku),e(re,Va),e(Va,Bn),e(Bn,Mu),e(re,Tu),e(re,za),e(za,Kn),e(Kn,Nu),e(re,Eu),e(re,Ba),e(Ba,Sn),e(Sn,Au),p(t,td,m),p(t,Re,m),e(Re,jt),e(jt,Ka),g(Wn,Ka,null),e(Re,Uu),e(Re,Sa),e(Sa,Cu),p(t,od,m),p(t,ae,m),g(Xn,ae,null),e(ae,Fu),e(ae,Wa),e(Wa,Pu),e(ae,Ou),e(ae,It),g(Hn,It,null),e(It,Lu),e(It,Xa),e(Xa,qu),p(t,nd,m),p(t,Ye,m),e(Ye,Vt),e(Vt,Ha),g(Qn,Ha,null),e(Ye,ju),e(Ye,Qa),e(Qa,Iu),p(t,sd,m),p(t,ie,m),g(Rn,ie,null),e(ie,Vu),e(ie,Ra),e(Ra,zu),e(ie,Bu),e(ie,zt),g(Yn,zt,null),e(zt,Ku),e(zt,Ya),e(Ya,Su),p(t,rd,m),p(t,Ge,m),e(Ge,Bt),e(Bt,Ga),g(Gn,Ga,null),e(Ge,Wu),e(Ge,Ja),e(Ja,Xu),p(t,ad,m),p(t,V,m),g(Jn,V,null),e(V,Hu),e(V,Za),e(Za,Qu),e(V,Ru),e(V,Zn),e(Zn,Yu),e(Zn,es),e(es,Gu),e(Zn,Ju),e(V,Zu),e(V,ei),e(ei,eh),e(V,th),e(V,de),e(de,ti),e(ti,ts),e(ts,oh),e(de,nh),e(de,oi),e(oi,os),e(os,sh),e(de,rh),e(de,ni),e(ni,ns),e(ns,ah),e(de,ih),e(de,si),e(si,ss),e(ss,dh),id=!0},p(t,[m]){const rs={};m&2&&(rs.$$scope={dirty:m,ctx:t}),tt.$set(rs);const ri={};m&2&&(ri.$$scope={dirty:m,ctx:t}),ot.$set(ri);const ai={};m&2&&(ai.$$scope={dirty:m,ctx:t}),nt.$set(ai);const ii={};m&2&&(ii.$$scope={dirty:m,ctx:t}),At.$set(ii);const Je={};m&2&&(Je.$$scope={dirty:m,ctx:t}),Ct.$set(Je);const di={};m&2&&(di.$$scope={dirty:m,ctx:t}),Ft.$set(di);const li={};m&2&&(li.$$scope={dirty:m,ctx:t}),Pt.$set(li)},i(t){id||(_(f.$$.fragment,t),_(Yt.$$.fragment,t),_(Gt.$$.fragment,t),_(Jt.$$.fragment,t),_(Zt.$$.fragment,t),_(eo.$$.fragment,t),_(to.$$.fragment,t),_(tt.$$.fragment,t),_(oo.$$.fragment,t),_(ot.$$.fragment,t),_(nt.$$.fragment,t),_(ro.$$.fragment,t),_(ao.$$.fragment,t),_(lo.$$.fragment,t),_(mo.$$.fragment,t),_(po.$$.fragment,t),_(fo.$$.fragment,t),_(ho.$$.fragment,t),_(go.$$.fragment,t),_(vo.$$.fragment,t),_(bo.$$.fragment,t),_(yo.$$.fragment,t),_($o.$$.fragment,t),_(wo.$$.fragment,t),_(ko.$$.fragment,t),_(Mo.$$.fragment,t),_(To.$$.fragment,t),_(Eo.$$.fragment,t),_(Ao.$$.fragment,t),_(Uo.$$.fragment,t),_(Co.$$.fragment,t),_(Fo.$$.fragment,t),_(Po.$$.fragment,t),_(Oo.$$.fragment,t),_(Lo.$$.fragment,t),_(qo.$$.fragment,t),_(Io.$$.fragment,t),_(Vo.$$.fragment,t),_(zo.$$.fragment,t),_(Bo.$$.fragment,t),_(Ko.$$.fragment,t),_(Wo.$$.fragment,t),_(Ho.$$.fragment,t),_(Ro.$$.fragment,t),_(Yo.$$.fragment,t),_(Go.$$.fragment,t),_(Jo.$$.fragment,t),_(Zo.$$.fragment,t),_(en.$$.fragment,t),_(tn.$$.fragment,t),_(nn.$$.fragment,t),_(sn.$$.fragment,t),_(an.$$.fragment,t),_(dn.$$.fragment,t),_(ln.$$.fragment,t),_(pn.$$.fragment,t),_(fn.$$.fragment,t),_(hn.$$.fragment,t),_(gn.$$.fragment,t),_(vn.$$.fragment,t),_(bn.$$.fragment,t),_(yn.$$.fragment,t),_(xn.$$.fragment,t),_($n.$$.fragment,t),_(wn.$$.fragment,t),_(Dn.$$.fragment,t),_(kn.$$.fragment,t),_(At.$$.fragment,t),_(Nn.$$.fragment,t),_(An.$$.fragment,t),_(Ct.$$.fragment,t),_(Un.$$.fragment,t),_(Ft.$$.fragment,t),_(Cn.$$.fragment,t),_(Pt.$$.fragment,t),_(Fn.$$.fragment,t),_(Pn.$$.fragment,t),_(On.$$.fragment,t),_(Ln.$$.fragment,t),_(qn.$$.fragment,t),_(Wn.$$.fragment,t),_(Xn.$$.fragment,t),_(Hn.$$.fragment,t),_(Qn.$$.fragment,t),_(Rn.$$.fragment,t),_(Yn.$$.fragment,t),_(Gn.$$.fragment,t),_(Jn.$$.fragment,t),id=!0)},o(t){v(f.$$.fragment,t),v(Yt.$$.fragment,t),v(Gt.$$.fragment,t),v(Jt.$$.fragment,t),v(Zt.$$.fragment,t),v(eo.$$.fragment,t),v(to.$$.fragment,t),v(tt.$$.fragment,t),v(oo.$$.fragment,t),v(ot.$$.fragment,t),v(nt.$$.fragment,t),v(ro.$$.fragment,t),v(ao.$$.fragment,t),v(lo.$$.fragment,t),v(mo.$$.fragment,t),v(po.$$.fragment,t),v(fo.$$.fragment,t),v(ho.$$.fragment,t),v(go.$$.fragment,t),v(vo.$$.fragment,t),v(bo.$$.fragment,t),v(yo.$$.fragment,t),v($o.$$.fragment,t),v(wo.$$.fragment,t),v(ko.$$.fragment,t),v(Mo.$$.fragment,t),v(To.$$.fragment,t),v(Eo.$$.fragment,t),v(Ao.$$.fragment,t),v(Uo.$$.fragment,t),v(Co.$$.fragment,t),v(Fo.$$.fragment,t),v(Po.$$.fragment,t),v(Oo.$$.fragment,t),v(Lo.$$.fragment,t),v(qo.$$.fragment,t),v(Io.$$.fragment,t),v(Vo.$$.fragment,t),v(zo.$$.fragment,t),v(Bo.$$.fragment,t),v(Ko.$$.fragment,t),v(Wo.$$.fragment,t),v(Ho.$$.fragment,t),v(Ro.$$.fragment,t),v(Yo.$$.fragment,t),v(Go.$$.fragment,t),v(Jo.$$.fragment,t),v(Zo.$$.fragment,t),v(en.$$.fragment,t),v(tn.$$.fragment,t),v(nn.$$.fragment,t),v(sn.$$.fragment,t),v(an.$$.fragment,t),v(dn.$$.fragment,t),v(ln.$$.fragment,t),v(pn.$$.fragment,t),v(fn.$$.fragment,t),v(hn.$$.fragment,t),v(gn.$$.fragment,t),v(vn.$$.fragment,t),v(bn.$$.fragment,t),v(yn.$$.fragment,t),v(xn.$$.fragment,t),v($n.$$.fragment,t),v(wn.$$.fragment,t),v(Dn.$$.fragment,t),v(kn.$$.fragment,t),v(At.$$.fragment,t),v(Nn.$$.fragment,t),v(An.$$.fragment,t),v(Ct.$$.fragment,t),v(Un.$$.fragment,t),v(Ft.$$.fragment,t),v(Cn.$$.fragment,t),v(Pt.$$.fragment,t),v(Fn.$$.fragment,t),v(Pn.$$.fragment,t),v(On.$$.fragment,t),v(Ln.$$.fragment,t),v(qn.$$.fragment,t),v(Wn.$$.fragment,t),v(Xn.$$.fragment,t),v(Hn.$$.fragment,t),v(Qn.$$.fragment,t),v(Rn.$$.fragment,t),v(Yn.$$.fragment,t),v(Gn.$$.fragment,t),v(Jn.$$.fragment,t),id=!1},d(t){o(y),t&&o(M),t&&o(D),b(f),t&&o(S),t&&o(W),t&&o(fi),t&&o(we),b(Yt),t&&o(ui),t&&o(T),b(Gt),b(Jt),b(Zt),b(eo),b(to),b(tt),b(oo),b(ot),b(nt),b(ro),b(ao),t&&o(hi),t&&o(ke),b(lo),t&&o(gi),t&&o(co),b(mo),t&&o(_i),t&&o(Me),b(po),t&&o(vi),t&&o(X),b(fo),b(ho),t&&o(bi),t&&o(Te),b(go),t&&o(yi),t&&o(_o),b(vo),t&&o(xi),t&&o(Ne),b(bo),t&&o($i),t&&o(H),b(yo),b($o),t&&o(wi),t&&o(Ee),b(wo),t&&o(Di),t&&o(Do),b(ko),t&&o(ki),t&&o(Ae),b(Mo),t&&o(Mi),t&&o(P),b(To),b(Eo),b(Ao),b(Uo),t&&o(Ti),t&&o(Ue),b(Co),t&&o(Ni),t&&o(Ce),b(Fo),t&&o(Ei),t&&o(Fe),b(Po),t&&o(Ai),t&&o(Pe),b(Oo),t&&o(Ui),t&&o(Oe),b(Lo),t&&o(Ci),t&&o(Q),b(qo),b(Io),t&&o(Fi),t&&o(Le),b(Vo),t&&o(Pi),t&&o(qe),b(zo),t&&o(Oi),t&&o(je),b(Bo),t&&o(Li),t&&o(N),b(Ko),b(Wo),b(Ho),b(Ro),b(Yo),b(Go),b(Jo),b(Zo),t&&o(qi),t&&o(Ie),b(en),t&&o(ji),t&&o(O),b(tn),b(nn),t&&o(Ii),t&&o(Ve),b(sn),t&&o(Vi),t&&o(rn),b(an),t&&o(zi),t&&o(ze),b(dn),t&&o(Bi),t&&o(I),b(ln),b(pn),t&&o(Ki),t&&o(Be),b(fn),t&&o(Si),t&&o(un),b(hn),t&&o(Wi),t&&o(Ke),b(gn),t&&o(Xi),t&&o(_n),b(vn),t&&o(Hi),t&&o(Se),b(bn),t&&o(Qi),t&&o(se),b(yn),b(xn),b($n),t&&o(Ri),t&&o(We),b(wn),t&&o(Yi),t&&o(U),b(Dn),b(kn),b(At),b(Nn),b(An),b(Ct),b(Un),b(Ft),b(Cn),b(Pt),t&&o(Gi),t&&o(Xe),b(Fn),t&&o(Ji),t&&o(He),b(Pn),b(On),t&&o(Zi),t&&o(Qe),b(Ln),t&&o(ed),t&&o(L),b(qn),t&&o(td),t&&o(Re),b(Wn),t&&o(od),t&&o(ae),b(Xn),b(Hn),t&&o(nd),t&&o(Ye),b(Qn),t&&o(sd),t&&o(ie),b(Rn),b(Yn),t&&o(rd),t&&o(Ge),b(Gn),t&&o(ad),t&&o(V),b(Jn)}}}const Yv={local:"models",sections:[{local:"diffusers.ModelMixin",title:"ModelMixin"},{local:"diffusers.models.unet_2d.UNet2DOutput",title:"UNet2DOutput"},{local:"diffusers.UNet2DModel",title:"UNet2DModel"},{local:"diffusers.models.unet_1d.UNet1DOutput",title:"UNet1DOutput"},{local:"diffusers.UNet1DModel",title:"UNet1DModel"},{local:"diffusers.models.unet_2d_condition.UNet2DConditionOutput",title:"UNet2DConditionOutput"},{local:"diffusers.UNet2DConditionModel",title:"UNet2DConditionModel"},{local:"diffusers.models.vae.DecoderOutput",title:"DecoderOutput"},{local:"diffusers.models.vq_model.VQEncoderOutput",title:"VQEncoderOutput"},{local:"diffusers.VQModel",title:"VQModel"},{local:"diffusers.models.autoencoder_kl.AutoencoderKLOutput",title:"AutoencoderKLOutput"},{local:"diffusers.AutoencoderKL",title:"AutoencoderKL"},{local:"diffusers.Transformer2DModel",title:"Transformer2DModel"},{local:"diffusers.models.transformer_2d.Transformer2DModelOutput",title:"Transformer2DModelOutput"},{local:"diffusers.PriorTransformer",title:"PriorTransformer"},{local:"diffusers.models.prior_transformer.PriorTransformerOutput",title:"PriorTransformerOutput"},{local:"diffusers.models.controlnet.ControlNetOutput",title:"ControlNetOutput"},{local:"diffusers.ControlNetModel",title:"ControlNetModel"},{local:"diffusers.FlaxModelMixin",title:"FlaxModelMixin"},{local:"diffusers.models.unet_2d_condition_flax.FlaxUNet2DConditionOutput",title:"FlaxUNet2DConditionOutput"},{local:"diffusers.FlaxUNet2DConditionModel",title:"FlaxUNet2DConditionModel"},{local:"diffusers.models.vae_flax.FlaxDecoderOutput",title:"FlaxDecoderOutput"},{local:"diffusers.models.vae_flax.FlaxAutoencoderKLOutput",title:"FlaxAutoencoderKLOutput"},{local:"diffusers.FlaxAutoencoderKL",title:"FlaxAutoencoderKL"}],title:"Models"};function Gv(q){return zv(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class sb extends qv{constructor(y){super();jv(this,y,Gv,Rv,Iv,{})}}export{sb as default,Yv as metadata};
